#include "ppexnea03.header.cxx"
void ppexnea03_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_epvea";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppexnea03_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_epvea";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppexnea03_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_epvea";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppexnea03_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_epvead";
  subprocess[2] = "gd~_epveau~";
  subprocess[3] = "ud~_epveag";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppexnea03_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_epvead";
  subprocess[2] = "gd~_epveau~";
  subprocess[3] = "ud~_epveag";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppexnea03_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_epvead";
  subprocess[2] = "gd~_epveau~";
  subprocess[3] = "ud~_epveag";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppexnea03_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppexnea03_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(25);
  subprocess[1] = "gg_epveadu~";
  subprocess[2] = "gu_epveagd";
  subprocess[3] = "gd~_epveagu~";
  subprocess[4] = "du_epveadd";
  subprocess[5] = "dc_epveads";
  subprocess[6] = "dd~_epveadu~";
  subprocess[7] = "dd~_epveasc~";
  subprocess[8] = "ds~_epveadc~";
  subprocess[9] = "uu_epveadu";
  subprocess[10] = "uc_epveadc";
  subprocess[11] = "ud~_epveagg";
  subprocess[12] = "ud~_epveadd~";
  subprocess[13] = "ud~_epveauu~";
  subprocess[14] = "ud~_epveass~";
  subprocess[15] = "ud~_epveacc~";
  subprocess[16] = "uu~_epveadu~";
  subprocess[17] = "uu~_epveasc~";
  subprocess[18] = "us~_epveads~";
  subprocess[19] = "us~_epveauc~";
  subprocess[20] = "uc~_epveadc~";
  subprocess[21] = "d~d~_epvead~u~";
  subprocess[22] = "d~u~_epveau~u~";
  subprocess[23] = "d~s~_epvead~c~";
  subprocess[24] = "d~c~_epveau~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
