void ppw01_particles(int i_a, observable_set & oset);

void ppw01_cuts(int i_a, observable_set & oset);
void ppw01_cuts_test(int i_a, observable_set & oset);

void ppw01_moments(observable_set & oset);

void ppw01_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppw01_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppw01_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppw01_optimize_minv_born(phasespace_set & psi);
int ppw01_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppw01_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppw01_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_born(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppw01_ax_psp_010_dux_wm(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_010_dux_wm(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_010_dux_wm(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_010_dcx_wm(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_010_dcx_wm(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_010_dcx_wm(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_010_sux_wm(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_010_sux_wm(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_010_sux_wm(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_010_scx_wm(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_010_scx_wm(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_010_scx_wm(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_010_bux_wm(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_010_bux_wm(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_010_bux_wm(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_010_bcx_wm(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_010_bcx_wm(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_010_bcx_wm(int no_ps, int zero, phasespace_set & psi);
void ppw01_phasespacepoint_born(observable_set & oset);

void ppw01_phasespacepoint_collinear(observable_set & oset);

void ppw01_optimize_minv_real(phasespace_set & psi);
int ppw01_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppw01_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppw01_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_real(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppw01_ax_psp_110_gd_wmu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gd_wmu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gd_wmu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gd_wmc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gd_wmc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gd_wmc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gs_wmu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gs_wmu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gs_wmu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gs_wmc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gs_wmc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gs_wmc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gb_wmu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gb_wmu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gb_wmu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gb_wmc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gb_wmc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gb_wmc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gux_wmdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gux_wmdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gux_wmdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gux_wmsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gux_wmsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gux_wmsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gux_wmbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gux_wmbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gux_wmbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gcx_wmdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gcx_wmdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gcx_wmdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gcx_wmsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gcx_wmsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gcx_wmsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_gcx_wmbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_gcx_wmbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_gcx_wmbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_dux_wmg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_dux_wmg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_dux_wmg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_dcx_wmg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_dcx_wmg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_dcx_wmg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_sux_wmg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_sux_wmg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_sux_wmg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_scx_wmg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_scx_wmg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_scx_wmg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_bux_wmg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_bux_wmg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_bux_wmg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_110_bcx_wmg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_110_bcx_wmg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_110_bcx_wmg(int no_ps, int zero, phasespace_set & psi);
void ppw01_phasespacepoint_real(observable_set & oset);

void ppw01_phasespacepoint_realcollinear(observable_set & oset);

void ppw01_optimize_minv_doublereal(phasespace_set & psi);
int ppw01_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppw01_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppw01_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppw01_ax_psp_210_gg_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gg_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gg_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gg_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gg_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gg_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gg_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gg_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gg_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gg_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gg_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gg_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gg_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gg_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gg_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gg_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gg_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gg_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gd_wmgu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gd_wmgu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gd_wmgu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gd_wmgc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gd_wmgc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gd_wmgc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gs_wmgu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gs_wmgu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gs_wmgu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gs_wmgc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gs_wmgc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gs_wmgc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gb_wmgu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gb_wmgu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gb_wmgu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gb_wmgc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gb_wmgc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gb_wmgc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gux_wmgdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gux_wmgdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gux_wmgdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gux_wmgsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gux_wmgsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gux_wmgsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gux_wmgbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gux_wmgbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gux_wmgbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gcx_wmgdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gcx_wmgdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gcx_wmgdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gcx_wmgsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gcx_wmgsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gcx_wmgsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_gcx_wmgbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_gcx_wmgbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_gcx_wmgbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dd_wmdu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dd_wmdu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dd_wmdu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dd_wmdc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dd_wmdc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dd_wmdc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_du_wmuu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_du_wmuu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_du_wmuu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_du_wmuc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_du_wmuc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_du_wmuc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ds_wmdu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ds_wmdu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ds_wmdu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ds_wmdc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ds_wmdc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ds_wmdc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ds_wmus(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ds_wmus(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ds_wmus(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ds_wmsc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ds_wmsc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ds_wmsc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dc_wmuc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dc_wmuc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dc_wmuc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dc_wmcc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dc_wmcc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dc_wmcc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_db_wmdu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_db_wmdu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_db_wmdu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_db_wmdc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_db_wmdc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_db_wmdc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_db_wmub(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_db_wmub(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_db_wmub(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_db_wmcb(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_db_wmcb(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_db_wmcb(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ddx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ddx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ddx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ddx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ddx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ddx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ddx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ddx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ddx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ddx_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ddx_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ddx_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ddx_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ddx_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ddx_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ddx_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ddx_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ddx_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmgg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmgg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmgg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmddx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmddx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmddx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmdsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmdsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmdsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmdbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmdbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmdbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmuux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmuux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmuux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmssx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmssx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmssx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmcux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmcux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmcux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmccx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmccx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmccx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dux_wmbbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dux_wmbbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dux_wmbbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dsx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dsx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dsx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dsx_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dsx_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dsx_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmgg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmgg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmgg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmddx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmddx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmddx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmdsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmdsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmdsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmdbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmdbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmdbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmuux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmuux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmuux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmucx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmucx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmucx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmssx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmssx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmssx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmccx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmccx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmccx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dcx_wmbbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dcx_wmbbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dcx_wmbbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dbx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dbx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dbx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dbx_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dbx_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dbx_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_us_wmuu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_us_wmuu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_us_wmuu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_us_wmuc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_us_wmuc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_us_wmuc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ub_wmuu(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ub_wmuu(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ub_wmuu(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ub_wmuc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ub_wmuc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ub_wmuc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uux_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uux_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uux_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uux_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uux_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uux_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uux_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uux_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uux_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uux_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uux_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uux_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uux_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uux_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uux_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uux_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uux_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uux_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ucx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ucx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ucx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ucx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ucx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ucx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ucx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ucx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ucx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ss_wmus(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ss_wmus(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ss_wmus(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ss_wmsc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ss_wmsc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ss_wmsc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sc_wmuc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sc_wmuc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sc_wmuc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sc_wmcc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sc_wmcc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sc_wmcc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sb_wmus(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sb_wmus(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sb_wmus(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sb_wmub(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sb_wmub(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sb_wmub(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sb_wmsc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sb_wmsc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sb_wmsc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sb_wmcb(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sb_wmcb(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sb_wmcb(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sdx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sdx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sdx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sdx_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sdx_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sdx_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmgg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmgg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmgg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmddx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmddx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmddx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmuux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmuux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmuux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmsdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmsdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmsdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmssx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmssx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmssx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmsbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmsbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmsbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmcux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmcux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmcux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmccx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmccx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmccx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sux_wmbbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sux_wmbbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sux_wmbbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ssx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ssx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ssx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ssx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ssx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ssx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ssx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ssx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ssx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ssx_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ssx_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ssx_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ssx_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ssx_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ssx_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ssx_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ssx_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ssx_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmgg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmgg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmgg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmddx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmddx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmddx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmuux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmuux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmuux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmucx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmucx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmucx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmsdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmsdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmsdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmssx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmssx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmssx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmsbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmsbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmsbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmccx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmccx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmccx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_scx_wmbbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_scx_wmbbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_scx_wmbbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sbx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sbx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sbx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sbx_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sbx_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sbx_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cb_wmuc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cb_wmuc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cb_wmuc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cb_wmcc(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cb_wmcc(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cb_wmcc(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cux_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cux_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cux_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cux_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cux_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cux_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cux_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cux_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cux_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ccx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ccx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ccx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ccx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ccx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ccx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ccx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ccx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ccx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ccx_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ccx_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ccx_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ccx_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ccx_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ccx_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_ccx_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_ccx_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_ccx_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bb_wmub(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bb_wmub(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bb_wmub(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bb_wmcb(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bb_wmcb(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bb_wmcb(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bdx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bdx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bdx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bdx_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bdx_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bdx_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmgg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmgg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmgg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmddx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmddx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmddx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmuux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmuux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmuux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmssx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmssx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmssx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmcux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmcux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmcux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmccx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmccx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmccx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmbdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmbdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmbdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmbsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmbsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmbsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bux_wmbbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bux_wmbbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bux_wmbbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bsx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bsx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bsx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bsx_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bsx_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bsx_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmgg(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmgg(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmgg(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmddx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmddx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmddx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmuux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmuux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmuux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmucx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmucx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmucx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmssx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmssx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmssx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmccx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmccx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmccx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmbdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmbdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmbdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmbsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmbsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmbsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bcx_wmbbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bcx_wmbbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bcx_wmbbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bbx_wmudx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bbx_wmudx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bbx_wmudx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bbx_wmusx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bbx_wmusx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bbx_wmusx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bbx_wmubx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bbx_wmubx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bbx_wmubx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bbx_wmcdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bbx_wmcdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bbx_wmcdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bbx_wmcsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bbx_wmcsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bbx_wmcsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_bbx_wmcbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_bbx_wmcbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_bbx_wmcbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dxux_wmdxdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dxux_wmdxdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dxux_wmdxdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dxux_wmdxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dxux_wmdxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dxux_wmdxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dxux_wmdxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dxux_wmdxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dxux_wmdxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dxcx_wmdxdx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dxcx_wmdxdx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dxcx_wmdxdx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dxcx_wmdxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dxcx_wmdxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dxcx_wmdxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_dxcx_wmdxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_dxcx_wmdxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_dxcx_wmdxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxux_wmdxux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxux_wmdxux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxux_wmdxux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxux_wmuxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxux_wmuxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxux_wmuxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxux_wmuxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxux_wmuxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxux_wmuxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxsx_wmdxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxsx_wmdxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxsx_wmdxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxsx_wmsxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxsx_wmsxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxsx_wmsxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxsx_wmsxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxsx_wmsxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxsx_wmsxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxcx_wmdxux(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxcx_wmdxux(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxcx_wmdxux(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxcx_wmdxcx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxcx_wmdxcx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxcx_wmdxcx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxcx_wmuxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxcx_wmuxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxcx_wmuxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxcx_wmuxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxcx_wmuxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxcx_wmuxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxcx_wmsxcx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxcx_wmsxcx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxcx_wmsxcx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxcx_wmcxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxcx_wmcxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxcx_wmcxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxbx_wmdxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxbx_wmdxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxbx_wmdxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxbx_wmsxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxbx_wmsxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxbx_wmsxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_uxbx_wmbxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_uxbx_wmbxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_uxbx_wmbxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sxcx_wmdxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sxcx_wmdxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sxcx_wmdxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sxcx_wmsxsx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sxcx_wmsxsx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sxcx_wmsxsx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_sxcx_wmsxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_sxcx_wmsxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_sxcx_wmsxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cxcx_wmdxcx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cxcx_wmdxcx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cxcx_wmdxcx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cxcx_wmsxcx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cxcx_wmsxcx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cxcx_wmsxcx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cxcx_wmcxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cxcx_wmcxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cxcx_wmcxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cxbx_wmdxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cxbx_wmdxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cxbx_wmdxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cxbx_wmsxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cxbx_wmsxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cxbx_wmsxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_ax_psp_210_cxbx_wmbxbx(int no_ps, phasespace_set & psi);
void ppw01_ac_psp_210_cxbx_wmbxbx(int no_ps, int channel, phasespace_set & psi);
void ppw01_ag_psp_210_cxbx_wmbxbx(int no_ps, int zero, phasespace_set & psi);
void ppw01_phasespacepoint_doublereal(observable_set & oset);

