#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeeexex04/header/ppeeexex04.phasespace.h"
void ppeeexex04_ac_psp_born(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppeeexex04_ac_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppeeexex04_ac_psp_040_ddx_ememepep(no_ps, channel, psi);} 
    else if (psi_no_map[no_ps] == 3){ppeeexex04_ac_psp_040_uux_ememepep(no_ps, channel, psi);} 
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppeeexex04_ac_psp_240_gg_ememepep(no_ps, channel, psi);} 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
