#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeeexex04/header/ppeeexex04.phasespace.h"
void ppeeexex04_optimize_minv_real(phasespace_set & psi){
  static Logger logger("ppeeexex04_optimize_minv_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

#include "user/specify.optimize.phasespace.minv.real.cxx"

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

int ppeeexex04_determination_MCchannels_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppeeexex04_determination_MCchannels_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  int n_channel = 0;
  if      (psi_no_map[no_ps] == 0){n_channel = 176;}
  else if (psi_no_map[no_ps] == 2){n_channel = 112;}
  else if (psi_no_map[no_ps] == 3){n_channel = 112;}
  else if (psi_no_map[no_ps] == 4){n_channel = 112;}
  else if (psi_no_map[no_ps] == 5){n_channel = 112;}
  else if (psi_no_map[no_ps] == 6){n_channel = 112;}
  else if (psi_no_map[no_ps] == 7){n_channel = 112;}
  return n_channel;

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppeeexex04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi){
  static Logger logger("ppeeexex04_ac_tau_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if      (psi.no_map[no_ps] == 0){}
  else if (psi.no_map[no_ps] == 2){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 3){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 4){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 5){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 6){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 7){
    tau_MC_map.push_back(0);
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppeeexex04_ax_psp_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppeeexex04_ax_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] == 2){ppeeexex04_ax_psp_140_gd_ememepepd(no_ps, psi);}
  else if (psi_no_map[no_ps] == 3){ppeeexex04_ax_psp_140_gu_ememepepu(no_ps, psi);}
  else if (psi_no_map[no_ps] == 4){ppeeexex04_ax_psp_140_gdx_ememepepdx(no_ps, psi);}
  else if (psi_no_map[no_ps] == 5){ppeeexex04_ax_psp_140_gux_ememepepux(no_ps, psi);}
  else if (psi_no_map[no_ps] == 6){ppeeexex04_ax_psp_140_ddx_ememepepg(no_ps, psi);}
  else if (psi_no_map[no_ps] == 7){ppeeexex04_ax_psp_140_uux_ememepepg(no_ps, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
