#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeex02/header/ppeex02.phasespace.h"
void ppeex02_ag_psp_born(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppeex02_ag_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 2 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppeex02_ag_psp_020_ddx_emep(no_ps, zero, psi);}
    else if (psi_no_map[no_ps] == 3){ppeex02_ag_psp_020_uux_emep(no_ps, zero, psi);}
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 2 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppeex02_ag_psp_220_gg_emep(no_ps, zero, psi);}
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
