#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexa03/header/ppeexa03.phasespace.h"
void ppeexa03_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppeexa03_ag_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppeexa03_ag_psp_230_gg_emepaddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppeexa03_ag_psp_230_gg_emepauux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppeexa03_ag_psp_230_gd_emepagd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppeexa03_ag_psp_230_gu_emepagu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppeexa03_ag_psp_230_gdx_emepagdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppeexa03_ag_psp_230_gux_emepagux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppeexa03_ag_psp_230_dd_emepadd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppeexa03_ag_psp_230_du_emepadu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppeexa03_ag_psp_230_ds_emepads(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppeexa03_ag_psp_230_dc_emepadc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppeexa03_ag_psp_230_ddx_emepagg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppeexa03_ag_psp_230_ddx_emepaddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppeexa03_ag_psp_230_ddx_emepauux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppeexa03_ag_psp_230_ddx_emepassx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppeexa03_ag_psp_230_ddx_emepaccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppeexa03_ag_psp_230_dux_emepadux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 20){ppeexa03_ag_psp_230_dsx_emepadsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 22){ppeexa03_ag_psp_230_dcx_emepadcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 23){ppeexa03_ag_psp_230_uu_emepauu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 24){ppeexa03_ag_psp_230_uc_emepauc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 25){ppeexa03_ag_psp_230_udx_emepaudx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 27){ppeexa03_ag_psp_230_uux_emepagg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 28){ppeexa03_ag_psp_230_uux_emepaddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 29){ppeexa03_ag_psp_230_uux_emepauux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 30){ppeexa03_ag_psp_230_uux_emepassx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 31){ppeexa03_ag_psp_230_uux_emepaccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 32){ppeexa03_ag_psp_230_usx_emepausx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 34){ppeexa03_ag_psp_230_ucx_emepaucx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 35){ppeexa03_ag_psp_230_dxdx_emepadxdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 36){ppeexa03_ag_psp_230_dxux_emepadxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 37){ppeexa03_ag_psp_230_dxsx_emepadxsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 38){ppeexa03_ag_psp_230_dxcx_emepadxcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 40){ppeexa03_ag_psp_230_uxux_emepauxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 41){ppeexa03_ag_psp_230_uxcx_emepauxcx(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
