#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnenex04/header/ppeexnenex04.phasespace.h"
void ppeexnenex04_ax_psp_240_uux_emepvevexbbx(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnenex04_ax_psp_240_uux_emepvevexbbx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(40);
  psi_needed_v_smin[no_ps].resize(40);
  int needed_v_smin_0[] = {   0,    1,    2,    3,   14,   15,   16,   17,   24,   25,   32,   33,   34,   35,   37,   38,   39,   40,   42,   43,   44,   45,   47,   48,   49,   50,   51,   52,   56,   57,   58,   59,   62,   63,   69,   70,   71,   72,   73,   74,   79,   80,   81,   82,   84,   85,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102}; //  58
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 58);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   51,   52,   69,   70}; //   8
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 8);
  int needed_v_smin_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,   51,   52,   53,   54,   69,   70,   75,   76}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   0,    1,    4,    5,    8,   10,   12,   14,   15,   18,   19,   22,   24,   26,   27,   28}; //  16
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 16);
  int needed_v_smin_4[] = {   2,    3,    6,    7,    9,   11,   13,   16,   17,   20,   21,   23,   25,   29,   30,   31}; //  16
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 16);
  int needed_v_smin_5[] = {   4,    5,    6,    7,    8,    9,   26,   27,   28,   29,   30,   31,   36,   41,   46,   53,   54,   55,   67,   68,   75,   76,   77,   89,   90,  103,  104,  105}; //  28
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 28);
  int needed_v_smin_6[] = {   4,    5,    6,    7,   53,   54,   75,   76}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   8,    9,   55,   77}; //   4
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 4);
  int needed_v_smin_8[] = {   8,    9,   12,   13,   55,   61,   77,   83}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {  10,   11,   12,   13,   24,   25,   32,   33,   34,   35,   37,   38,   39,   40,   42,   43,   44,   45,   47,   48,   49,   50,   56,   57,   58,   59,   60,   61,   71,   72,   73,   74,   78,   79,   80,   81,   82,   83,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102}; //  50
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 50);
  int needed_v_smin_10[] = {  10,   11,   60,   78}; //   4
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 4);
  int needed_v_smin_11[] = {  10,   11,   22,   23,   60,   66,   78,   88}; //   8
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 8);
  int needed_v_smin_12[] = {  12,   13,   61,   83}; //   4
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 4);
  int needed_v_smin_13[] = {  14,   15,   16,   17,   62,   63,   84,   85}; //   8
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 8);
  int needed_v_smin_14[] = {  14,   15,   16,   17,   18,   19,   20,   21,   62,   63,   64,   65,   84,   85,   86,   87}; //  16
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 16);
  int needed_v_smin_15[] = {  18,   19,   20,   21,   22,   23,   26,   27,   28,   29,   30,   31,   36,   41,   46,   64,   65,   66,   67,   68,   86,   87,   88,   89,   90,  103,  104,  105}; //  28
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 28);
  int needed_v_smin_16[] = {  18,   19,   20,   21,   64,   65,   86,   87}; //   8
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 8);
  int needed_v_smin_17[] = {  22,   23,   66,   88}; //   4
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 4);
  int needed_v_smin_18[] = {  24,   25,   95,   96,  101,  102}; //   6
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 6);
  int needed_v_smin_19[] = {  26,   27,   28,   29,   30,   31,   67,   68,   89,   90,  105}; //  11
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 11);
  int needed_v_smin_20[] = {  32,   33,   44,   45,   49,   50,   81,   82}; //   8
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 8);
  int needed_v_smin_21[] = {  32,   33}; //   2
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 2);
  int needed_v_smin_22[] = {  34,   35,   42,   43,   47,   48,   79,   80}; //   8
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 8);
  int needed_v_smin_23[] = {  34,   35}; //   2
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 2);
  int needed_v_smin_24[] = {  36,   46}; //   2
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 2);
  int needed_v_smin_25[] = {  36}; //   1
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 1);
  int needed_v_smin_26[] = {  37,   38,   42,   43,   58,   59,   73,   74}; //   8
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 8);
  int needed_v_smin_27[] = {  37,   38}; //   2
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 2);
  int needed_v_smin_28[] = {  39,   40,   44,   45,   56,   57,   71,   72}; //   8
  psi_needed_v_smin[no_ps][ 28] = get_vector_from_array_int(needed_v_smin_28, 8);
  int needed_v_smin_29[] = {  39,   40}; //   2
  psi_needed_v_smin[no_ps][ 29] = get_vector_from_array_int(needed_v_smin_29, 2);
  int needed_v_smin_30[] = {  41,   46}; //   2
  psi_needed_v_smin[no_ps][ 30] = get_vector_from_array_int(needed_v_smin_30, 2);
  int needed_v_smin_31[] = {  41}; //   1
  psi_needed_v_smin[no_ps][ 31] = get_vector_from_array_int(needed_v_smin_31, 1);
  int needed_v_smin_32[] = {  47,   48,   79,   80}; //   4
  psi_needed_v_smin[no_ps][ 32] = get_vector_from_array_int(needed_v_smin_32, 4);
  int needed_v_smin_33[] = {  49,   50,   81,   82}; //   4
  psi_needed_v_smin[no_ps][ 33] = get_vector_from_array_int(needed_v_smin_33, 4);
  int needed_v_smin_34[] = {  51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   75,   76,   77,   78,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105}; //  43
  psi_needed_v_smin[no_ps][ 34] = get_vector_from_array_int(needed_v_smin_34, 43);
  int needed_v_smin_35[] = {  56,   57,   71,   72}; //   4
  psi_needed_v_smin[no_ps][ 35] = get_vector_from_array_int(needed_v_smin_35, 4);
  int needed_v_smin_36[] = {  58,   59,   73,   74}; //   4
  psi_needed_v_smin[no_ps][ 36] = get_vector_from_array_int(needed_v_smin_36, 4);
  int needed_v_smin_37[] = {  91,   92,   93,   94}; //   4
  psi_needed_v_smin[no_ps][ 37] = get_vector_from_array_int(needed_v_smin_37, 4);
  int needed_v_smin_38[] = {  97,   98,   99,  100}; //   4
  psi_needed_v_smin[no_ps][ 38] = get_vector_from_array_int(needed_v_smin_38, 4);
  int needed_v_smin_39[] = { 103,  104}; //   2
  psi_needed_v_smin[no_ps][ 39] = get_vector_from_array_int(needed_v_smin_39, 2);

  psi_v_smax[no_ps].resize(62);
  psi_needed_v_smax[no_ps].resize(62);
  int needed_v_smax_0[] = {   0,    1,    2,    3,   14,   15,   16,   17,   24,   25,   32,   33,   34,   35,   42,   43,   47,   48,   49,   50,   51,   52,   62,   63,   71,   72,   73,   74,   93,   94,   95,   96}; //  32
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 32);
  int needed_v_smax_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,   51,   52,   53,   54}; //  12
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 12);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68}; //  46
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 46);
  int needed_v_smax_3[] = {   0,    1,    4,    5,    8,   10,   12,   14,   15,   18,   19,   22,   24,   26,   27,   28,   34,   35,   39,   40,   41}; //  21
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 21);
  int needed_v_smax_4[] = {   2,    3,    6,    7,    9,   11,   13,   16,   17,   20,   21,   23,   25,   29,   30,   31,   32,   33,   36,   37,   38}; //  21
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 21);
  int needed_v_smax_5[] = {   4,    5,    6,    7,    8,    9,   26,   27,   28,   29,   30,   31,   36,   53,   54,   55,   67,   68}; //  18
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 18);
  int needed_v_smax_6[] = {   8,    9,   12,   13,   55,   61}; //   6
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 6);
  int needed_v_smax_7[] = {  10,   11,   12,   13,   37,   38,   39,   40,   44,   45,   56,   57,   58,   59,   60,   61,   79,   80,   81,   82,   99,  100,  101,  102}; //  24
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 24);
  int needed_v_smax_8[] = {  10,   11,   22,   23,   60,   66}; //   6
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 6);
  int needed_v_smax_9[] = {  14,   15,   16,   17,   18,   19,   20,   21,   62,   63,   64,   65}; //  12
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 12);
  int needed_v_smax_10[] = {  18,   19,   20,   21,   22,   23,   41,   46,   64,   65,   66,  104,  105}; //  13
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 13);
  int needed_v_smax_11[] = {  24,   25,   42,   43,   71,   72,   73,   74,   95,   96}; //  10
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 10);
  int needed_v_smax_12[] = {  26,   27,   28,   29,   30,   31,   67,   68}; //   8
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 8);
  int needed_v_smax_13[] = {  32,   33,   49,   50}; //   4
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 4);
  int needed_v_smax_14[] = {  32,   33}; //   2
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 2);
  int needed_v_smax_15[] = {  34,   35,   47,   48}; //   4
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 4);
  int needed_v_smax_16[] = {  34,   35}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  36}; //   1
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 1);
  int needed_v_smax_18[] = {  36}; //   1
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 1);
  int needed_v_smax_19[] = {  37,   38,   58,   59}; //   4
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 4);
  int needed_v_smax_20[] = {  37,   38}; //   2
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 2);
  int needed_v_smax_21[] = {  39,   40,   56,   57}; //   4
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 4);
  int needed_v_smax_22[] = {  39,   40}; //   2
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 2);
  int needed_v_smax_23[] = {  41}; //   1
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 1);
  int needed_v_smax_24[] = {  41}; //   1
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 1);
  int needed_v_smax_25[] = {  42,   43,   79,   80}; //   4
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 4);
  int needed_v_smax_26[] = {  42,   43}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);
  int needed_v_smax_27[] = {  44,   45,   79,   80,   81,   82,  101,  102}; //   8
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 8);
  int needed_v_smax_28[] = {  44,   45,   71,   72}; //   4
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 4);
  int needed_v_smax_29[] = {  44,   45}; //   2
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 2);
  int needed_v_smax_30[] = {  46,  105}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);
  int needed_v_smax_31[] = {  46}; //   1
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 1);
  int needed_v_smax_32[] = {  46}; //   1
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 1);
  int needed_v_smax_33[] = {  47,   48,   49,   50}; //   4
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 4);
  int needed_v_smax_34[] = {  47,   48,   49,   50}; //   4
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 4);
  int needed_v_smax_35[] = {  51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68}; //  14
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 14);
  int needed_v_smax_36[] = {  56,   57,   58,   59}; //   4
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 4);
  int needed_v_smax_37[] = {  56,   57,   58,   59}; //   4
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 4);
  int needed_v_smax_38[] = {  69,   70,   75,   76,   77,   78,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   97,   98,  103}; //  19
  psi_needed_v_smax[no_ps][ 38] = get_vector_from_array_int(needed_v_smax_38, 19);
  int needed_v_smax_39[] = {  69,   70,   84,   85,   91,   92}; //   6
  psi_needed_v_smax[no_ps][ 39] = get_vector_from_array_int(needed_v_smax_39, 6);
  int needed_v_smax_40[] = {  69,   70,   75,   76}; //   4
  psi_needed_v_smax[no_ps][ 40] = get_vector_from_array_int(needed_v_smax_40, 4);
  int needed_v_smax_41[] = {  69,   70,   75,   76,   77,   78,   83,   84,   85,   86,   87,   88,   89,   90,   95,   96,  101,  102,  105}; //  19
  psi_needed_v_smax[no_ps][ 41] = get_vector_from_array_int(needed_v_smax_41, 19);
  int needed_v_smax_42[] = {  71,   72,   73,   74,   97,   98,   99,  100}; //   8
  psi_needed_v_smax[no_ps][ 42] = get_vector_from_array_int(needed_v_smax_42, 8);
  int needed_v_smax_43[] = {  73,   74}; //   2
  psi_needed_v_smax[no_ps][ 43] = get_vector_from_array_int(needed_v_smax_43, 2);
  int needed_v_smax_44[] = {  75,   76,   77,   89,   90}; //   5
  psi_needed_v_smax[no_ps][ 44] = get_vector_from_array_int(needed_v_smax_44, 5);
  int needed_v_smax_45[] = {  77,   83}; //   2
  psi_needed_v_smax[no_ps][ 45] = get_vector_from_array_int(needed_v_smax_45, 2);
  int needed_v_smax_46[] = {  78,   83,   97,   98}; //   4
  psi_needed_v_smax[no_ps][ 46] = get_vector_from_array_int(needed_v_smax_46, 4);
  int needed_v_smax_47[] = {  78,   88}; //   2
  psi_needed_v_smax[no_ps][ 47] = get_vector_from_array_int(needed_v_smax_47, 2);
  int needed_v_smax_48[] = {  79,   80,   81,   82,   91,   92,   93,   94}; //   8
  psi_needed_v_smax[no_ps][ 48] = get_vector_from_array_int(needed_v_smax_48, 8);
  int needed_v_smax_49[] = {  81,   82}; //   2
  psi_needed_v_smax[no_ps][ 49] = get_vector_from_array_int(needed_v_smax_49, 2);
  int needed_v_smax_50[] = {  84,   85,   86,   87}; //   4
  psi_needed_v_smax[no_ps][ 50] = get_vector_from_array_int(needed_v_smax_50, 4);
  int needed_v_smax_51[] = {  86,   87,   88,  103}; //   4
  psi_needed_v_smax[no_ps][ 51] = get_vector_from_array_int(needed_v_smax_51, 4);
  int needed_v_smax_52[] = {  89,   90}; //   2
  psi_needed_v_smax[no_ps][ 52] = get_vector_from_array_int(needed_v_smax_52, 2);
  int needed_v_smax_53[] = {  91,   92,   93,   94}; //   4
  psi_needed_v_smax[no_ps][ 53] = get_vector_from_array_int(needed_v_smax_53, 4);
  int needed_v_smax_54[] = {  93,   94}; //   2
  psi_needed_v_smax[no_ps][ 54] = get_vector_from_array_int(needed_v_smax_54, 2);
  int needed_v_smax_55[] = {  95,   96,  101,  102}; //   4
  psi_needed_v_smax[no_ps][ 55] = get_vector_from_array_int(needed_v_smax_55, 4);
  int needed_v_smax_56[] = {  97,   98,   99,  100}; //   4
  psi_needed_v_smax[no_ps][ 56] = get_vector_from_array_int(needed_v_smax_56, 4);
  int needed_v_smax_57[] = {  99,  100}; //   2
  psi_needed_v_smax[no_ps][ 57] = get_vector_from_array_int(needed_v_smax_57, 2);
  int needed_v_smax_58[] = { 103,  104}; //   2
  psi_needed_v_smax[no_ps][ 58] = get_vector_from_array_int(needed_v_smax_58, 2);
  int needed_v_smax_59[] = { 104}; //   1
  psi_needed_v_smax[no_ps][ 59] = get_vector_from_array_int(needed_v_smax_59, 1);
  int needed_v_smax_60[] = { 105}; //   1
  psi_needed_v_smax[no_ps][ 60] = get_vector_from_array_int(needed_v_smax_60, 1);
  int needed_v_smax_61[] = { 103,  104}; //   2
  psi_needed_v_smax[no_ps][ 61] = get_vector_from_array_int(needed_v_smax_61, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(102);
  psi_needed_g_p[no_ps].resize(102);
  int needed_g_p_0[] = {   0,    1,    2,    3,   14,   15,   16,   17,   24,   25,   32,   33,   34,   35,   42,   43,   47,   48,   49,   50,   51,   52,   62,   63,   71,   72,   73,   74,   93,   94,   95,   96}; //  32
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 32);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   51,   52}; //   6
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 6);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,    4,    6,   51,   53}; //   6
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 6);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    4,    5,    8,   10,   12,   14,   15,   18,   19,   22,   24,   26,   27,   28}; //  16
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 16);
  psi_container_IS_name.push_back("propagator_5_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,    5,    7,   52,   54}; //   6
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 6);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,    3,    6,    7,    9,   11,   13,   16,   17,   20,   21,   23,   25,   29,   30,   31}; //  16
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 16);
  psi_container_IS_name.push_back("propagator_5_smin4_smax4");
  int needed_g_p_6[] = {   4,    5,    6,    7,    8,    9,   26,   27,   28,   29,   30,   31,   36,   53,   54,   55,   67,   68}; //  18
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 18);
  psi_container_IS_name.push_back("propagator_24_smin5_smax5");
  int needed_g_p_7[] = {   4,    5,    6,    7,   53,   54}; //   6
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 6);
  psi_container_IS_name.push_back("propagator_0_smin6_smax1");
  int needed_g_p_8[] = {   8,    9,   55}; //   3
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 3);
  psi_container_IS_name.push_back("propagator_0_smin7_smax6");
  int needed_g_p_9[] = {   8,    9,   12,   13,   55,   61}; //   6
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 6);
  psi_container_IS_name.push_back("propagator_23_smin8_smax2");
  int needed_g_p_10[] = {  10,   11,   12,   13,   38,   40,   45,   57,   59,   60,   61,   80,   82,  100,  102}; //  15
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 15);
  psi_container_IS_name.push_back("propagator_23_smin9_smax7");
  int needed_g_p_11[] = {  10,   11,   60}; //   3
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 3);
  psi_container_IS_name.push_back("propagator_0_smin10_smax8");
  int needed_g_p_12[] = {  10,   11,   22,   23,   60,   66}; //   6
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 6);
  psi_container_IS_name.push_back("propagator_23_smin11_smax2");
  int needed_g_p_13[] = {  12,   13,   61}; //   3
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 3);
  psi_container_IS_name.push_back("propagator_0_smin12_smax6");
  int needed_g_p_14[] = {  14,   15,   16,   17,   62,   63}; //   6
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 6);
  psi_container_IS_name.push_back("propagator_0_smin13_smax9");
  int needed_g_p_15[] = {  14,   16,   18,   20,   62,   64}; //   6
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 6);
  psi_container_IS_name.push_back("propagator_0_smin14_smax2");
  int needed_g_p_16[] = {  15,   17,   19,   21,   63,   65}; //   6
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 6);
  psi_container_IS_name.push_back("propagator_23_smin14_smax2");
  int needed_g_p_17[] = {  18,   19,   20,   21,   22,   23,   41,   46,   64,   65,   66,  104,  105}; //  13
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 13);
  psi_container_IS_name.push_back("propagator_24_smin15_smax10");
  int needed_g_p_18[] = {  18,   19,   20,   21,   64,   65}; //   6
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 6);
  psi_container_IS_name.push_back("propagator_0_smin16_smax9");
  int needed_g_p_19[] = {  22,   23,   66}; //   3
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 3);
  psi_container_IS_name.push_back("propagator_0_smin17_smax8");
  int needed_g_p_20[] = {  24,   25,   43,   72,   74,   96}; //   6
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 6);
  psi_container_IS_name.push_back("propagator_23_smin9_smax11");
  int needed_g_p_21[] = {  24,   25}; //   2
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 2);
  psi_container_IS_name.push_back("propagator_25_smin18_smax2");
  int needed_g_p_22[] = {  26,   27,   28,   29,   30,   31,   67,   68}; //   8
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 8);
  psi_container_IS_name.push_back("propagator_24_smin15_smax12");
  int needed_g_p_23[] = {  26,   29,   67}; //   3
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 3);
  psi_container_IS_name.push_back("propagator_0_smin19_smax2");
  int needed_g_p_24[] = {  27,   30,   68}; //   3
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 3);
  psi_container_IS_name.push_back("propagator_23_smin19_smax2");
  int needed_g_p_25[] = {  28,   31}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_25_smin19_smax2");
  int needed_g_p_26[] = {  32,   33,   49,   50}; //   4
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 4);
  psi_container_IS_name.push_back("propagator_5_smin20_smax13");
  int needed_g_p_27[] = {  32}; //   1
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax14");
  int needed_g_p_28[] = {  32,   33}; //   2
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 2);
  psi_container_IS_name.push_back("propagator_5_smin21_smax4");
  int needed_g_p_29[] = {  33}; //   1
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax14");
  int needed_g_p_30[] = {  34,   35,   47,   48}; //   4
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 4);
  psi_container_IS_name.push_back("propagator_5_smin22_smax15");
  int needed_g_p_31[] = {  34}; //   1
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax16");
  int needed_g_p_32[] = {  34,   35}; //   2
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 2);
  psi_container_IS_name.push_back("propagator_5_smin23_smax3");
  int needed_g_p_33[] = {  35}; //   1
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax16");
  int needed_g_p_34[] = {  36}; //   1
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 1);
  psi_container_IS_name.push_back("propagator_6_smin24_smax17");
  int needed_g_p_35[] = {  36}; //   1
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 1);
  psi_container_IS_name.push_back("propagator_24_smin15_smax18");
  int needed_g_p_36[] = {  36}; //   1
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 1);
  psi_container_IS_name.push_back("propagator_5_smin25_smax4");
  int needed_g_p_37[] = {  37,   39,   44,   56,   58,   79,   81,   99,  101}; //   9
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 9);
  psi_container_IS_name.push_back("propagator_0_smin9_smax7");
  int needed_g_p_38[] = {  37,   38,   58,   59}; //   4
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 4);
  psi_container_IS_name.push_back("propagator_5_smin26_smax19");
  int needed_g_p_39[] = {  37,   38}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax20");
  int needed_g_p_40[] = {  37,   38}; //   2
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 2);
  psi_container_IS_name.push_back("propagator_5_smin27_smax4");
  int needed_g_p_41[] = {  39,   40,   56,   57}; //   4
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 4);
  psi_container_IS_name.push_back("propagator_5_smin28_smax21");
  int needed_g_p_42[] = {  39,   40}; //   2
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax22");
  int needed_g_p_43[] = {  39,   40}; //   2
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 2);
  psi_container_IS_name.push_back("propagator_5_smin29_smax3");
  int needed_g_p_44[] = {  41}; //   1
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 1);
  psi_container_IS_name.push_back("propagator_6_smin30_smax23");
  int needed_g_p_45[] = {  41}; //   1
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 1);
  psi_container_IS_name.push_back("propagator_24_smin5_smax24");
  int needed_g_p_46[] = {  41}; //   1
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 1);
  psi_container_IS_name.push_back("propagator_5_smin31_smax3");
  int needed_g_p_47[] = {  42,   71,   73,   95}; //   4
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 4);
  psi_container_IS_name.push_back("propagator_0_smin9_smax11");
  int needed_g_p_48[] = {  42,   43,   79,   80}; //   4
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 4);
  psi_container_IS_name.push_back("propagator_5_smin22_smax25");
  int needed_g_p_49[] = {  42,   43}; //   2
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 2);
  psi_container_IS_name.push_back("propagator_5_smin26_smax26");
  int needed_g_p_50[] = {  44,   45,   79,   80,   81,   82,  101,  102}; //   8
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 8);
  psi_container_IS_name.push_back("propagator_23_smin0_smax27");
  int needed_g_p_51[] = {  44,   45,   71,   72}; //   4
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 4);
  psi_container_IS_name.push_back("propagator_5_smin28_smax28");
  int needed_g_p_52[] = {  44,   45}; //   2
  psi_needed_g_p[no_ps][52] = get_vector_from_array_int(needed_g_p_52, 2);
  psi_container_IS_name.push_back("propagator_5_smin20_smax29");
  int needed_g_p_53[] = {  46,  105}; //   2
  psi_needed_g_p[no_ps][53] = get_vector_from_array_int(needed_g_p_53, 2);
  psi_container_IS_name.push_back("propagator_24_smin5_smax30");
  int needed_g_p_54[] = {  46}; //   1
  psi_needed_g_p[no_ps][54] = get_vector_from_array_int(needed_g_p_54, 1);
  psi_container_IS_name.push_back("propagator_6_smin30_smax31");
  int needed_g_p_55[] = {  46}; //   1
  psi_needed_g_p[no_ps][55] = get_vector_from_array_int(needed_g_p_55, 1);
  psi_container_IS_name.push_back("propagator_6_smin24_smax32");
  int needed_g_p_56[] = {  47,   48}; //   2
  psi_needed_g_p[no_ps][56] = get_vector_from_array_int(needed_g_p_56, 2);
  psi_container_IS_name.push_back("propagator_0_smin32_smax33");
  int needed_g_p_57[] = {  47,   49}; //   2
  psi_needed_g_p[no_ps][57] = get_vector_from_array_int(needed_g_p_57, 2);
  psi_container_IS_name.push_back("propagator_0_smin9_smax34");
  int needed_g_p_58[] = {  48,   50}; //   2
  psi_needed_g_p[no_ps][58] = get_vector_from_array_int(needed_g_p_58, 2);
  psi_container_IS_name.push_back("propagator_23_smin9_smax34");
  int needed_g_p_59[] = {  49,   50}; //   2
  psi_needed_g_p[no_ps][59] = get_vector_from_array_int(needed_g_p_59, 2);
  psi_container_IS_name.push_back("propagator_0_smin33_smax33");
  int needed_g_p_60[] = {  51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68}; //  14
  psi_needed_g_p[no_ps][60] = get_vector_from_array_int(needed_g_p_60, 14);
  psi_container_IS_name.push_back("propagator_0_smin34_smax35");
  int needed_g_p_61[] = {  56,   57}; //   2
  psi_needed_g_p[no_ps][61] = get_vector_from_array_int(needed_g_p_61, 2);
  psi_container_IS_name.push_back("propagator_0_smin35_smax36");
  int needed_g_p_62[] = {  56,   57,   58,   59}; //   4
  psi_needed_g_p[no_ps][62] = get_vector_from_array_int(needed_g_p_62, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax37");
  int needed_g_p_63[] = {  58,   59}; //   2
  psi_needed_g_p[no_ps][63] = get_vector_from_array_int(needed_g_p_63, 2);
  psi_container_IS_name.push_back("propagator_0_smin36_smax36");
  int needed_g_p_64[] = {  69,   70,   75,   76,   77,   78,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   97,   98,  103}; //  19
  psi_needed_g_p[no_ps][64] = get_vector_from_array_int(needed_g_p_64, 19);
  psi_container_IS_name.push_back("propagator_0_smin34_smax38");
  int needed_g_p_65[] = {  69,   70,   84,   85,   91,   92}; //   6
  psi_needed_g_p[no_ps][65] = get_vector_from_array_int(needed_g_p_65, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax39");
  int needed_g_p_66[] = {  69,   70}; //   2
  psi_needed_g_p[no_ps][66] = get_vector_from_array_int(needed_g_p_66, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax40");
  int needed_g_p_67[] = {  69,   75}; //   2
  psi_needed_g_p[no_ps][67] = get_vector_from_array_int(needed_g_p_67, 2);
  psi_container_IS_name.push_back("propagator_0_smin2_smax41");
  int needed_g_p_68[] = {  70,   76}; //   2
  psi_needed_g_p[no_ps][68] = get_vector_from_array_int(needed_g_p_68, 2);
  psi_container_IS_name.push_back("propagator_23_smin2_smax41");
  int needed_g_p_69[] = {  71,   72}; //   2
  psi_needed_g_p[no_ps][69] = get_vector_from_array_int(needed_g_p_69, 2);
  psi_container_IS_name.push_back("propagator_0_smin35_smax42");
  int needed_g_p_70[] = {  73,   74}; //   2
  psi_needed_g_p[no_ps][70] = get_vector_from_array_int(needed_g_p_70, 2);
  psi_container_IS_name.push_back("propagator_5_smin26_smax43");
  int needed_g_p_71[] = {  73,   74}; //   2
  psi_needed_g_p[no_ps][71] = get_vector_from_array_int(needed_g_p_71, 2);
  psi_container_IS_name.push_back("propagator_0_smin36_smax42");
  int needed_g_p_72[] = {  75,   76,   77,   89,   90}; //   5
  psi_needed_g_p[no_ps][72] = get_vector_from_array_int(needed_g_p_72, 5);
  psi_container_IS_name.push_back("propagator_24_smin5_smax44");
  int needed_g_p_73[] = {  75,   76}; //   2
  psi_needed_g_p[no_ps][73] = get_vector_from_array_int(needed_g_p_73, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax40");
  int needed_g_p_74[] = {  77}; //   1
  psi_needed_g_p[no_ps][74] = get_vector_from_array_int(needed_g_p_74, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax45");
  int needed_g_p_75[] = {  77,   83}; //   2
  psi_needed_g_p[no_ps][75] = get_vector_from_array_int(needed_g_p_75, 2);
  psi_container_IS_name.push_back("propagator_23_smin8_smax41");
  int needed_g_p_76[] = {  78,   83,   98}; //   3
  psi_needed_g_p[no_ps][76] = get_vector_from_array_int(needed_g_p_76, 3);
  psi_container_IS_name.push_back("propagator_23_smin9_smax46");
  int needed_g_p_77[] = {  78}; //   1
  psi_needed_g_p[no_ps][77] = get_vector_from_array_int(needed_g_p_77, 1);
  psi_container_IS_name.push_back("propagator_0_smin10_smax47");
  int needed_g_p_78[] = {  78,   88}; //   2
  psi_needed_g_p[no_ps][78] = get_vector_from_array_int(needed_g_p_78, 2);
  psi_container_IS_name.push_back("propagator_23_smin11_smax41");
  int needed_g_p_79[] = {  79,   80}; //   2
  psi_needed_g_p[no_ps][79] = get_vector_from_array_int(needed_g_p_79, 2);
  psi_container_IS_name.push_back("propagator_0_smin32_smax48");
  int needed_g_p_80[] = {  81,   82}; //   2
  psi_needed_g_p[no_ps][80] = get_vector_from_array_int(needed_g_p_80, 2);
  psi_container_IS_name.push_back("propagator_5_smin20_smax49");
  int needed_g_p_81[] = {  81,   82}; //   2
  psi_needed_g_p[no_ps][81] = get_vector_from_array_int(needed_g_p_81, 2);
  psi_container_IS_name.push_back("propagator_0_smin33_smax48");
  int needed_g_p_82[] = {  83}; //   1
  psi_needed_g_p[no_ps][82] = get_vector_from_array_int(needed_g_p_82, 1);
  psi_container_IS_name.push_back("propagator_0_smin12_smax45");
  int needed_g_p_83[] = {  84,   85}; //   2
  psi_needed_g_p[no_ps][83] = get_vector_from_array_int(needed_g_p_83, 2);
  psi_container_IS_name.push_back("propagator_0_smin13_smax50");
  int needed_g_p_84[] = {  84,   86}; //   2
  psi_needed_g_p[no_ps][84] = get_vector_from_array_int(needed_g_p_84, 2);
  psi_container_IS_name.push_back("propagator_0_smin14_smax41");
  int needed_g_p_85[] = {  85,   87}; //   2
  psi_needed_g_p[no_ps][85] = get_vector_from_array_int(needed_g_p_85, 2);
  psi_container_IS_name.push_back("propagator_23_smin14_smax41");
  int needed_g_p_86[] = {  86,   87,   88,  103}; //   4
  psi_needed_g_p[no_ps][86] = get_vector_from_array_int(needed_g_p_86, 4);
  psi_container_IS_name.push_back("propagator_24_smin15_smax51");
  int needed_g_p_87[] = {  86,   87}; //   2
  psi_needed_g_p[no_ps][87] = get_vector_from_array_int(needed_g_p_87, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax50");
  int needed_g_p_88[] = {  88}; //   1
  psi_needed_g_p[no_ps][88] = get_vector_from_array_int(needed_g_p_88, 1);
  psi_container_IS_name.push_back("propagator_0_smin17_smax47");
  int needed_g_p_89[] = {  89,   90}; //   2
  psi_needed_g_p[no_ps][89] = get_vector_from_array_int(needed_g_p_89, 2);
  psi_container_IS_name.push_back("propagator_24_smin15_smax52");
  int needed_g_p_90[] = {  89}; //   1
  psi_needed_g_p[no_ps][90] = get_vector_from_array_int(needed_g_p_90, 1);
  psi_container_IS_name.push_back("propagator_0_smin19_smax41");
  int needed_g_p_91[] = {  90}; //   1
  psi_needed_g_p[no_ps][91] = get_vector_from_array_int(needed_g_p_91, 1);
  psi_container_IS_name.push_back("propagator_23_smin19_smax41");
  int needed_g_p_92[] = {  91,   93}; //   2
  psi_needed_g_p[no_ps][92] = get_vector_from_array_int(needed_g_p_92, 2);
  psi_container_IS_name.push_back("propagator_0_smin9_smax53");
  int needed_g_p_93[] = {  92,   94}; //   2
  psi_needed_g_p[no_ps][93] = get_vector_from_array_int(needed_g_p_93, 2);
  psi_container_IS_name.push_back("propagator_23_smin9_smax53");
  int needed_g_p_94[] = {  93,   94}; //   2
  psi_needed_g_p[no_ps][94] = get_vector_from_array_int(needed_g_p_94, 2);
  psi_container_IS_name.push_back("propagator_0_smin34_smax54");
  int needed_g_p_95[] = {  95,   96,  101,  102}; //   4
  psi_needed_g_p[no_ps][95] = get_vector_from_array_int(needed_g_p_95, 4);
  psi_container_IS_name.push_back("propagator_0_smin34_smax55");
  int needed_g_p_96[] = {  97}; //   1
  psi_needed_g_p[no_ps][96] = get_vector_from_array_int(needed_g_p_96, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax46");
  int needed_g_p_97[] = {  97,   98,   99,  100}; //   4
  psi_needed_g_p[no_ps][97] = get_vector_from_array_int(needed_g_p_97, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax56");
  int needed_g_p_98[] = {  99,  100}; //   2
  psi_needed_g_p[no_ps][98] = get_vector_from_array_int(needed_g_p_98, 2);
  psi_container_IS_name.push_back("propagator_0_smin34_smax57");
  int needed_g_p_99[] = { 103,  104}; //   2
  psi_needed_g_p[no_ps][99] = get_vector_from_array_int(needed_g_p_99, 2);
  psi_container_IS_name.push_back("propagator_24_smin5_smax58");
  int needed_g_p_100[] = { 104}; //   1
  psi_needed_g_p[no_ps][100] = get_vector_from_array_int(needed_g_p_100, 1);
  psi_container_IS_name.push_back("propagator_0_smin34_smax59");
  int needed_g_p_101[] = { 105}; //   1
  psi_needed_g_p[no_ps][101] = get_vector_from_array_int(needed_g_p_101, 1);
  psi_container_IS_name.push_back("propagator_0_smin34_smax60");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(5);
  psi_needed_g_f[no_ps].resize(5);
  int needed_g_f_0[] = {  91,   92,   93,   94}; //   4
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin37_smax48");
  int needed_g_f_1[] = {  95,   96,  101,  102}; //   4
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax41");
  int needed_g_f_2[] = {  97,   98,   99,  100}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin38_smax42");
  int needed_g_f_3[] = { 103,  104}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin39_smax61");
  int needed_g_f_4[] = { 105}; //   1
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax41");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(16);
  psi_needed_g_t[no_ps].resize(16);
  int needed_g_t_0[] = {  47,   48,   49,   50,   91,   92,   93,   94}; //   8
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_1[] = {  51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68,   95,   96,  101,  102,  105}; //  19
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 19);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_2[] = {  56,   57,   58,   59,   97,   98,   99,  100}; //   8
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__48_204");
  int needed_g_t_3[] = {  69,   70,   75,   76,   77,   78,   83,   84,   85,   86,   87,   88,   89,   90}; //  14
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 14);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_4[] = {  71,   72,   73,   74}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_5[] = {  79,   80,   81,   82}; //   4
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_6[] = {  91,   92}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__192_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__192_48");
  int needed_g_t_7[] = {  93,   94}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_8[] = {  95,   96}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__48_12");
  int needed_g_t_9[] = {  97,   98}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__192_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__192_12");
  int needed_g_t_10[] = {  99,  100}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_11[] = { 101,  102}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__12_48");
  int needed_g_t_12[] = { 103,  104}; //   2
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__24_228");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__24_228");
  int needed_g_t_13[] = { 103}; //   1
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_25__192_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_25__192_36");
  int needed_g_t_14[] = { 104}; //   1
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_25__36_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_25__36_192");
  int needed_g_t_15[] = { 105}; //   1
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__36_24");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(42);
  psi_needed_g_d[no_ps].resize(42);
  int needed_g_d_0[] = {   0,    1,    4,    5,    8,   10,   12,   14,   15,   18,   19,   22,   24,   26,   27,   28,   34,   35,   39,   40,   41}; //  21
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 21);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_1[] = {   0,    1,    4,    5,    8,   10,   12,   14,   15,   18,   19,   22,   24,   26,   27,   28}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,   51,   52,   53,   54,   69,   70,   75,   76}; //  16
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_3[] = {   0,    1,    2,    3,   51,   52,   69,   70}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_4[] = {   0,    1,    2,    3,   14,   15,   16,   17,   24,   25,   32,   33,   34,   35,   37,   38,   39,   40,   42,   43,   44,   45,   47,   48,   49,   50,   51,   52,   56,   57,   58,   59,   62,   63,   69,   70,   71,   72,   73,   74,   79,   80,   81,   82,   84,   85,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102}; //  58
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 58);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_5[] = {   2,    3,    6,    7,    9,   11,   13,   16,   17,   20,   21,   23,   25,   29,   30,   31,   32,   33,   36,   37,   38}; //  21
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 21);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_6[] = {   2,    3,    6,    7,    9,   11,   13,   16,   17,   20,   21,   23,   25,   29,   30,   31}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_7[] = {   4,    5,    6,    7,   53,   54,   75,   76}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_8[] = {   4,    5,    6,    7,    8,    9,   26,   27,   28,   29,   30,   31,   36,   41,   46,   53,   54,   55,   67,   68,   75,   76,   77,   89,   90,  103,  104,  105}; //  28
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 28);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_9[] = {   8,    9,   12,   13,   55,   61,   77,   83}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_10[] = {   8,    9,   55,   77}; //   4
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 4);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_11[] = {  10,   11,   22,   23,   60,   66,   78,   88}; //   8
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_12[] = {  10,   11,   60,   78}; //   4
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_13[] = {  10,   11,   12,   13,   24,   25,   32,   33,   34,   35,   37,   38,   39,   40,   42,   43,   44,   45,   47,   48,   49,   50,   56,   57,   58,   59,   60,   61,   71,   72,   73,   74,   78,   79,   80,   81,   82,   83,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102}; //  50
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 50);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_14[] = {  12,   13,   61,   83}; //   4
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 4);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_15[] = {  14,   15,   16,   17,   18,   19,   20,   21,   62,   63,   64,   65,   84,   85,   86,   87}; //  16
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_16[] = {  14,   15,   16,   17,   62,   63,   84,   85}; //   8
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 8);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_17[] = {  18,   19,   20,   21,   64,   65,   86,   87}; //   8
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 8);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_18[] = {  18,   19,   20,   21,   22,   23,   26,   27,   28,   29,   30,   31,   36,   41,   46,   64,   65,   66,   67,   68,   86,   87,   88,   89,   90,  103,  104,  105}; //  28
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 28);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_19[] = {  22,   23,   66,   88}; //   4
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_20[] = {  24,   25}; //   2
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 2);
  psi_container_IS_name.push_back("costheta_of_decay_60__12_48");
  psi_container_IS_name.push_back("phi_of_decay_60__12_48");
  int needed_g_d_21[] = {  26,   27,   28,   29,   30,   31,   67,   68,   89,   90}; //  10
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 10);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_22[] = {  32,   33}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_23[] = {  32,   33,   44,   45,   49,   50,   81,   82}; //   8
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 8);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_24[] = {  34,   35}; //   2
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_25[] = {  34,   35,   42,   43,   47,   48,   79,   80}; //   8
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 8);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_26[] = {  36}; //   1
  psi_needed_g_d[no_ps][26] = get_vector_from_array_int(needed_g_d_26, 1);
  psi_container_IS_name.push_back("costheta_of_decay_124__36_88");
  psi_container_IS_name.push_back("phi_of_decay_124__36_88");
  int needed_g_d_27[] = {  36,   46}; //   2
  psi_needed_g_d[no_ps][27] = get_vector_from_array_int(needed_g_d_27, 2);
  psi_container_IS_name.push_back("costheta_of_decay_88__64_24");
  psi_container_IS_name.push_back("phi_of_decay_88__64_24");
  int needed_g_d_28[] = {  37,   38}; //   2
  psi_needed_g_d[no_ps][28] = get_vector_from_array_int(needed_g_d_28, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_29[] = {  37,   38,   42,   43,   58,   59,   73,   74}; //   8
  psi_needed_g_d[no_ps][29] = get_vector_from_array_int(needed_g_d_29, 8);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_30[] = {  39,   40}; //   2
  psi_needed_g_d[no_ps][30] = get_vector_from_array_int(needed_g_d_30, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_31[] = {  39,   40,   44,   45,   56,   57,   71,   72}; //   8
  psi_needed_g_d[no_ps][31] = get_vector_from_array_int(needed_g_d_31, 8);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_32[] = {  41}; //   1
  psi_needed_g_d[no_ps][32] = get_vector_from_array_int(needed_g_d_32, 1);
  psi_container_IS_name.push_back("costheta_of_decay_188__24_164");
  psi_container_IS_name.push_back("phi_of_decay_188__24_164");
  int needed_g_d_33[] = {  41,   46}; //   2
  psi_needed_g_d[no_ps][33] = get_vector_from_array_int(needed_g_d_33, 2);
  psi_container_IS_name.push_back("costheta_of_decay_164__128_36");
  psi_container_IS_name.push_back("phi_of_decay_164__128_36");
  int needed_g_d_34[] = {  42,   43}; //   2
  psi_needed_g_d[no_ps][34] = get_vector_from_array_int(needed_g_d_34, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__76_176");
  psi_container_IS_name.push_back("phi_of_decay_252__76_176");
  int needed_g_d_35[] = {  44,   45}; //   2
  psi_needed_g_d[no_ps][35] = get_vector_from_array_int(needed_g_d_35, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__112_140");
  psi_container_IS_name.push_back("phi_of_decay_252__112_140");
  int needed_g_d_36[] = {  46}; //   1
  psi_needed_g_d[no_ps][36] = get_vector_from_array_int(needed_g_d_36, 1);
  psi_container_IS_name.push_back("costheta_of_decay_252__88_164");
  psi_container_IS_name.push_back("phi_of_decay_252__88_164");
  int needed_g_d_37[] = {  47,   48,   79,   80}; //   4
  psi_needed_g_d[no_ps][37] = get_vector_from_array_int(needed_g_d_37, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__64_176");
  psi_container_IS_name.push_back("phi_of_decay_240__64_176");
  int needed_g_d_38[] = {  49,   50,   81,   82}; //   4
  psi_needed_g_d[no_ps][38] = get_vector_from_array_int(needed_g_d_38, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__128_112");
  psi_container_IS_name.push_back("phi_of_decay_240__128_112");
  int needed_g_d_39[] = {  51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   75,   76,   77,   78,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105}; //  43
  psi_needed_g_d[no_ps][39] = get_vector_from_array_int(needed_g_d_39, 43);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_40[] = {  56,   57,   71,   72}; //   4
  psi_needed_g_d[no_ps][40] = get_vector_from_array_int(needed_g_d_40, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__64_140");
  psi_container_IS_name.push_back("phi_of_decay_204__64_140");
  int needed_g_d_41[] = {  58,   59,   73,   74}; //   4
  psi_needed_g_d[no_ps][41] = get_vector_from_array_int(needed_g_d_41, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__128_76");
  psi_container_IS_name.push_back("phi_of_decay_204__128_76");

  psi_c_p[no_ps].resize(106);
  psi_c_f[no_ps].resize(106);
  psi_c_t[no_ps].resize(106);
  psi_c_d[no_ps].resize(106);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {}; //   0
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 0);
  int c_d_0[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 5);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {}; //   0
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 0);
  int c_d_1[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 5);

  int c_p_2[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {}; //   0
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 0);
  int c_d_2[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 5);

  int c_p_3[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {}; //   0
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 0);
  int c_d_3[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 5);

  int c_p_4[] = {  6,   7,   2,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {}; //   0
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 0);
  int c_d_4[] = {  0,   1,   2,   7,   8}; //   5
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 5);

  int c_p_5[] = {  6,   7,   4,   3}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {}; //   0
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 0);
  int c_d_5[] = {  0,   1,   2,   7,   8}; //   5
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 5);

  int c_p_6[] = {  6,   7,   2,   5}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {}; //   0
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 0);
  int c_d_6[] = {  5,   6,   2,   7,   8}; //   5
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 5);

  int c_p_7[] = {  6,   7,   4,   5}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {}; //   0
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 0);
  int c_d_7[] = {  5,   6,   2,   7,   8}; //   5
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 5);

  int c_p_8[] = {  6,   8,   9,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {}; //   0
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 0);
  int c_d_8[] = {  0,   1,   9,  10,   8}; //   5
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 5);

  int c_p_9[] = {  6,   8,   9,   5}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {}; //   0
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 0);
  int c_d_9[] = {  5,   6,   9,  10,   8}; //   5
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 5);

  int c_p_10[] = { 10,  11,  12,   3}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {}; //   0
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 0);
  int c_d_10[] = {  0,   1,  11,  12,  13}; //   5
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 5);

  int c_p_11[] = { 10,  11,  12,   5}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {}; //   0
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 0);
  int c_d_11[] = {  5,   6,  11,  12,  13}; //   5
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 5);

  int c_p_12[] = { 10,  13,   9,   3}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = {  0,   1,   9,  14,  13}; //   5
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 5);

  int c_p_13[] = { 10,  13,   9,   5}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = {  5,   6,   9,  14,  13}; //   5
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 5);

  int c_p_14[] = {  0,  14,  15,   3}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = {  0,   1,  15,  16,   4}; //   5
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 5);

  int c_p_15[] = {  0,  14,  16,   3}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = {  0,   1,  15,  16,   4}; //   5
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 5);

  int c_p_16[] = {  0,  14,  15,   5}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = {  5,   6,  15,  16,   4}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = {  0,  14,  16,   5}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = {  5,   6,  15,  16,   4}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = { 17,  18,  15,   3}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = {  0,   1,  15,  17,  18}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = { 17,  18,  16,   3}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = {  0,   1,  15,  17,  18}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = { 17,  18,  15,   5}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = {  5,   6,  15,  17,  18}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = { 17,  18,  16,   5}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = {  5,   6,  15,  17,  18}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = { 17,  19,  12,   3}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = {  0,   1,  11,  19,  18}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = { 17,  19,  12,   5}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = {  5,   6,  11,  19,  18}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  0,  20,  21,   3}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = {  0,   1,  20,  13,   4}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  0,  20,  21,   5}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = {  5,   6,  20,  13,   4}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  6,  22,  23,   3}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = {  0,   1,  21,  18,   8}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  6,  22,  24,   3}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = {  0,   1,  21,  18,   8}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  6,  22,  25,   3}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = {  0,   1,  21,  18,   8}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  6,  22,  23,   5}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = {  5,   6,  21,  18,   8}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  6,  22,  24,   5}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = {  5,   6,  21,  18,   8}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  6,  22,  25,   5}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = {  5,   6,  21,  18,   8}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = {  0,  26,  27,  28}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = {  5,  22,  13,  23,   4}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  0,  26,  29,  28}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = {  5,  22,  13,  23,   4}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  0,  30,  31,  32}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = {  0,  24,  13,  25,   4}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  0,  30,  33,  32}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = {  0,  24,  13,  25,   4}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = {  6,  34,  35,  36}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {}; //   0
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 0);
  int c_d_36[] = {  5,  26,  18,  27,   8}; //   5
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 5);

  int c_p_37[] = { 37,  38,  39,  40}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {}; //   0
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 0);
  int c_d_37[] = {  5,  28,   4,  29,  13}; //   5
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 5);

  int c_p_38[] = { 10,  38,  39,  40}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {}; //   0
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 0);
  int c_d_38[] = {  5,  28,   4,  29,  13}; //   5
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 5);

  int c_p_39[] = { 37,  41,  42,  43}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {}; //   0
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 0);
  int c_d_39[] = {  0,  30,   4,  31,  13}; //   5
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 5);

  int c_p_40[] = { 10,  41,  42,  43}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {}; //   0
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 0);
  int c_d_40[] = {  0,  30,   4,  31,  13}; //   5
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 5);

  int c_p_41[] = { 17,  44,  45,  46}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {}; //   0
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 0);
  int c_d_41[] = {  0,  32,   8,  33,  18}; //   5
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 5);

  int c_p_42[] = {  0,  47,  48,  49}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {}; //   0
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 0);
  int c_d_42[] = { 34,  29,  25,  13,   4}; //   5
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 5);

  int c_p_43[] = {  0,  20,  48,  49}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {}; //   0
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 0);
  int c_d_43[] = { 34,  29,  25,  13,   4}; //   5
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 5);

  int c_p_44[] = { 37,  50,  51,  52}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {}; //   0
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 0);
  int c_d_44[] = { 35,  23,  31,   4,  13}; //   5
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 5);

  int c_p_45[] = { 10,  50,  51,  52}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {}; //   0
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 0);
  int c_d_45[] = { 35,  23,  31,   4,  13}; //   5
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 5);

  int c_p_46[] = { 17,  53,  54,  55}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {}; //   0
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 0);
  int c_d_46[] = { 36,  27,  33,   8,  18}; //   5
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 5);

  int c_p_47[] = {  0,  30,  56,  57}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  0}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 13,  37,  25,   4}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = {  0,  30,  56,  58}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  0}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 13,  37,  25,   4}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  0,  26,  59,  57}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  0}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 13,  38,  23,   4}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  0,  26,  59,  58}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {  0}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 13,  38,  23,   4}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = {  0,   1,   2,  60}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {  1}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 39,   2,   3,   4}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = {  0,   1,   4,  60}; //   4
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 4);
  int c_f_52[] = {}; //   0
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 0);
  int c_t_52[] = {  1}; //   1
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 1);
  int c_d_52[] = { 39,   2,   3,   4}; //   4
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 4);

  int c_p_53[] = {  6,   7,   2,  60}; //   4
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 4);
  int c_f_53[] = {}; //   0
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 0);
  int c_t_53[] = {  1}; //   1
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 1);
  int c_d_53[] = { 39,   2,   7,   8}; //   4
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 4);

  int c_p_54[] = {  6,   7,   4,  60}; //   4
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 4);
  int c_f_54[] = {}; //   0
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 0);
  int c_t_54[] = {  1}; //   1
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 1);
  int c_d_54[] = { 39,   2,   7,   8}; //   4
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 4);

  int c_p_55[] = {  6,   8,   9,  60}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = {  1}; //   1
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 1);
  int c_d_55[] = { 39,   9,  10,   8}; //   4
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 4);

  int c_p_56[] = { 37,  41,  61,  62}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = {  2}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = {  4,  40,  31,  13}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = { 10,  41,  61,  62}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = {  2}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = {  4,  40,  31,  13}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = { 37,  38,  63,  62}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = {  2}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = {  4,  41,  29,  13}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = { 10,  38,  63,  62}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = {  2}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = {  4,  41,  29,  13}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = { 10,  11,  12,  60}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = {  1}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = { 39,  11,  12,  13}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = { 10,  13,   9,  60}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  1}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 39,   9,  14,  13}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  0,  14,  15,  60}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  1}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 39,  15,  16,   4}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  0,  14,  16,  60}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  1}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 39,  15,  16,   4}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = { 17,  18,  15,  60}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  1}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = { 39,  15,  17,  18}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = { 17,  18,  16,  60}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  1}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = { 39,  15,  17,  18}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = { 17,  19,  12,  60}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  1}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = { 39,  11,  19,  18}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  6,  22,  23,  60}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  1}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = { 39,  21,  18,   8}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  6,  22,  24,  60}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  1}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = { 39,  21,  18,   8}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = { 64,  65,  66,  67}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  3}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = {  2,   3,   4,  39}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = { 64,  65,  66,  68}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  3}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = {  2,   3,   4,  39}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  0,  47,  51,  69}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = {  4}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = { 40,  31,  13,   4}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = {  0,  20,  51,  69}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = {  4}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = { 40,  31,  13,   4}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = {  0,  47,  70,  71}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = {  4}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = { 41,  29,  13,   4}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = {  0,  20,  70,  71}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  4}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = { 41,  29,  13,   4}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = { 64,  72,  73,  67}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  3}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = {  2,   7,   8,  39}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = { 64,  72,  73,  68}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  3}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = {  2,   7,   8,  39}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = { 64,  72,  74,  75}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = {  3}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = {  9,  10,   8,  39}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = { 64,  76,  77,  78}; //   4
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 4);
  int c_f_78[] = {}; //   0
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 0);
  int c_t_78[] = {  3}; //   1
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 1);
  int c_d_78[] = { 11,  12,  13,  39}; //   4
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 4);

  int c_p_79[] = { 37,  50,  48,  79}; //   4
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 4);
  int c_f_79[] = {}; //   0
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 0);
  int c_t_79[] = {  5}; //   1
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 1);
  int c_d_79[] = { 37,  25,   4,  13}; //   4
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 4);

  int c_p_80[] = { 10,  50,  48,  79}; //   4
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 4);
  int c_f_80[] = {}; //   0
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 0);
  int c_t_80[] = {  5}; //   1
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 1);
  int c_d_80[] = { 37,  25,   4,  13}; //   4
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 4);

  int c_p_81[] = { 37,  50,  80,  81}; //   4
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 4);
  int c_f_81[] = {}; //   0
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 0);
  int c_t_81[] = {  5}; //   1
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 1);
  int c_d_81[] = { 38,  23,   4,  13}; //   4
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 4);

  int c_p_82[] = { 10,  50,  80,  81}; //   4
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 4);
  int c_f_82[] = {}; //   0
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 0);
  int c_t_82[] = {  5}; //   1
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 1);
  int c_d_82[] = { 38,  23,   4,  13}; //   4
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 4);

  int c_p_83[] = { 64,  76,  82,  75}; //   4
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 4);
  int c_f_83[] = {}; //   0
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 0);
  int c_t_83[] = {  3}; //   1
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 1);
  int c_d_83[] = {  9,  14,  13,  39}; //   4
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 4);

  int c_p_84[] = { 64,  65,  83,  84}; //   4
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 4);
  int c_f_84[] = {}; //   0
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 0);
  int c_t_84[] = {  3}; //   1
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 1);
  int c_d_84[] = { 15,  16,   4,  39}; //   4
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 4);

  int c_p_85[] = { 64,  65,  83,  85}; //   4
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 4);
  int c_f_85[] = {}; //   0
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 0);
  int c_t_85[] = {  3}; //   1
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 1);
  int c_d_85[] = { 15,  16,   4,  39}; //   4
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 4);

  int c_p_86[] = { 64,  86,  87,  84}; //   4
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 4);
  int c_f_86[] = {}; //   0
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 0);
  int c_t_86[] = {  3}; //   1
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 1);
  int c_d_86[] = { 15,  17,  18,  39}; //   4
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 4);

  int c_p_87[] = { 64,  86,  87,  85}; //   4
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 4);
  int c_f_87[] = {}; //   0
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 0);
  int c_t_87[] = {  3}; //   1
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 1);
  int c_d_87[] = { 15,  17,  18,  39}; //   4
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 4);

  int c_p_88[] = { 64,  86,  88,  78}; //   4
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 4);
  int c_f_88[] = {}; //   0
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 0);
  int c_t_88[] = {  3}; //   1
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 1);
  int c_d_88[] = { 11,  19,  18,  39}; //   4
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 4);

  int c_p_89[] = { 64,  72,  89,  90}; //   4
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 4);
  int c_f_89[] = {}; //   0
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 0);
  int c_t_89[] = {  3}; //   1
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 1);
  int c_d_89[] = { 21,  18,   8,  39}; //   4
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 4);

  int c_p_90[] = { 64,  72,  89,  91}; //   4
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 4);
  int c_f_90[] = {}; //   0
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 0);
  int c_t_90[] = {  3}; //   1
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 1);
  int c_d_90[] = { 21,  18,   8,  39}; //   4
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 4);

  int c_p_91[] = { 64,  65,  92}; //   3
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 3);
  int c_f_91[] = {  0}; //   1
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 1);
  int c_t_91[] = {  0,   6}; //   2
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 2);
  int c_d_91[] = { 13,   4,  39}; //   3
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 3);

  int c_p_92[] = { 64,  65,  93}; //   3
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 3);
  int c_f_92[] = {  0}; //   1
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 1);
  int c_t_92[] = {  0,   6}; //   2
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 2);
  int c_d_92[] = { 13,   4,  39}; //   3
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 3);

  int c_p_93[] = {  0,  94,  92}; //   3
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 3);
  int c_f_93[] = {  0}; //   1
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 1);
  int c_t_93[] = {  0,   7}; //   2
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 2);
  int c_d_93[] = { 13,  39,   4}; //   3
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 3);

  int c_p_94[] = {  0,  94,  93}; //   3
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 3);
  int c_f_94[] = {  0}; //   1
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 1);
  int c_t_94[] = {  0,   7}; //   2
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 2);
  int c_d_94[] = { 13,  39,   4}; //   3
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 3);

  int c_p_95[] = {  0,  47,  95}; //   3
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 3);
  int c_f_95[] = {  1}; //   1
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 1);
  int c_t_95[] = {  1,   8}; //   2
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 2);
  int c_d_95[] = { 39,  13,   4}; //   3
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 3);

  int c_p_96[] = {  0,  20,  95}; //   3
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 3);
  int c_f_96[] = {  1}; //   1
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 1);
  int c_t_96[] = {  1,   8}; //   2
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 2);
  int c_d_96[] = { 39,  13,   4}; //   3
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 3);

  int c_p_97[] = { 64,  96,  97}; //   3
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 3);
  int c_f_97[] = {  2}; //   1
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 1);
  int c_t_97[] = {  2,   9}; //   2
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 2);
  int c_d_97[] = {  4,  13,  39}; //   3
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 3);

  int c_p_98[] = { 64,  76,  97}; //   3
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 3);
  int c_f_98[] = {  2}; //   1
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 1);
  int c_t_98[] = {  2,   9}; //   2
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 2);
  int c_d_98[] = {  4,  13,  39}; //   3
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 3);

  int c_p_99[] = { 37,  98,  97}; //   3
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 3);
  int c_f_99[] = {  2}; //   1
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 1);
  int c_t_99[] = {  2,  10}; //   2
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 2);
  int c_d_99[] = {  4,  39,  13}; //   3
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 3);

  int c_p_100[] = { 10,  98,  97}; //   3
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 3);
  int c_f_100[] = {  2}; //   1
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 1);
  int c_t_100[] = {  2,  10}; //   2
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 2);
  int c_d_100[] = {  4,  39,  13}; //   3
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 3);

  int c_p_101[] = { 37,  50,  95}; //   3
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 3);
  int c_f_101[] = {  1}; //   1
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 1);
  int c_t_101[] = {  1,  11}; //   2
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 2);
  int c_d_101[] = { 39,   4,  13}; //   3
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 3);

  int c_p_102[] = { 10,  50,  95}; //   3
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 3);
  int c_f_102[] = {  1}; //   1
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 1);
  int c_t_102[] = {  1,  11}; //   2
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 2);
  int c_d_102[] = { 39,   4,  13}; //   3
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 3);

  int c_p_103[] = { 64,  86,  99}; //   3
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 3);
  int c_f_103[] = {  3}; //   1
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 1);
  int c_t_103[] = { 12,  13}; //   2
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 2);
  int c_d_103[] = {  8,  18,  39}; //   3
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 3);

  int c_p_104[] = { 17, 100,  99}; //   3
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 3);
  int c_f_104[] = {  3}; //   1
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 1);
  int c_t_104[] = { 12,  14}; //   2
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 2);
  int c_d_104[] = {  8,  39,  18}; //   3
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 3);

  int c_p_105[] = { 17,  53, 101}; //   3
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 3);
  int c_f_105[] = {  4}; //   1
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 1);
  int c_t_105[] = {  1,  15}; //   2
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 2);
  int c_d_105[] = { 39,   8,  18}; //   3
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
