#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ax_psp_240_gg_emepvmvmxddx(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ax_psp_240_gg_emepvmvmxddx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(21);
  psi_needed_v_smin[no_ps].resize(21);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   52,   53,   54,   55,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  92
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 92);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   44,   45,   46,   47,   56,   57,   58,   59}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   20,   21,   22,   23,   44,   45,   46,   47,   56,   57,   58,   59}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   0,    1,    4,    6,    8,    9,   20,   21,   24,   26,   28,   29,   56,   57,   60,   62,   64,   65,   46,   47,   49,   51,   54,   55,   94,   95,   98,   99}; //  28
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 28);
  int needed_v_smin_4[] = {   2,    3,    5,    7,   10,   11,   22,   23,   25,   27,   30,   31,   58,   59,   61,   63,   66,   67,   44,   45,   48,   50,   52,   53,   92,   93,   96,   97}; //  28
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 28);
  int needed_v_smin_5[] = {   4,    5,    6,    7,   12,   13,   14,   15,   16,   17,   18,   19,   24,   25,   26,   27,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   48,   49,   50,   51,   60,   61,   62,   63,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  76
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 76);
  int needed_v_smin_6[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 8);
  int needed_v_smin_8[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   8,    9,   10,   11,   28,   29,   30,   31,   52,   53,   54,   55,   64,   65,   66,   67}; //  16
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 16);
  int needed_v_smin_11[] = {   8,    9,   10,   11,   28,   29,   30,   31,   52,   53,   54,   55,   64,   65,   66,   67}; //  16
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 16);
  int needed_v_smin_12[] = {  12,   13,   34,   35,   40,   41,   70,   71,   80,   81,   86,   87,   88,   89,  102,  103}; //  16
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 16);
  int needed_v_smin_13[] = {  12,   13,   34,   35,   70,   71,   80,   81,  102,  103}; //  10
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 10);
  int needed_v_smin_14[] = {  14,   15,   32,   33,   42,   43,   68,   69,   82,   83,   84,   85,   90,   91,  100,  101}; //  16
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 16);
  int needed_v_smin_15[] = {  14,   15,   32,   33,   68,   69,   82,   83,  100,  101}; //  10
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 10);
  int needed_v_smin_16[] = {  16,   17,   38,   39,   42,   43,   74,   75,   76,   77,   84,   85,   90,   91,  106,  107}; //  16
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 16);
  int needed_v_smin_17[] = {  16,   17,   38,   39,   74,   75,   76,   77,  106,  107}; //  10
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 10);
  int needed_v_smin_18[] = {  18,   19,   36,   37,   40,   41,   72,   73,   78,   79,   86,   87,   88,   89,  104,  105}; //  16
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 16);
  int needed_v_smin_19[] = {  18,   19,   36,   37,   72,   73,   78,   79,  104,  105}; //  10
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 10);
  int needed_v_smin_20[] = {  92,   93,   94,   95,   96,   97,   98,   99}; //   8
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 8);

  psi_v_smax[no_ps].resize(27);
  psi_needed_v_smax[no_ps].resize(27);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   40,   41,   44,   45,   46,   47,   52,   53,   54,   55,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   76,   77,   78,   79,   84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103}; //  62
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 62);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   44,   45,   46,   47,   56,   57,   58,   59}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   92,   93,   94,   95,   96,   97,   98,   99}; //  56
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 56);
  int needed_v_smax_3[] = {   0,    1,    4,    6,    8,    9,   12,   13,   16,   17,   20,   21,   24,   26,   28,   29,   34,   35,   38,   39,   56,   57,   60,   62,   64,   65,   70,   71,   74,   75,   46,   47,   49,   51,   54,   55,   76,   77,   80,   81,   94,   95,   98,   99,  102,  103,  106,  107}; //  48
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 48);
  int needed_v_smax_4[] = {   2,    3,    5,    7,   10,   11,   14,   15,   18,   19,   22,   23,   25,   27,   30,   31,   32,   33,   36,   37,   58,   59,   61,   63,   66,   67,   68,   69,   72,   73,   44,   45,   48,   50,   52,   53,   78,   79,   82,   83,   92,   93,   96,   97,  100,  101,  104,  105}; //  48
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 48);
  int needed_v_smax_5[] = {   4,    5,    6,    7,   16,   17,   18,   19,   24,   25,   26,   27,   36,   37,   38,   39,   42,   43,   48,   49,   50,   51,   60,   61,   62,   63,   72,   73,   74,   75,   80,   81,   82,   83,   88,   89,   90,   91,   96,   97,   98,   99,  104,  105,  106,  107}; //  46
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 46);
  int needed_v_smax_6[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 8);
  int needed_v_smax_7[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 8);
  int needed_v_smax_8[] = {   8,    9,   10,   11,   28,   29,   30,   31,   52,   53,   54,   55,   64,   65,   66,   67}; //  16
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 16);
  int needed_v_smax_9[] = {  12,   13,   34,   35,   70,   71,   86,   87,  102,  103}; //  10
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 10);
  int needed_v_smax_10[] = {  12,   13,   34,   35,   70,   71,   86,   87,  102,  103}; //  10
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 10);
  int needed_v_smax_11[] = {  14,   15,   32,   33,   68,   69,   84,   85,  100,  101}; //  10
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 10);
  int needed_v_smax_12[] = {  14,   15,   32,   33,   68,   69,   84,   85,  100,  101}; //  10
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 10);
  int needed_v_smax_13[] = {  16,   17,   38,   39,   74,   75,   90,   91,  106,  107}; //  10
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 10);
  int needed_v_smax_14[] = {  16,   17,   38,   39,   74,   75,   90,   91,  106,  107}; //  10
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 10);
  int needed_v_smax_15[] = {  18,   19,   36,   37,   72,   73,   88,   89,  104,  105}; //  10
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 10);
  int needed_v_smax_16[] = {  18,   19,   36,   37,   72,   73,   88,   89,  104,  105}; //  10
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 10);
  int needed_v_smax_17[] = {  40,   41,   76,   77,   78,   79,   92,   93,   94,   95}; //  10
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 10);
  int needed_v_smax_18[] = {  40,   41,   80,   81}; //   4
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 4);
  int needed_v_smax_19[] = {  40,   41,   86,   87}; //   4
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 4);
  int needed_v_smax_20[] = {  42,   43,   80,   81,   82,   83,   96,   97,   98,   99}; //  10
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 10);
  int needed_v_smax_21[] = {  42,   43,   76,   77}; //   4
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 4);
  int needed_v_smax_22[] = {  42,   43,   90,   91}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  78,   79}; //   2
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 2);
  int needed_v_smax_24[] = {  82,   83}; //   2
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 2);
  int needed_v_smax_25[] = {  84,   85}; //   2
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 2);
  int needed_v_smax_26[] = {  88,   89}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(40);
  psi_needed_g_p[no_ps].resize(40);
  int needed_g_p_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   40,   41,   44,   45,   46,   47,   52,   53,   54,   55,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   76,   77,   78,   79,   84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103}; //  62
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 62);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   44,   45,   46,   47,   56,   57,   58,   59}; //  16
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 16);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   20,   22,   44,   46,   56,   58}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    4,    6,    8,    9,   20,   21,   24,   26,   28,   29,   56,   57,   60,   62,   64,   65}; //  18
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 18);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,   21,   23,   45,   47,   57,   59}; //   8
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,    3,    5,    7,   10,   11,   22,   23,   25,   27,   30,   31,   58,   59,   61,   63,   66,   67}; //  18
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 18);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_6[] = {   4,    5,    6,    7,   17,   19,   24,   25,   26,   27,   37,   39,   43,   48,   49,   50,   51,   60,   61,   62,   63,   73,   75,   81,   83,   89,   91,   97,   99,  105,  107}; //  31
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 31);
  psi_container_IS_name.push_back("propagator_23_smin5_smax5");
  int needed_g_p_7[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_0_smin6_smax6");
  int needed_g_p_8[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 8);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_9[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 8);
  psi_container_IS_name.push_back("propagator_0_smin8_smax7");
  int needed_g_p_10[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_11[] = {   8,    9,   10,   11,   28,   29,   30,   31,   52,   53,   54,   55,   64,   65,   66,   67}; //  16
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 16);
  psi_container_IS_name.push_back("propagator_0_smin10_smax8");
  int needed_g_p_12[] = {   8,   10,   28,   30,   52,   54,   64,   66}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax2");
  int needed_g_p_13[] = {   9,   11,   29,   31,   53,   55,   65,   67}; //   8
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 8);
  psi_container_IS_name.push_back("propagator_23_smin11_smax2");
  int needed_g_p_14[] = {  12,   13,   34,   35,   70,   71,   86,   87,  102,  103}; //  10
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 10);
  psi_container_IS_name.push_back("propagator_0_smin12_smax9");
  int needed_g_p_15[] = {  12,   34,   70,   86,  102}; //   5
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 5);
  psi_container_IS_name.push_back("propagator_0_smin5_smax10");
  int needed_g_p_16[] = {  12,   13,   34,   35,   70,   71}; //   6
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 6);
  psi_container_IS_name.push_back("propagator_0_smin13_smax3");
  int needed_g_p_17[] = {  13,   35,   71,   87,  103}; //   5
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 5);
  psi_container_IS_name.push_back("propagator_23_smin5_smax10");
  int needed_g_p_18[] = {  14,   15,   32,   33,   68,   69,   84,   85,  100,  101}; //  10
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 10);
  psi_container_IS_name.push_back("propagator_0_smin14_smax11");
  int needed_g_p_19[] = {  14,   32,   68,   84,  100}; //   5
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 5);
  psi_container_IS_name.push_back("propagator_0_smin5_smax12");
  int needed_g_p_20[] = {  14,   15,   32,   33,   68,   69}; //   6
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 6);
  psi_container_IS_name.push_back("propagator_0_smin15_smax4");
  int needed_g_p_21[] = {  15,   33,   69,   85,  101}; //   5
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 5);
  psi_container_IS_name.push_back("propagator_23_smin5_smax12");
  int needed_g_p_22[] = {  16,   18,   36,   38,   42,   72,   74,   80,   82,   88,   90,   96,   98,  104,  106}; //  15
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 15);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_23[] = {  16,   17,   38,   39,   74,   75,   90,   91,  106,  107}; //  10
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 10);
  psi_container_IS_name.push_back("propagator_0_smin16_smax13");
  int needed_g_p_24[] = {  16,   17,   38,   39,   74,   75,   90,   91,  106,  107}; //  10
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax14");
  int needed_g_p_25[] = {  16,   17,   38,   39,   74,   75}; //   6
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 6);
  psi_container_IS_name.push_back("propagator_0_smin17_smax3");
  int needed_g_p_26[] = {  18,   19,   36,   37,   72,   73,   88,   89,  104,  105}; //  10
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 10);
  psi_container_IS_name.push_back("propagator_0_smin18_smax15");
  int needed_g_p_27[] = {  18,   19,   36,   37,   72,   73,   88,   89,  104,  105}; //  10
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_28[] = {  18,   19,   36,   37,   72,   73}; //   6
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 6);
  psi_container_IS_name.push_back("propagator_0_smin19_smax4");
  int needed_g_p_29[] = {  40,   76,   78,   92,   94}; //   5
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 5);
  psi_container_IS_name.push_back("propagator_0_smin5_smax17");
  int needed_g_p_30[] = {  40,   41,   80,   81}; //   4
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax18");
  int needed_g_p_31[] = {  40,   41,   86,   87}; //   4
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax19");
  int needed_g_p_32[] = {  41,   77,   79,   93,   95}; //   5
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 5);
  psi_container_IS_name.push_back("propagator_23_smin5_smax17");
  int needed_g_p_33[] = {  42,   43,   80,   81,   82,   83,   96,   97,   98,   99}; //  10
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax20");
  int needed_g_p_34[] = {  42,   43,   76,   77}; //   4
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax21");
  int needed_g_p_35[] = {  42,   43,   90,   91}; //   4
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax22");
  int needed_g_p_36[] = {  78,   79}; //   2
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax23");
  int needed_g_p_37[] = {  82,   83}; //   2
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 2);
  psi_container_IS_name.push_back("propagator_0_smin14_smax24");
  int needed_g_p_38[] = {  84,   85}; //   2
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax25");
  int needed_g_p_39[] = {  88,   89}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin12_smax26");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(7);
  psi_needed_g_f[no_ps].resize(7);
  int needed_g_f_0[] = {  44,   45,   48,   50,   52,   53,   92,   93,   96,   97}; //  10
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 10);
  psi_container_IS_name.push_back("timelikeinvariant_smin4_smax4");
  int needed_g_f_1[] = {  46,   47,   49,   51,   54,   55,   94,   95,   98,   99}; //  10
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 10);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_2[] = {  76,   77,  106,  107}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax3");
  int needed_g_f_3[] = {  78,   79,  104,  105}; //   4
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax4");
  int needed_g_f_4[] = {  80,   81,  102,  103}; //   4
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax3");
  int needed_g_f_5[] = {  82,   83,  100,  101}; //   4
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax4");
  int needed_g_f_6[] = {  92,   93,   94,   95,   96,   97,   98,   99}; //   8
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax2");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(22);
  psi_needed_g_t[no_ps].resize(22);
  int needed_g_t_0[] = {   0,    1,    4,    6,    8,    9,   12,   13,   16,   17,   76,   77,   80,   81}; //  14
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 14);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__64_188");
  int needed_g_t_1[] = {   2,    3,    5,    7,   10,   11,   14,   15,   18,   19,   78,   79,   82,   83}; //  14
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 14);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_2[] = {  44,   45,   48,   50,   52,   53,   58,   59,   61,   63,   66,   67,   68,   69,   72,   73,   92,   93,   96,   97,  100,  101,  104,  105}; //  24
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__128_124");
  int needed_g_t_3[] = {  44,   45,   48,   50,   52,   53,   92,   93,   96,   97}; //  10
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__64_60");
  int needed_g_t_4[] = {  46,   47,   49,   51,   54,   55,   56,   57,   60,   62,   64,   65,   70,   71,   74,   75,   94,   95,   98,   99,  102,  103,  106,  107}; //  24
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_5[] = {  46,   47,   49,   51,   54,   55,   94,   95,   98,   99}; //  10
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__128_60");
  int needed_g_t_6[] = {  76,   77}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__140_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__140_48");
  int needed_g_t_7[] = {  78,   79}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__76_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__76_48");
  int needed_g_t_8[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__176_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__176_12");
  int needed_g_t_9[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__112_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__112_12");
  int needed_g_t_10[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__140_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__140_112");
  int needed_g_t_11[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_12[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__176_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__176_76");
  int needed_g_t_13[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__112_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__112_140");
  int needed_g_t_14[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_66__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_66__12_48");
  int needed_g_t_15[] = {  94,   95}; //   2
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_130__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_130__12_48");
  int needed_g_t_16[] = {  96,   97}; //   2
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_66__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_66__48_12");
  int needed_g_t_17[] = {  98,   99}; //   2
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_130__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_130__48_12");
  int needed_g_t_18[] = { 100,  101}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__112_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__112_12");
  int needed_g_t_19[] = { 102,  103}; //   2
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__176_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__176_12");
  int needed_g_t_20[] = { 104,  105}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__76_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__76_48");
  int needed_g_t_21[] = { 106,  107}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__140_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__140_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(24);
  psi_needed_g_d[no_ps].resize(24);
  int needed_g_d_0[] = {   0,    1,    4,    6,    8,    9,   20,   21,   24,   26,   28,   29,   56,   57,   60,   62,   64,   65}; //  18
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 18);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_1[] = {   0,    1,    2,    3,   20,   21,   22,   23,   44,   45,   46,   47,   56,   57,   58,   59}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_2[] = {   0,    1,    2,    3,   20,   21,   22,   23,   44,   45,   46,   47,   56,   57,   58,   59}; //  16
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_3[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   52,   53,   54,   55,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  92
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 92);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_4[] = {   2,    3,    5,    7,   10,   11,   22,   23,   25,   27,   30,   31,   58,   59,   61,   63,   66,   67}; //  18
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 18);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_5[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_6[] = {   4,    5,   24,   25,   48,   49,   60,   61}; //   8
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_7[] = {   4,    5,    6,    7,   12,   13,   14,   15,   16,   17,   18,   19,   24,   25,   26,   27,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   48,   49,   50,   51,   60,   61,   62,   63,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  76
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 76);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_8[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_9[] = {   6,    7,   26,   27,   50,   51,   62,   63}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_10[] = {   8,    9,   10,   11,   28,   29,   30,   31,   52,   53,   54,   55,   64,   65,   66,   67}; //  16
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_11[] = {   8,    9,   10,   11,   28,   29,   30,   31,   52,   53,   54,   55,   64,   65,   66,   67}; //  16
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_12[] = {  12,   13,   34,   35,   70,   71}; //   6
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_13[] = {  12,   13,   34,   35,   40,   41,   70,   71,   80,   81,   86,   87,   88,   89,  102,  103}; //  16
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 16);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_14[] = {  14,   15,   32,   33,   68,   69}; //   6
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 6);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_15[] = {  14,   15,   32,   33,   42,   43,   68,   69,   82,   83,   84,   85,   90,   91,  100,  101}; //  16
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 16);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_16[] = {  16,   17,   38,   39,   74,   75}; //   6
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_17[] = {  16,   17,   38,   39,   42,   43,   74,   75,   76,   77,   84,   85,   90,   91,  106,  107}; //  16
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 16);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_18[] = {  18,   19,   36,   37,   72,   73}; //   6
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 6);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_19[] = {  18,   19,   36,   37,   40,   41,   72,   73,   78,   79,   86,   87,   88,   89,  104,  105}; //  16
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 16);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_20[] = {  20,   21,   24,   26,   28,   29,   34,   35,   38,   39}; //  10
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_21[] = {  22,   23,   25,   27,   30,   31,   32,   33,   36,   37}; //  10
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_22[] = {  40,   41}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__76_176");
  psi_container_IS_name.push_back("phi_of_decay_252__76_176");
  int needed_g_d_23[] = {  42,   43}; //   2
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__112_140");
  psi_container_IS_name.push_back("phi_of_decay_252__112_140");

  psi_c_p[no_ps].resize(108);
  psi_c_f[no_ps].resize(108);
  psi_c_t[no_ps].resize(108);
  psi_c_d[no_ps].resize(108);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  0}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  1}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  1}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  6,   7,   8,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  0}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  0,   5,   6,   7}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  6,   7,   8,   5}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  1}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  4,   5,   6,   7}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  6,   9,  10,   3}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = {  0,   8,   9,   7}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  6,   9,  10,   5}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  1}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = {  4,   8,   9,   7}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  0,  11,  12,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  0,  10,  11,   3}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  0,  11,  13,   3}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  0,  10,  11,   3}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,  11,  12,   5}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  1}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = {  4,  10,  11,   3}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  0,  11,  13,   5}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  1}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = {  4,  10,  11,   3}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 12,   7,  13,   3}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 12,   7,  13,   3}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  1}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 14,   7,  15,   3}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  1}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 14,   7,  15,   3}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = { 22,  23,  24,  25}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 16,   3,  17,   7}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  6,  23,  24,  25}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 16,   3,  17,   7}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = { 22,  26,  27,  28}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  1}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 18,   3,  19,   7}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  6,  26,  27,  28}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  1}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 18,   3,  19,   7}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 20,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 20,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 21,   4,   1,   2,   3}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 21,   4,   1,   2,   3}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  6,   7,   8,   3}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 20,   0,   5,   6,   7}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  6,   7,   8,   5}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 21,   4,   5,   6,   7}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  6,   9,  10,   3}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 20,   0,   8,   9,   7}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  6,   9,  10,   5}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 21,   4,   8,   9,   7}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  0,  11,  12,   3}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 20,   0,  10,  11,   3}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  0,  11,  13,   3}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 20,   0,  10,  11,   3}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  0,  11,  12,   5}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 21,   4,  10,  11,   3}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  0,  11,  13,   5}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = { 21,   4,  10,  11,   3}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = { 21,  14,   7,  15,   3}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = { 21,  14,   7,  15,   3}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = { 20,  12,   7,  13,   3}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = { 20,  12,   7,  13,   3}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = { 22,  26,  27,  28}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {}; //   0
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 0);
  int c_d_36[] = { 21,  18,   3,  19,   7}; //   5
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 5);

  int c_p_37[] = {  6,  26,  27,  28}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {}; //   0
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 0);
  int c_d_37[] = { 21,  18,   3,  19,   7}; //   5
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 5);

  int c_p_38[] = { 22,  23,  24,  25}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {}; //   0
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 0);
  int c_d_38[] = { 20,  16,   3,  17,   7}; //   5
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 5);

  int c_p_39[] = {  6,  23,  24,  25}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {}; //   0
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 0);
  int c_d_39[] = { 20,  16,   3,  17,   7}; //   5
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 5);

  int c_p_40[] = {  0,  29,  30,  31}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {}; //   0
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 0);
  int c_d_40[] = { 22,  19,  13,   7,   3}; //   5
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 5);

  int c_p_41[] = {  0,  32,  30,  31}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {}; //   0
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 0);
  int c_d_41[] = { 22,  19,  13,   7,   3}; //   5
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 5);

  int c_p_42[] = { 22,  33,  34,  35}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {}; //   0
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 0);
  int c_d_42[] = { 23,  15,  17,   3,   7}; //   5
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 5);

  int c_p_43[] = {  6,  33,  34,  35}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {}; //   0
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 0);
  int c_d_43[] = { 23,  15,  17,   3,   7}; //   5
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 5);

  int c_p_44[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  0}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = {  2,   3}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  0}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  2,   3}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  1}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = {  4,   5}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  1}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = {  4,   5}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 3);
  int c_f_48[] = {  0}; //   1
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 1);
  int c_t_48[] = {  2,   3}; //   2
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 2);
  int c_d_48[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 3);

  int c_p_49[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 3);
  int c_f_49[] = {  1}; //   1
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 1);
  int c_t_49[] = {  4,   5}; //   2
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 2);
  int c_d_49[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 3);

  int c_p_50[] = {  6,   9,  10}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  0}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  2,   3}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  6,   9,  10}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  1}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  4,   5}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  0,  11,  12}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  0}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  2,   3}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = { 10,  11,   3}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,  11,  13}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  2,   3}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = { 10,  11,   3}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,  11,  12}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  1}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  4,   5}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = { 10,  11,   3}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,  11,  13}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  1}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  4,   5}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = { 10,  11,   3}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = {  4}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = {  4}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = {  2}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = {  2}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  6,   7,   8,   3}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = {  4}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = {  0,   5,   6,   7}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = {  6,   7,   8,   5}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  2}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = {  4,   5,   6,   7}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  6,   9,  10,   3}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  4}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = {  0,   8,   9,   7}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  6,   9,  10,   5}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  2}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = {  4,   8,   9,   7}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  0,  11,  12,   3}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  4}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = {  0,  10,  11,   3}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  0,  11,  13,   3}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  4}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = {  0,  10,  11,   3}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  0,  11,  12,   5}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  2}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = {  4,  10,  11,   3}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  0,  11,  13,   5}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  2}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = {  4,  10,  11,   3}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  2}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = { 14,   7,  15,   3}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  2}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = { 14,   7,  15,   3}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  4}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = { 12,   7,  13,   3}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = {  4}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = { 12,   7,  13,   3}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = { 22,  26,  27,  28}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = {  2}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = { 18,   3,  19,   7}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = {  6,  26,  27,  28}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = {  2}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = { 18,   3,  19,   7}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = { 22,  23,  24,  25}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  4}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = { 16,   3,  17,   7}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = {  6,  23,  24,  25}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  4}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = { 16,   3,  17,   7}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = {  0,  29,  34}; //   3
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 3);
  int c_f_76[] = {  2}; //   1
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 1);
  int c_t_76[] = {  0,   6}; //   2
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 2);
  int c_d_76[] = { 17,   7,   3}; //   3
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 3);

  int c_p_77[] = {  0,  32,  34}; //   3
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 3);
  int c_f_77[] = {  2}; //   1
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 1);
  int c_t_77[] = {  0,   6}; //   2
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 2);
  int c_d_77[] = { 17,   7,   3}; //   3
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 3);

  int c_p_78[] = {  0,  29,  36}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  3}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  1,   7}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = { 19,   7,   3}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = {  0,  32,  36}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  3}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  1,   7}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = { 19,   7,   3}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = { 22,  33,  30}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = {  4}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = {  0,   8}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = { 13,   3,   7}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  6,  33,  30}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = {  4}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = {  0,   8}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = { 13,   3,   7}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = { 22,  33,  37}; //   3
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 3);
  int c_f_82[] = {  5}; //   1
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 1);
  int c_t_82[] = {  1,   9}; //   2
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 2);
  int c_d_82[] = { 15,   3,   7}; //   3
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 3);

  int c_p_83[] = {  6,  33,  37}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = {  5}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = {  1,   9}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = { 15,   3,   7}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  int c_p_84[] = {  0,  18,  19,  38}; //   4
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 4);
  int c_f_84[] = {}; //   0
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 0);
  int c_t_84[] = { 10}; //   1
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 1);
  int c_d_84[] = { 17,   7,  15,   3}; //   4
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 4);

  int c_p_85[] = {  0,  18,  21,  38}; //   4
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 4);
  int c_f_85[] = {}; //   0
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 0);
  int c_t_85[] = { 10}; //   1
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 1);
  int c_d_85[] = { 17,   7,  15,   3}; //   4
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 4);

  int c_p_86[] = {  0,  14,  15,  31}; //   4
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 4);
  int c_f_86[] = {}; //   0
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 0);
  int c_t_86[] = { 11}; //   1
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 1);
  int c_d_86[] = { 19,   7,  13,   3}; //   4
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 4);

  int c_p_87[] = {  0,  14,  17,  31}; //   4
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 4);
  int c_f_87[] = {}; //   0
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 0);
  int c_t_87[] = { 11}; //   1
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 1);
  int c_d_87[] = { 19,   7,  13,   3}; //   4
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 4);

  int c_p_88[] = { 22,  26,  27,  39}; //   4
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 4);
  int c_f_88[] = {}; //   0
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 0);
  int c_t_88[] = { 12}; //   1
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 1);
  int c_d_88[] = { 13,   3,  19,   7}; //   4
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 4);

  int c_p_89[] = {  6,  26,  27,  39}; //   4
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 4);
  int c_f_89[] = {}; //   0
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 0);
  int c_t_89[] = { 12}; //   1
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 1);
  int c_d_89[] = { 13,   3,  19,   7}; //   4
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 4);

  int c_p_90[] = { 22,  23,  24,  35}; //   4
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 4);
  int c_f_90[] = {}; //   0
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 0);
  int c_t_90[] = { 13}; //   1
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 1);
  int c_d_90[] = { 15,   3,  17,   7}; //   4
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 4);

  int c_p_91[] = {  6,  23,  24,  35}; //   4
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 4);
  int c_f_91[] = {}; //   0
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 0);
  int c_t_91[] = { 13}; //   1
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 1);
  int c_d_91[] = { 15,   3,  17,   7}; //   4
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 4);

  int c_p_92[] = {  0,  29}; //   2
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 2);
  int c_f_92[] = {  6,   0}; //   2
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 2);
  int c_t_92[] = {  2,   3,  14}; //   3
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 3);
  int c_d_92[] = {  7,   3}; //   2
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 2);

  int c_p_93[] = {  0,  32}; //   2
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 2);
  int c_f_93[] = {  6,   0}; //   2
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 2);
  int c_t_93[] = {  2,   3,  14}; //   3
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 3);
  int c_d_93[] = {  7,   3}; //   2
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 2);

  int c_p_94[] = {  0,  29}; //   2
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 2);
  int c_f_94[] = {  6,   1}; //   2
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 2);
  int c_t_94[] = {  4,   5,  15}; //   3
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 3);
  int c_d_94[] = {  7,   3}; //   2
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 2);

  int c_p_95[] = {  0,  32}; //   2
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 2);
  int c_f_95[] = {  6,   1}; //   2
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 2);
  int c_t_95[] = {  4,   5,  15}; //   3
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 3);
  int c_d_95[] = {  7,   3}; //   2
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 2);

  int c_p_96[] = { 22,  33}; //   2
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 2);
  int c_f_96[] = {  6,   0}; //   2
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 2);
  int c_t_96[] = {  2,   3,  16}; //   3
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 3);
  int c_d_96[] = {  3,   7}; //   2
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 2);

  int c_p_97[] = {  6,  33}; //   2
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 2);
  int c_f_97[] = {  6,   0}; //   2
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 2);
  int c_t_97[] = {  2,   3,  16}; //   3
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 3);
  int c_d_97[] = {  3,   7}; //   2
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 2);

  int c_p_98[] = { 22,  33}; //   2
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 2);
  int c_f_98[] = {  6,   1}; //   2
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 2);
  int c_t_98[] = {  4,   5,  17}; //   3
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 3);
  int c_d_98[] = {  3,   7}; //   2
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 2);

  int c_p_99[] = {  6,  33}; //   2
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 2);
  int c_f_99[] = {  6,   1}; //   2
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 2);
  int c_t_99[] = {  4,   5,  17}; //   3
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 3);
  int c_d_99[] = {  3,   7}; //   2
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 2);

  int c_p_100[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 3);
  int c_f_100[] = {  5}; //   1
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 1);
  int c_t_100[] = {  2,  18}; //   2
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 2);
  int c_d_100[] = {  7,  15,   3}; //   3
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 3);

  int c_p_101[] = {  0,  18,  21}; //   3
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 3);
  int c_f_101[] = {  5}; //   1
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 1);
  int c_t_101[] = {  2,  18}; //   2
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 2);
  int c_d_101[] = {  7,  15,   3}; //   3
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 3);

  int c_p_102[] = {  0,  14,  15}; //   3
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 3);
  int c_f_102[] = {  4}; //   1
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 1);
  int c_t_102[] = {  4,  19}; //   2
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 2);
  int c_d_102[] = {  7,  13,   3}; //   3
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 3);

  int c_p_103[] = {  0,  14,  17}; //   3
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 3);
  int c_f_103[] = {  4}; //   1
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 1);
  int c_t_103[] = {  4,  19}; //   2
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 2);
  int c_d_103[] = {  7,  13,   3}; //   3
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 3);

  int c_p_104[] = { 22,  26,  27}; //   3
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 3);
  int c_f_104[] = {  3}; //   1
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 1);
  int c_t_104[] = {  2,  20}; //   2
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 2);
  int c_d_104[] = {  3,  19,   7}; //   3
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 3);

  int c_p_105[] = {  6,  26,  27}; //   3
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 3);
  int c_f_105[] = {  3}; //   1
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 1);
  int c_t_105[] = {  2,  20}; //   2
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 2);
  int c_d_105[] = {  3,  19,   7}; //   3
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 3);

  int c_p_106[] = { 22,  23,  24}; //   3
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 3);
  int c_f_106[] = {  2}; //   1
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 1);
  int c_t_106[] = {  4,  21}; //   2
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 2);
  int c_d_106[] = {  3,  17,   7}; //   3
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 3);

  int c_p_107[] = {  6,  23,  24}; //   3
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 3);
  int c_f_107[] = {  2}; //   1
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 1);
  int c_t_107[] = {  4,  21}; //   2
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 2);
  int c_d_107[] = {  3,  17,   7}; //   3
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
