#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ax_psp_240_gu_emepvmvmxgu(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ax_psp_240_gu_emepvmvmxgu");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(26);
  psi_needed_v_smin[no_ps].resize(26);
  int needed_v_smin_0[] = {   0,    1,    4,    5,    6,    7,    8,    9,   10,   11,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   28,   29,   30,   31,   32,   33,   34,   35,   38,   39,   40,   41,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   58,   59,   60,   61,   62,   63,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  92
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 92);
  int needed_v_smin_1[] = {   0,    1,   10,   11,   22,   23,   34,   35,   40,   41,   50,   51,   52,   53,   62,   63}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,   10,   11,   22,   23,   34,   35,   40,   41,   50,   51,   52,   53,   62,   63}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   0,    1,    2,    3,    4,    5,   10,   11,   12,   13,   14,   15,   40,   41,   42,   43,   44,   45,   50,   51,   54,   56,   58,   59}; //  24
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 24);
  int needed_v_smin_4[] = {   2,    3,    6,    7,    8,    9,   12,   13,   16,   17,   18,   19,   20,   21,   24,   25,   26,   27,   30,   31,   32,   33,   36,   37,   42,   43,   46,   47,   48,   49,   54,   55,   56,   57,   64,   65,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  76
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 76);
  int needed_v_smin_5[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 8);
  int needed_v_smin_8[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {   4,    5,   14,   15,   28,   29,   38,   39,   44,   45,   58,   59,   60,   61,   66,   67}; //  16
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 16);
  int needed_v_smin_10[] = {   4,    5,   14,   15,   28,   29,   38,   39,   44,   45,   58,   59,   60,   61,   66,   67}; //  16
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 16);
  int needed_v_smin_11[] = {   6,    7,   16,   17,   20,   21,   46,   47,   70,   71,   74,   75,   78,   79,   94,   95,  100,  101}; //  18
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 18);
  int needed_v_smin_12[] = {   6,    7,   16,   17,   46,   47,   70,   71,   94,   95,  100,  101}; //  12
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 12);
  int needed_v_smin_13[] = {   8,    9,   18,   19,   24,   25,   48,   49,   68,   69,   72,   73,   76,   77,   92,   93,   96,   97}; //  18
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 18);
  int needed_v_smin_14[] = {   8,    9,   18,   19,   48,   49,   68,   69,   92,   93,   96,   97}; //  12
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 12);
  int needed_v_smin_15[] = {  20,   21,   78,   79,   74,   75}; //   6
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 6);
  int needed_v_smin_16[] = {  22,   23,   26,   27,   28,   29,   30,   31,   32,   33,   62,   63,   64,   65,   66,   67,   80,   81,   82,   83,  104,  105,  106,  107}; //  24
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 24);
  int needed_v_smin_17[] = {  24,   25,   76,   77,   72,   73}; //   6
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 6);
  int needed_v_smin_18[] = {  30,   31,   82,   83}; //   4
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 4);
  int needed_v_smin_19[] = {  32,   33,   80,   81}; //   4
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 4);
  int needed_v_smin_20[] = {  34,   35,   36,   37,   38,   39,   52,   53,   55,   57,   60,   61,   84,   85,   86,   87}; //  16
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 16);
  int needed_v_smin_21[] = {  84,   85,   86,   87,  104,  105,  106,  107}; //   8
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 8);
  int needed_v_smin_22[] = {  88,   89,   98,   99}; //   4
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 4);
  int needed_v_smin_23[] = {  88,   89,   98,   99}; //   4
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 4);
  int needed_v_smin_24[] = {  90,   91,  102,  103}; //   4
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 4);
  int needed_v_smin_25[] = {  90,   91,  102,  103}; //   4
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 4);

  psi_v_smax[no_ps].resize(35);
  psi_needed_v_smax[no_ps].resize(35);
  int needed_v_smax_0[] = {   0,    1,    4,    5,    6,    7,   10,   11,   14,   15,   16,   17,   20,   21,   22,   23,   28,   29,   34,   35,   38,   39,   40,   41,   44,   45,   46,   47,   50,   51,   52,   53,   58,   59,   60,   61,   62,   63,   66,   67,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,   98,   99,  104,  105}; //  60
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 60);
  int needed_v_smax_1[] = {   0,    1,   10,   11,   22,   23,   34,   35,   40,   41,   50,   51,   52,   53,   62,   63}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,   10,   11,   12,   13,   14,   15,   22,   23,   26,   27,   28,   29,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   84,   85,   86,   87}; //  52
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 52);
  int needed_v_smax_3[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   54,   56,   58,   59,   68,   69,   70,   71,   92,   93,   94,   95,   96,   97,  100,  101}; //  48
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 48);
  int needed_v_smax_4[] = {   2,    3,    8,    9,   12,   13,   18,   19,   24,   25,   26,   27,   36,   37,   42,   43,   48,   49,   54,   55,   56,   57,   64,   65,   70,   71,   74,   75,   78,   79,   82,   83,   86,   87,   90,   91,   94,   95,  100,  101,  102,  103,  106,  107}; //  44
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 44);
  int needed_v_smax_5[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 8);
  int needed_v_smax_6[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 8);
  int needed_v_smax_7[] = {   4,    5,   14,   15,   28,   29,   38,   39,   44,   45,   58,   59,   60,   61,   66,   67}; //  16
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 16);
  int needed_v_smax_8[] = {   6,    7,   16,   17,   20,   21,   46,   47}; //   8
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 8);
  int needed_v_smax_9[] = {   6,    7,   16,   17,   46,   47}; //   6
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 6);
  int needed_v_smax_10[] = {   8,    9,   18,   19,   24,   25,   48,   49}; //   8
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 8);
  int needed_v_smax_11[] = {   8,    9,   18,   19,   48,   49}; //   6
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 6);
  int needed_v_smax_12[] = {  20,   21,   30,   31}; //   4
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 4);
  int needed_v_smax_13[] = {  20,   21,   30,   31}; //   4
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 4);
  int needed_v_smax_14[] = {  22,   23,   26,   27,   28,   29,   62,   63,   64,   65,   66,   67}; //  12
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 12);
  int needed_v_smax_15[] = {  24,   25,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 4);
  int needed_v_smax_16[] = {  24,   25,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 4);
  int needed_v_smax_17[] = {  30,   31,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 4);
  int needed_v_smax_18[] = {  30,   31}; //   2
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 2);
  int needed_v_smax_19[] = {  32,   33}; //   2
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 2);
  int needed_v_smax_20[] = {  68,   69,   72,   73,   76,   77,   84,   85,   88,   89,   92,   93,   96,   97,   98,   99,  104,  105}; //  18
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 18);
  int needed_v_smax_21[] = {  68,   69,   72,   73,   76,   77,   92,   93,   96,   97}; //  10
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 10);
  int needed_v_smax_22[] = {  70,   71,   74,   75,   78,   79,   86,   87,   90,   91,   94,   95,  100,  101,  102,  103,  106,  107}; //  18
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 18);
  int needed_v_smax_23[] = {  70,   71,   74,   75,   78,   79,   94,   95,  100,  101}; //  10
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 10);
  int needed_v_smax_24[] = {  76,   77,   80,   81,   72,   73}; //   6
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 6);
  int needed_v_smax_25[] = {  78,   79,   82,   83,   74,   75}; //   6
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 6);
  int needed_v_smax_26[] = {  80,   81}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);
  int needed_v_smax_27[] = {  80,   81}; //   2
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 2);
  int needed_v_smax_28[] = {  82,   83}; //   2
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 2);
  int needed_v_smax_29[] = {  82,   83}; //   2
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 2);
  int needed_v_smax_30[] = { 104,  105,  106,  107}; //   4
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 4);
  int needed_v_smax_31[] = {  34,   35,   36,   37,   38,   39,   52,   53,   55,   57,   60,   61,   84,   85,   86,   87,   88,   89,   90,   91,   98,   99,  102,  103}; //  24
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 24);
  int needed_v_smax_32[] = {  88,   89,   98,   99}; //   4
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 4);
  int needed_v_smax_33[] = {  90,   91,  102,  103}; //   4
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 4);
  int needed_v_smax_34[] = { 104,  105,  106,  107}; //   4
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(48);
  psi_needed_g_p[no_ps].resize(48);
  int needed_g_p_0[] = {   0,    1,    4,    5,    6,    7,   10,   11,   14,   15,   16,   17,   20,   21,   22,   23,   28,   29,   34,   35,   38,   39,   40,   41,   44,   45,   46,   47,   50,   51,   52,   53,   58,   59,   60,   61,   62,   63,   66,   67,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,   98,   99,  104,  105}; //  60
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 60);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,   10,   11,   22,   23,   34,   35,   40,   41,   50,   51,   52,   53,   62,   63}; //  16
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 16);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,   10,   22,   34,   40,   50,   52,   62}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    2,    3,    4,    5,   10,   11,   12,   13,   14,   15,   40,   41,   42,   43,   44,   45}; //  18
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 18);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,   11,   23,   35,   41,   51,   53,   63}; //   8
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,    3,    9,   12,   13,   19,   25,   26,   27,   36,   37,   42,   43,   49,   54,   55,   56,   57,   64,   65,   71,   75,   79,   83,   87,   91,   95,  101,  103,  107}; //  30
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 30);
  psi_container_IS_name.push_back("propagator_23_smin4_smax4");
  int needed_g_p_6[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_7[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_23_smin6_smax2");
  int needed_g_p_8[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 8);
  psi_container_IS_name.push_back("propagator_0_smin7_smax6");
  int needed_g_p_9[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 8);
  psi_container_IS_name.push_back("propagator_23_smin8_smax2");
  int needed_g_p_10[] = {   4,    5,   14,   15,   28,   29,   38,   39,   44,   45,   58,   59,   60,   61,   66,   67}; //  16
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 16);
  psi_container_IS_name.push_back("propagator_0_smin9_smax7");
  int needed_g_p_11[] = {   4,   14,   28,   38,   44,   58,   60,   66}; //   8
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 8);
  psi_container_IS_name.push_back("propagator_0_smin10_smax2");
  int needed_g_p_12[] = {   5,   15,   29,   39,   45,   59,   61,   67}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_23_smin10_smax2");
  int needed_g_p_13[] = {   6,    7,   16,   17,   20,   21,   46,   47}; //   8
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax8");
  int needed_g_p_14[] = {   6,   16,   46}; //   3
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 3);
  psi_container_IS_name.push_back("propagator_0_smin4_smax9");
  int needed_g_p_15[] = {   6,    7,   16,   17,   46,   47}; //   6
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 6);
  psi_container_IS_name.push_back("propagator_0_smin12_smax3");
  int needed_g_p_16[] = {   7,   17,   47}; //   3
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 3);
  psi_container_IS_name.push_back("propagator_23_smin4_smax9");
  int needed_g_p_17[] = {   8,   18,   24,   48,   70,   74,   78,   82,   86,   90,   94,  100,  102,  106}; //  14
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 14);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_18[] = {   8,    9,   18,   19,   24,   25,   48,   49}; //   8
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 8);
  psi_container_IS_name.push_back("propagator_0_smin13_smax10");
  int needed_g_p_19[] = {   8,    9,   18,   19,   48,   49}; //   6
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax11");
  int needed_g_p_20[] = {   8,    9,   18,   19,   48,   49}; //   6
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 6);
  psi_container_IS_name.push_back("propagator_0_smin14_smax3");
  int needed_g_p_21[] = {  20,   21}; //   2
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax12");
  int needed_g_p_22[] = {  20,   30}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_0_smin4_smax13");
  int needed_g_p_23[] = {  21,   31}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_23_smin4_smax13");
  int needed_g_p_24[] = {  22,   23,   26,   27,   28,   29,   62,   63,   64,   65,   66,   67}; //  12
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 12);
  psi_container_IS_name.push_back("propagator_0_smin16_smax14");
  int needed_g_p_25[] = {  24,   25}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax15");
  int needed_g_p_26[] = {  24,   25,   32,   33}; //   4
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_27[] = {  30,   31,   32,   33}; //   4
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax17");
  int needed_g_p_28[] = {  30,   31}; //   2
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax18");
  int needed_g_p_29[] = {  30,   31}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax12");
  int needed_g_p_30[] = {  32}; //   1
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 1);
  psi_container_IS_name.push_back("propagator_0_smin4_smax19");
  int needed_g_p_31[] = {  32,   33}; //   2
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 2);
  psi_container_IS_name.push_back("propagator_0_smin19_smax15");
  int needed_g_p_32[] = {  33}; //   1
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 1);
  psi_container_IS_name.push_back("propagator_23_smin4_smax19");
  int needed_g_p_33[] = {  68,   72,   76,   84,   88,   92,   96,   98,  104}; //   9
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 9);
  psi_container_IS_name.push_back("propagator_0_smin4_smax20");
  int needed_g_p_34[] = {  68,   69,   72,   73,   76,   77,   92,   93}; //   8
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 8);
  psi_container_IS_name.push_back("propagator_0_smin13_smax21");
  int needed_g_p_35[] = {  69,   73,   77,   85,   89,   93,   97,   99,  105}; //   9
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 9);
  psi_container_IS_name.push_back("propagator_23_smin4_smax20");
  int needed_g_p_36[] = {  70,   71,   74,   75,   78,   79,   86,   87,   90,   91,   94,   95,  100,  101,  102,  103,  106,  107}; //  18
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 18);
  psi_container_IS_name.push_back("propagator_23_smin0_smax22");
  int needed_g_p_37[] = {  70,   71,   74,   75,   78,   79,   94,   95}; //   8
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax23");
  int needed_g_p_38[] = {  76,   77}; //   2
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax24");
  int needed_g_p_39[] = {  78,   79}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax25");
  int needed_g_p_40[] = {  80,   81}; //   2
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax26");
  int needed_g_p_41[] = {  80}; //   1
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 1);
  psi_container_IS_name.push_back("propagator_0_smin4_smax27");
  int needed_g_p_42[] = {  80,   81}; //   2
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 2);
  psi_container_IS_name.push_back("propagator_0_smin19_smax24");
  int needed_g_p_43[] = {  81}; //   1
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 1);
  psi_container_IS_name.push_back("propagator_23_smin4_smax27");
  int needed_g_p_44[] = {  82,   83}; //   2
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax28");
  int needed_g_p_45[] = {  82,   83}; //   2
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax29");
  int needed_g_p_46[] = {  82,   83}; //   2
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax25");
  int needed_g_p_47[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax30");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(14);
  psi_needed_g_f[no_ps].resize(14);
  int needed_g_f_0[] = {  34,   35,   36,   37,   38,   39,   52,   53,   55,   57,   60,   61,   84,   85,   86,   87}; //  16
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 16);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax31");
  int needed_g_f_1[] = {  50,   51,   54,   56,   58,   59}; //   6
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_2[] = {  68,   69,   92,   93,   96,   97}; //   6
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax3");
  int needed_g_f_3[] = {  70,   71,   94,   95,  100,  101}; //   6
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax3");
  int needed_g_f_4[] = {  72,   73}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax24");
  int needed_g_f_5[] = {  74,   75}; //   2
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax25");
  int needed_g_f_6[] = {  84,   85,   86,   87}; //   4
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax2");
  int needed_g_f_7[] = {  88,   89,   98,   99}; //   4
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax32");
  int needed_g_f_8[] = {  88,   89,   98,   99}; //   4
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax31");
  int needed_g_f_9[] = {  90,   91,  102,  103}; //   4
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin24_smax33");
  int needed_g_f_10[] = {  90,   91,  102,  103}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax31");
  int needed_g_f_11[] = {  96,   97}; //   2
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax21");
  int needed_g_f_12[] = { 100,  101}; //   2
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax23");
  int needed_g_f_13[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax34");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(27);
  psi_needed_g_t[no_ps].resize(27);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   68,   69,   70,   71}; //  14
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 14);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__64_188");
  int needed_g_t_1[] = {  34,   35,   36,   37,   38,   39,   52,   53,   55,   57,   60,   61,   84,   85,   86,   87,   88,   89,   90,   91,   98,   99,  102,  103}; //  24
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__128_124");
  int needed_g_t_2[] = {  34,   35,   36,   37,   38,   39,   84,   85,   86,   87}; //  10
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__64_60");
  int needed_g_t_3[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   54,   56,   58,   59,   92,   93,   94,   95,   96,   97,  100,  101}; //  24
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_4[] = {  50,   51,   54,   56,   58,   59}; //   6
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_5[] = {  52,   53,   55,   57,   60,   61}; //   6
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__129_2__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__129_2__64_60");
  int needed_g_t_6[] = {  62,   63,   64,   65,   66,   67,  104,  105,  106,  107}; //  10
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_7[] = {  68,   69}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__140_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__140_48");
  int needed_g_t_8[] = {  70,   71}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__176_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__176_12");
  int needed_g_t_9[] = {  72,   73,   76,   77,   80,   81}; //   6
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_10[] = {  72,   73}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__140_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__140_64");
  int needed_g_t_11[] = {  74,   75,   78,   79,   82,   83}; //   6
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_12[] = {  74,   75}; //   2
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_14__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_14__176_64");
  int needed_g_t_13[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_66__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_66__12_48");
  int needed_g_t_14[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_66__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_66__48_12");
  int needed_g_t_15[] = {  88,   89,   98,   99}; //   4
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__48_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__48_76");
  int needed_g_t_16[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_50__12_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_50__12_64");
  int needed_g_t_17[] = {  90,   91,  102,  103}; //   4
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__12_112");
  int needed_g_t_18[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_14__48_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_14__48_64");
  int needed_g_t_19[] = {  92,   93,   96,   97}; //   4
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_20[] = {  94,   95,  100,  101}; //   4
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_21[] = {  96,   97}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_22[] = {  98,   99}; //   2
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_50__64_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_50__64_12");
  int needed_g_t_23[] = { 100,  101}; //   2
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_24[] = { 102,  103}; //   2
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_14__64_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_14__64_48");
  int needed_g_t_25[] = { 104,  105}; //   2
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__48_12");
  int needed_g_t_26[] = { 106,  107}; //   2
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__12_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(24);
  psi_needed_g_d[no_ps].resize(24);
  int needed_g_d_0[] = {   0,    1,    2,    3,    4,    5,   10,   11,   12,   13,   14,   15,   40,   41,   42,   43,   44,   45}; //  18
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 18);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_1[] = {   0,    1,   10,   11,   22,   23,   34,   35,   40,   41,   50,   51,   52,   53,   62,   63}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_2[] = {   0,    1,   10,   11,   22,   23,   34,   35,   40,   41,   50,   51,   52,   53,   62,   63}; //  16
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_3[] = {   0,    1,    4,    5,    6,    7,    8,    9,   10,   11,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   28,   29,   30,   31,   32,   33,   34,   35,   38,   39,   40,   41,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   58,   59,   60,   61,   62,   63,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  92
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 92);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_4[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_5[] = {   2,   12,   26,   36,   42,   54,   55,   64}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_6[] = {   2,    3,    6,    7,    8,    9,   12,   13,   16,   17,   18,   19,   20,   21,   24,   25,   26,   27,   30,   31,   32,   33,   36,   37,   42,   43,   46,   47,   48,   49,   54,   55,   56,   57,   64,   65,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107}; //  76
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 76);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_7[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_8[] = {   3,   13,   27,   37,   43,   56,   57,   65}; //   8
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_9[] = {   4,    5,   14,   15,   28,   29,   38,   39,   44,   45,   58,   59,   60,   61,   66,   67}; //  16
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_10[] = {   4,    5,   14,   15,   28,   29,   38,   39,   44,   45,   58,   59,   60,   61,   66,   67}; //  16
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_11[] = {   6,    7,   16,   17,   46,   47}; //   6
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_12[] = {   6,    7,   16,   17,   20,   21,   46,   47,   70,   71,   74,   75,   78,   79,   94,   95}; //  16
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 16);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_13[] = {   8,    9,   18,   19,   48,   49}; //   6
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_14[] = {   8,    9,   18,   19,   24,   25,   48,   49,   68,   69,   72,   73,   76,   77,   92,   93}; //  16
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 16);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_15[] = {  10,   11,   12,   13,   14,   15,   16,   17,   18,   19}; //  10
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_16[] = {  20,   21,   30,   31}; //   4
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 4);
  psi_container_IS_name.push_back("costheta_of_decay_252__12_240");
  psi_container_IS_name.push_back("phi_of_decay_252__12_240");
  int needed_g_d_17[] = {  20,   21,   78,   79}; //   4
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__64_176");
  psi_container_IS_name.push_back("phi_of_decay_240__64_176");
  int needed_g_d_18[] = {  22,   23,   26,   27,   28,   29}; //   6
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 6);
  psi_container_IS_name.push_back("costheta_of_decay_252__192_60");
  psi_container_IS_name.push_back("phi_of_decay_252__192_60");
  int needed_g_d_19[] = {  22,   23,   26,   27,   28,   29,   30,   31,   32,   33,   62,   63,   64,   65,   66,   67,   80,   81,   82,   83,  104,  105,  106,  107}; //  24
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 24);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_20[] = {  24,   25,   32,   33}; //   4
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 4);
  psi_container_IS_name.push_back("costheta_of_decay_252__48_204");
  psi_container_IS_name.push_back("phi_of_decay_252__48_204");
  int needed_g_d_21[] = {  24,   25,   76,   77}; //   4
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__64_140");
  psi_container_IS_name.push_back("phi_of_decay_204__64_140");
  int needed_g_d_22[] = {  30,   31,   82,   83}; //   4
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__48_192");
  psi_container_IS_name.push_back("phi_of_decay_240__48_192");
  int needed_g_d_23[] = {  32,   33,   80,   81}; //   4
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__12_192");
  psi_container_IS_name.push_back("phi_of_decay_204__12_192");

  psi_c_p[no_ps].resize(108);
  psi_c_f[no_ps].resize(108);
  psi_c_t[no_ps].resize(108);
  psi_c_d[no_ps].resize(108);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  0}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  5,   6,   7,   3}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  0}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  0,   4,   5,   6}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  5,   8,   9,   3}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  0}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  0,   7,   8,   6}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  0,  10,  11,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  0}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  0,   9,  10,   3}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  0,  10,  12,   3}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  0}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  0,   9,  10,   3}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  0,  13,  14,  15}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = { 11,   6,  12,   3}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  0,  13,  16,  15}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  0}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = { 11,   6,  12,   3}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = { 17,  18,  19,  20}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = { 13,   3,  14,   6}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  5,  18,  19,  20}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = { 13,   3,  14,   6}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {}; //   0
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 0);
  int c_d_10[] = { 15,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 5);

  int c_p_11[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {}; //   0
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 0);
  int c_d_11[] = { 15,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 5);

  int c_p_12[] = {  5,   6,   7,   3}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = { 15,   0,   4,   5,   6}; //   5
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 5);

  int c_p_13[] = {  5,   8,   9,   3}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = { 15,   0,   7,   8,   6}; //   5
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 5);

  int c_p_14[] = {  0,  10,  11,   3}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = { 15,   0,   9,  10,   3}; //   5
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 5);

  int c_p_15[] = {  0,  10,  12,   3}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = { 15,   0,   9,  10,   3}; //   5
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 5);

  int c_p_16[] = {  0,  13,  14,  15}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = { 15,  11,   6,  12,   3}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = {  0,  13,  16,  15}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = { 15,  11,   6,  12,   3}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = { 17,  18,  19,  20}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = { 15,  13,   3,  14,   6}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = {  5,  18,  19,  20}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = { 15,  13,   3,  14,   6}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  0,  13,  21,  22}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 16,   6,  17,  12,   3}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,  13,  21,  23}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 16,   6,  17,  12,   3}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  0,   1,   2,  24}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 18,  19,   1,   2,   3}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  0,   1,   4,  24}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 18,  19,   1,   2,   3}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = { 17,  18,  25,  26}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 20,   3,  21,  14,   6}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  5,  18,  25,  26}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 20,   3,  21,  14,   6}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  5,   6,   7,  24}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 18,  19,   4,   5,   6}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  5,   8,   9,  24}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 18,  19,   7,   8,   6}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  0,  10,  11,  24}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 18,  19,   9,  10,   3}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  0,  10,  12,  24}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 18,  19,   9,  10,   3}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = { 27,  28,  29,  22}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 16,   6,  22,   3,  19}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = { 27,  28,  29,  23}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = { 16,   6,  22,   3,  19}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = { 27,  30,  31,  26}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = { 20,   3,  23,   6,  19}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = { 27,  32,  31,  26}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = { 20,   3,  23,   6,  19}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 3);
  int c_f_34[] = {  0}; //   1
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 1);
  int c_t_34[] = {  1,   2}; //   2
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 2);
  int c_d_34[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 3);

  int c_p_35[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 3);
  int c_f_35[] = {  0}; //   1
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 1);
  int c_t_35[] = {  1,   2}; //   2
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 2);
  int c_d_35[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 3);

  int c_p_36[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 3);
  int c_f_36[] = {  0}; //   1
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 1);
  int c_t_36[] = {  1,   2}; //   2
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 2);
  int c_d_36[] = {  4,   5,   6}; //   3
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 3);

  int c_p_37[] = {  5,   8,   9}; //   3
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 3);
  int c_f_37[] = {  0}; //   1
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 1);
  int c_t_37[] = {  1,   2}; //   2
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 2);
  int c_d_37[] = {  7,   8,   6}; //   3
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 3);

  int c_p_38[] = {  0,  10,  11}; //   3
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 3);
  int c_f_38[] = {  0}; //   1
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 1);
  int c_t_38[] = {  1,   2}; //   2
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 2);
  int c_d_38[] = {  9,  10,   3}; //   3
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 3);

  int c_p_39[] = {  0,  10,  12}; //   3
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 3);
  int c_f_39[] = {  0}; //   1
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 1);
  int c_t_39[] = {  1,   2}; //   2
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 2);
  int c_d_39[] = {  9,  10,   3}; //   3
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 3);

  int c_p_40[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  3}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  3}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  5,   6,   7,   3}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  3}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = {  0,   4,   5,   6}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  5,   8,   9,   3}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  3}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = {  0,   7,   8,   6}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  0,  10,  11,   3}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  3}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = {  0,   9,  10,   3}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  0,  10,  12,   3}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  3}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = {  0,   9,  10,   3}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  0,  13,  14,  15}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  3}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 11,   6,  12,   3}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  0,  13,  16,  15}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  3}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 11,   6,  12,   3}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = { 17,  18,  19,  20}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  3}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 13,   3,  14,   6}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  5,  18,  19,  20}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  3}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 13,   3,  14,   6}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  3,   4}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  1}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  3,   4}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  0}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  1,   5}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  1,   5}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  1}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  3,   4}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  4,   5,   6}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  0}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  1,   5}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  4,   5,   6}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  5,   8,   9}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  3,   4}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = {  7,   8,   6}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  5,   8,   9}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  0}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  1,   5}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = {  7,   8,   6}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  0,  10,  11}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  1}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  3,   4}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  9,  10,   3}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  0,  10,  12}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  1}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  3,   4}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  9,  10,   3}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  0,  10,  11}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  0}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  1,   5}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  9,  10,   3}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  0,  10,  12}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  0}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  1,   5}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  9,  10,   3}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = {  0,   1,   2,  24}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  6}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 19,   1,   2,   3}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  0,   1,   4,  24}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  6}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 19,   1,   2,   3}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  5,   6,   7,  24}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  6}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = { 19,   4,   5,   6}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  5,   8,   9,  24}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  6}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = { 19,   7,   8,   6}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  0,  10,  11,  24}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  6}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = { 19,   9,  10,   3}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  0,  10,  12,  24}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  6}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = { 19,   9,  10,   3}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  0,  33,  34}; //   3
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 3);
  int c_f_68[] = {  2}; //   1
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 1);
  int c_t_68[] = {  0,   7}; //   2
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 2);
  int c_d_68[] = { 14,   6,   3}; //   3
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 3);

  int c_p_69[] = {  0,  35,  34}; //   3
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 3);
  int c_f_69[] = {  2}; //   1
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 1);
  int c_t_69[] = {  0,   7}; //   2
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 2);
  int c_d_69[] = { 14,   6,   3}; //   3
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 3);

  int c_p_70[] = { 17,  36,  37}; //   3
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 3);
  int c_f_70[] = {  3}; //   1
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 1);
  int c_t_70[] = {  0,   8}; //   2
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 2);
  int c_d_70[] = { 12,   3,   6}; //   3
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 3);

  int c_p_71[] = {  5,  36,  37}; //   3
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 3);
  int c_f_71[] = {  3}; //   1
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 1);
  int c_t_71[] = {  0,   8}; //   2
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 2);
  int c_d_71[] = { 12,   3,   6}; //   3
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 3);

  int c_p_72[] = {  0,  33,  34}; //   3
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 3);
  int c_f_72[] = {  4}; //   1
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 1);
  int c_t_72[] = {  9,  10}; //   2
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 2);
  int c_d_72[] = { 14,   6,   3}; //   3
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 3);

  int c_p_73[] = {  0,  35,  34}; //   3
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 3);
  int c_f_73[] = {  4}; //   1
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 1);
  int c_t_73[] = {  9,  10}; //   2
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 2);
  int c_d_73[] = { 14,   6,   3}; //   3
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 3);

  int c_p_74[] = { 17,  36,  37}; //   3
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 3);
  int c_f_74[] = {  5}; //   1
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 1);
  int c_t_74[] = { 11,  12}; //   2
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 2);
  int c_d_74[] = { 12,   3,   6}; //   3
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 3);

  int c_p_75[] = {  5,  36,  37}; //   3
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 3);
  int c_f_75[] = {  5}; //   1
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 1);
  int c_t_75[] = { 11,  12}; //   2
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 2);
  int c_d_75[] = { 12,   3,   6}; //   3
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 3);

  int c_p_76[] = {  0,  33,  34,  38}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  9}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = { 21,  14,   6,   3}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = {  0,  35,  34,  38}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = {  9}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = { 21,  14,   6,   3}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = { 17,  36,  37,  39}; //   4
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 4);
  int c_f_78[] = {}; //   0
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 0);
  int c_t_78[] = { 11}; //   1
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 1);
  int c_d_78[] = { 17,  12,   3,   6}; //   4
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 4);

  int c_p_79[] = {  5,  36,  37,  39}; //   4
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 4);
  int c_f_79[] = {}; //   0
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 0);
  int c_t_79[] = { 11}; //   1
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 1);
  int c_d_79[] = { 17,  12,   3,   6}; //   4
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 4);

  int c_p_80[] = {  0,  40,  41,  42}; //   4
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 4);
  int c_f_80[] = {}; //   0
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 0);
  int c_t_80[] = {  9}; //   1
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 1);
  int c_d_80[] = { 23,   6,  19,   3}; //   4
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 4);

  int c_p_81[] = {  0,  40,  43,  42}; //   4
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 4);
  int c_f_81[] = {}; //   0
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 0);
  int c_t_81[] = {  9}; //   1
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 1);
  int c_d_81[] = { 23,   6,  19,   3}; //   4
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 4);

  int c_p_82[] = { 17,  44,  45,  46}; //   4
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 4);
  int c_f_82[] = {}; //   0
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 0);
  int c_t_82[] = { 11}; //   1
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 1);
  int c_d_82[] = { 22,   3,  19,   6}; //   4
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 4);

  int c_p_83[] = {  5,  44,  45,  46}; //   4
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 4);
  int c_f_83[] = {}; //   0
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 0);
  int c_t_83[] = { 11}; //   1
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 1);
  int c_d_83[] = { 22,   3,  19,   6}; //   4
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 4);

  int c_p_84[] = {  0,  33}; //   2
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 2);
  int c_f_84[] = {  6,   0}; //   2
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 2);
  int c_t_84[] = {  1,   2,  13}; //   3
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 3);
  int c_d_84[] = {  6,   3}; //   2
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 2);

  int c_p_85[] = {  0,  35}; //   2
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 2);
  int c_f_85[] = {  6,   0}; //   2
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 2);
  int c_t_85[] = {  1,   2,  13}; //   3
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 3);
  int c_d_85[] = {  6,   3}; //   2
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 2);

  int c_p_86[] = { 17,  36}; //   2
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 2);
  int c_f_86[] = {  6,   0}; //   2
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 2);
  int c_t_86[] = {  1,   2,  14}; //   3
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 3);
  int c_d_86[] = {  3,   6}; //   2
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 2);

  int c_p_87[] = {  5,  36}; //   2
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 2);
  int c_f_87[] = {  6,   0}; //   2
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 2);
  int c_t_87[] = {  1,   2,  14}; //   3
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 3);
  int c_d_87[] = {  3,   6}; //   2
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 2);

  int c_p_88[] = {  0,  33}; //   2
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 2);
  int c_f_88[] = {  7,   8}; //   2
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 2);
  int c_t_88[] = {  1,  15,  16}; //   3
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 3);
  int c_d_88[] = {  6,   3}; //   2
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 2);

  int c_p_89[] = {  0,  35}; //   2
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 2);
  int c_f_89[] = {  7,   8}; //   2
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 2);
  int c_t_89[] = {  1,  15,  16}; //   3
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 3);
  int c_d_89[] = {  6,   3}; //   2
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 2);

  int c_p_90[] = { 17,  36}; //   2
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 2);
  int c_f_90[] = {  9,  10}; //   2
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 2);
  int c_t_90[] = {  1,  17,  18}; //   3
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 3);
  int c_d_90[] = {  3,   6}; //   2
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 2);

  int c_p_91[] = {  5,  36}; //   2
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 2);
  int c_f_91[] = {  9,  10}; //   2
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 2);
  int c_t_91[] = {  1,  17,  18}; //   3
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 3);
  int c_d_91[] = {  3,   6}; //   2
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 2);

  int c_p_92[] = {  0,  33,  34}; //   3
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 3);
  int c_f_92[] = {  2}; //   1
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 1);
  int c_t_92[] = {  3,  19}; //   2
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 2);
  int c_d_92[] = { 14,   6,   3}; //   3
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 3);

  int c_p_93[] = {  0,  35,  34}; //   3
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 3);
  int c_f_93[] = {  2}; //   1
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 1);
  int c_t_93[] = {  3,  19}; //   2
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 2);
  int c_d_93[] = { 14,   6,   3}; //   3
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 3);

  int c_p_94[] = { 17,  36,  37}; //   3
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 3);
  int c_f_94[] = {  3}; //   1
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 1);
  int c_t_94[] = {  3,  20}; //   2
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 2);
  int c_d_94[] = { 12,   3,   6}; //   3
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 3);

  int c_p_95[] = {  5,  36,  37}; //   3
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 3);
  int c_f_95[] = {  3}; //   1
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 1);
  int c_t_95[] = {  3,  20}; //   2
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 2);
  int c_d_95[] = { 12,   3,   6}; //   3
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 3);

  int c_p_96[] = {  0,  33}; //   2
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 2);
  int c_f_96[] = { 11,   2}; //   2
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 2);
  int c_t_96[] = {  3,  19,  21}; //   3
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 3);
  int c_d_96[] = {  6,   3}; //   2
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 2);

  int c_p_97[] = {  0,  35}; //   2
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 2);
  int c_f_97[] = { 11,   2}; //   2
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 2);
  int c_t_97[] = {  3,  19,  21}; //   3
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 3);
  int c_d_97[] = {  6,   3}; //   2
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 2);

  int c_p_98[] = {  0,  33}; //   2
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 2);
  int c_f_98[] = {  7,   8}; //   2
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 2);
  int c_t_98[] = {  1,  15,  22}; //   3
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 3);
  int c_d_98[] = {  6,   3}; //   2
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 2);

  int c_p_99[] = {  0,  35}; //   2
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 2);
  int c_f_99[] = {  7,   8}; //   2
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 2);
  int c_t_99[] = {  1,  15,  22}; //   3
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 3);
  int c_d_99[] = {  6,   3}; //   2
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 2);

  int c_p_100[] = { 17,  36}; //   2
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 2);
  int c_f_100[] = { 12,   3}; //   2
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 2);
  int c_t_100[] = {  3,  20,  23}; //   3
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 3);
  int c_d_100[] = {  3,   6}; //   2
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 2);

  int c_p_101[] = {  5,  36}; //   2
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 2);
  int c_f_101[] = { 12,   3}; //   2
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 2);
  int c_t_101[] = {  3,  20,  23}; //   3
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 3);
  int c_d_101[] = {  3,   6}; //   2
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 2);

  int c_p_102[] = { 17,  36}; //   2
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 2);
  int c_f_102[] = {  9,  10}; //   2
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 2);
  int c_t_102[] = {  1,  17,  24}; //   3
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 3);
  int c_d_102[] = {  3,   6}; //   2
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 2);

  int c_p_103[] = {  5,  36}; //   2
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 2);
  int c_f_103[] = {  9,  10}; //   2
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 2);
  int c_t_103[] = {  1,  17,  24}; //   3
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 3);
  int c_d_103[] = {  3,   6}; //   2
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 2);

  int c_p_104[] = {  0,  33,  47}; //   3
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 3);
  int c_f_104[] = { 13}; //   1
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 1);
  int c_t_104[] = {  6,  25}; //   2
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 2);
  int c_d_104[] = { 19,   6,   3}; //   3
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 3);

  int c_p_105[] = {  0,  35,  47}; //   3
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 3);
  int c_f_105[] = { 13}; //   1
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 1);
  int c_t_105[] = {  6,  25}; //   2
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 2);
  int c_d_105[] = { 19,   6,   3}; //   3
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 3);

  int c_p_106[] = { 17,  36,  47}; //   3
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 3);
  int c_f_106[] = { 13}; //   1
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 1);
  int c_t_106[] = {  6,  26}; //   2
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 2);
  int c_d_106[] = { 19,   3,   6}; //   3
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 3);

  int c_p_107[] = {  5,  36,  47}; //   3
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 3);
  int c_f_107[] = { 13}; //   1
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 1);
  int c_t_107[] = {  6,  26}; //   2
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 2);
  int c_d_107[] = { 19,   3,   6}; //   3
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
