#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexmx04/header/ppemexmx04.phasespace.h"
void ppemexmx04_ac_psp_born(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppemexmx04_ac_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppemexmx04_ac_psp_040_ddx_emmumepmup(no_ps, channel, psi);} 
    else if (psi_no_map[no_ps] == 3){ppemexmx04_ac_psp_040_uux_emmumepmup(no_ps, channel, psi);} 
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppemexmx04_ac_psp_240_gg_emmumepmup(no_ps, channel, psi);} 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
