#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppemxnmnex04_ac_psp_240_gg_emmupvmvexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  3){ppemxnmnex04_ac_psp_240_gg_emmupvmvexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  4){ppemxnmnex04_ac_psp_240_gg_emmupvmvexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  5){ppemxnmnex04_ac_psp_240_gd_emmupvmvexgd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  6){ppemxnmnex04_ac_psp_240_gu_emmupvmvexgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  7){ppemxnmnex04_ac_psp_240_gb_emmupvmvexgb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  8){ppemxnmnex04_ac_psp_240_gdx_emmupvmvexgdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  9){ppemxnmnex04_ac_psp_240_gux_emmupvmvexgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 10){ppemxnmnex04_ac_psp_240_gbx_emmupvmvexgbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 11){ppemxnmnex04_ac_psp_240_dd_emmupvmvexdd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 12){ppemxnmnex04_ac_psp_240_du_emmupvmvexdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 13){ppemxnmnex04_ac_psp_240_ds_emmupvmvexds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 14){ppemxnmnex04_ac_psp_240_dc_emmupvmvexdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 15){ppemxnmnex04_ac_psp_240_dc_emmupvmvexus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 16){ppemxnmnex04_ac_psp_240_db_emmupvmvexdb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 17){ppemxnmnex04_ac_psp_240_ddx_emmupvmvexgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 18){ppemxnmnex04_ac_psp_240_ddx_emmupvmvexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 19){ppemxnmnex04_ac_psp_240_ddx_emmupvmvexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 20){ppemxnmnex04_ac_psp_240_ddx_emmupvmvexssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 21){ppemxnmnex04_ac_psp_240_ddx_emmupvmvexccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 22){ppemxnmnex04_ac_psp_240_ddx_emmupvmvexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 23){ppemxnmnex04_ac_psp_240_dux_emmupvmvexdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 24){ppemxnmnex04_ac_psp_240_dux_emmupvmvexscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 25){ppemxnmnex04_ac_psp_240_dsx_emmupvmvexdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 26){ppemxnmnex04_ac_psp_240_dsx_emmupvmvexucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 27){ppemxnmnex04_ac_psp_240_dcx_emmupvmvexdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 28){ppemxnmnex04_ac_psp_240_dbx_emmupvmvexdbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 29){ppemxnmnex04_ac_psp_240_uu_emmupvmvexuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 30){ppemxnmnex04_ac_psp_240_uc_emmupvmvexuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 31){ppemxnmnex04_ac_psp_240_ub_emmupvmvexub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 32){ppemxnmnex04_ac_psp_240_udx_emmupvmvexudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 33){ppemxnmnex04_ac_psp_240_udx_emmupvmvexcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 34){ppemxnmnex04_ac_psp_240_uux_emmupvmvexgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 35){ppemxnmnex04_ac_psp_240_uux_emmupvmvexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 36){ppemxnmnex04_ac_psp_240_uux_emmupvmvexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 37){ppemxnmnex04_ac_psp_240_uux_emmupvmvexssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 38){ppemxnmnex04_ac_psp_240_uux_emmupvmvexccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 39){ppemxnmnex04_ac_psp_240_uux_emmupvmvexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 40){ppemxnmnex04_ac_psp_240_usx_emmupvmvexusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 41){ppemxnmnex04_ac_psp_240_ucx_emmupvmvexdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 42){ppemxnmnex04_ac_psp_240_ucx_emmupvmvexucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 43){ppemxnmnex04_ac_psp_240_ubx_emmupvmvexubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 44){ppemxnmnex04_ac_psp_240_bb_emmupvmvexbb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 45){ppemxnmnex04_ac_psp_240_bdx_emmupvmvexbdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 46){ppemxnmnex04_ac_psp_240_bux_emmupvmvexbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 47){ppemxnmnex04_ac_psp_240_bbx_emmupvmvexgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 48){ppemxnmnex04_ac_psp_240_bbx_emmupvmvexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 49){ppemxnmnex04_ac_psp_240_bbx_emmupvmvexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 50){ppemxnmnex04_ac_psp_240_bbx_emmupvmvexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 51){ppemxnmnex04_ac_psp_240_dxdx_emmupvmvexdxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 52){ppemxnmnex04_ac_psp_240_dxux_emmupvmvexdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 53){ppemxnmnex04_ac_psp_240_dxsx_emmupvmvexdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 54){ppemxnmnex04_ac_psp_240_dxcx_emmupvmvexdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 55){ppemxnmnex04_ac_psp_240_dxcx_emmupvmvexuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 56){ppemxnmnex04_ac_psp_240_dxbx_emmupvmvexdxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 57){ppemxnmnex04_ac_psp_240_uxux_emmupvmvexuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 58){ppemxnmnex04_ac_psp_240_uxcx_emmupvmvexuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 59){ppemxnmnex04_ac_psp_240_uxbx_emmupvmvexuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 60){ppemxnmnex04_ac_psp_240_bxbx_emmupvmvexbxbx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
