#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppenex02/header/ppenex02.phasespace.h"
void ppenex02_ag_psp_real(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppenex02_ag_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  1){ppenex02_ag_psp_120_gd_emvexu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  2){ppenex02_ag_psp_120_gd_emvexc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppenex02_ag_psp_120_gs_emvexu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppenex02_ag_psp_120_gs_emvexc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppenex02_ag_psp_120_gb_emvexu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppenex02_ag_psp_120_gb_emvexc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppenex02_ag_psp_120_gux_emvexdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppenex02_ag_psp_120_gux_emvexsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppenex02_ag_psp_120_gux_emvexbx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppenex02_ag_psp_120_gcx_emvexdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppenex02_ag_psp_120_gcx_emvexsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 12){ppenex02_ag_psp_120_gcx_emvexbx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppenex02_ag_psp_120_dux_emvexg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppenex02_ag_psp_120_dcx_emvexg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppenex02_ag_psp_120_sux_emvexg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppenex02_ag_psp_120_scx_emvexg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppenex02_ag_psp_120_bux_emvexg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppenex02_ag_psp_120_bcx_emvexg(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
