#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppexne02/header/ppexne02.phasespace.h"
void ppexne02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppexne02_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==   1){ppexne02_ac_psp_220_gg_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   2){ppexne02_ac_psp_220_gg_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   3){ppexne02_ac_psp_220_gg_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   4){ppexne02_ac_psp_220_gg_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   5){ppexne02_ac_psp_220_gg_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   6){ppexne02_ac_psp_220_gg_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   7){ppexne02_ac_psp_220_gu_epvegd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   8){ppexne02_ac_psp_220_gu_epvegs(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   9){ppexne02_ac_psp_220_gu_epvegb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  10){ppexne02_ac_psp_220_gc_epvegd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  11){ppexne02_ac_psp_220_gc_epvegs(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  12){ppexne02_ac_psp_220_gc_epvegb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  13){ppexne02_ac_psp_220_gdx_epvegux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  14){ppexne02_ac_psp_220_gdx_epvegcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  15){ppexne02_ac_psp_220_gsx_epvegux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  16){ppexne02_ac_psp_220_gsx_epvegcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  17){ppexne02_ac_psp_220_gbx_epvegux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  18){ppexne02_ac_psp_220_gbx_epvegcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  19){ppexne02_ac_psp_220_du_epvedd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  20){ppexne02_ac_psp_220_du_epveds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  21){ppexne02_ac_psp_220_du_epvedb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  25){ppexne02_ac_psp_220_dc_epvedd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  26){ppexne02_ac_psp_220_dc_epveds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  27){ppexne02_ac_psp_220_dc_epvedb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  31){ppexne02_ac_psp_220_ddx_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  32){ppexne02_ac_psp_220_ddx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  33){ppexne02_ac_psp_220_ddx_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  34){ppexne02_ac_psp_220_ddx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  35){ppexne02_ac_psp_220_ddx_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  36){ppexne02_ac_psp_220_ddx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  37){ppexne02_ac_psp_220_dsx_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  38){ppexne02_ac_psp_220_dsx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  43){ppexne02_ac_psp_220_dbx_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  44){ppexne02_ac_psp_220_dbx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  49){ppexne02_ac_psp_220_uu_epvedu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  51){ppexne02_ac_psp_220_uu_epveus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  52){ppexne02_ac_psp_220_uu_epveub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  56){ppexne02_ac_psp_220_us_epveds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  58){ppexne02_ac_psp_220_us_epvess(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  59){ppexne02_ac_psp_220_us_epvesb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  61){ppexne02_ac_psp_220_uc_epvedu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  62){ppexne02_ac_psp_220_uc_epvedc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  63){ppexne02_ac_psp_220_uc_epveus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  64){ppexne02_ac_psp_220_uc_epveub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  65){ppexne02_ac_psp_220_uc_epvesc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  66){ppexne02_ac_psp_220_uc_epvecb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  69){ppexne02_ac_psp_220_ub_epvedb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  71){ppexne02_ac_psp_220_ub_epvesb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  72){ppexne02_ac_psp_220_ub_epvebb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  73){ppexne02_ac_psp_220_udx_epvegg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  74){ppexne02_ac_psp_220_udx_epveddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  77){ppexne02_ac_psp_220_udx_epveuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  78){ppexne02_ac_psp_220_udx_epveucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  79){ppexne02_ac_psp_220_udx_epvesdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  80){ppexne02_ac_psp_220_udx_epvessx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  83){ppexne02_ac_psp_220_udx_epveccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  84){ppexne02_ac_psp_220_udx_epvebdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  86){ppexne02_ac_psp_220_udx_epvebbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  87){ppexne02_ac_psp_220_uux_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  88){ppexne02_ac_psp_220_uux_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  89){ppexne02_ac_psp_220_uux_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  90){ppexne02_ac_psp_220_uux_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  91){ppexne02_ac_psp_220_uux_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  92){ppexne02_ac_psp_220_uux_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  93){ppexne02_ac_psp_220_usx_epvegg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  94){ppexne02_ac_psp_220_usx_epveddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  95){ppexne02_ac_psp_220_usx_epvedsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  97){ppexne02_ac_psp_220_usx_epveuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  98){ppexne02_ac_psp_220_usx_epveucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 100){ppexne02_ac_psp_220_usx_epvessx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 103){ppexne02_ac_psp_220_usx_epveccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 105){ppexne02_ac_psp_220_usx_epvebsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 106){ppexne02_ac_psp_220_usx_epvebbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 108){ppexne02_ac_psp_220_ucx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 110){ppexne02_ac_psp_220_ucx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 112){ppexne02_ac_psp_220_ucx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 113){ppexne02_ac_psp_220_ubx_epvegg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 114){ppexne02_ac_psp_220_ubx_epveddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 116){ppexne02_ac_psp_220_ubx_epvedbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 117){ppexne02_ac_psp_220_ubx_epveuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 118){ppexne02_ac_psp_220_ubx_epveucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 120){ppexne02_ac_psp_220_ubx_epvessx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 121){ppexne02_ac_psp_220_ubx_epvesbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 123){ppexne02_ac_psp_220_ubx_epveccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 126){ppexne02_ac_psp_220_ubx_epvebbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 128){ppexne02_ac_psp_220_sc_epveds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 130){ppexne02_ac_psp_220_sc_epvess(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 131){ppexne02_ac_psp_220_sc_epvesb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 135){ppexne02_ac_psp_220_sdx_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 136){ppexne02_ac_psp_220_sdx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 139){ppexne02_ac_psp_220_ssx_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 140){ppexne02_ac_psp_220_ssx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 141){ppexne02_ac_psp_220_ssx_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 142){ppexne02_ac_psp_220_ssx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 143){ppexne02_ac_psp_220_ssx_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 144){ppexne02_ac_psp_220_ssx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 147){ppexne02_ac_psp_220_sbx_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 148){ppexne02_ac_psp_220_sbx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 152){ppexne02_ac_psp_220_cc_epvedc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 155){ppexne02_ac_psp_220_cc_epvesc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 156){ppexne02_ac_psp_220_cc_epvecb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 159){ppexne02_ac_psp_220_cb_epvedb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 161){ppexne02_ac_psp_220_cb_epvesb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 162){ppexne02_ac_psp_220_cb_epvebb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 163){ppexne02_ac_psp_220_cdx_epvegg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 164){ppexne02_ac_psp_220_cdx_epveddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 167){ppexne02_ac_psp_220_cdx_epveuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 169){ppexne02_ac_psp_220_cdx_epvesdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 170){ppexne02_ac_psp_220_cdx_epvessx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 172){ppexne02_ac_psp_220_cdx_epvecux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 173){ppexne02_ac_psp_220_cdx_epveccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 174){ppexne02_ac_psp_220_cdx_epvebdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 176){ppexne02_ac_psp_220_cdx_epvebbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 177){ppexne02_ac_psp_220_cux_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 179){ppexne02_ac_psp_220_cux_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 181){ppexne02_ac_psp_220_cux_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 183){ppexne02_ac_psp_220_csx_epvegg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 184){ppexne02_ac_psp_220_csx_epveddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 185){ppexne02_ac_psp_220_csx_epvedsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 187){ppexne02_ac_psp_220_csx_epveuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 190){ppexne02_ac_psp_220_csx_epvessx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 192){ppexne02_ac_psp_220_csx_epvecux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 193){ppexne02_ac_psp_220_csx_epveccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 195){ppexne02_ac_psp_220_csx_epvebsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 196){ppexne02_ac_psp_220_csx_epvebbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 197){ppexne02_ac_psp_220_ccx_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 198){ppexne02_ac_psp_220_ccx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 199){ppexne02_ac_psp_220_ccx_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 200){ppexne02_ac_psp_220_ccx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 201){ppexne02_ac_psp_220_ccx_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 202){ppexne02_ac_psp_220_ccx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 203){ppexne02_ac_psp_220_cbx_epvegg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 204){ppexne02_ac_psp_220_cbx_epveddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 206){ppexne02_ac_psp_220_cbx_epvedbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 207){ppexne02_ac_psp_220_cbx_epveuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 210){ppexne02_ac_psp_220_cbx_epvessx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 211){ppexne02_ac_psp_220_cbx_epvesbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 212){ppexne02_ac_psp_220_cbx_epvecux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 213){ppexne02_ac_psp_220_cbx_epveccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 216){ppexne02_ac_psp_220_cbx_epvebbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 221){ppexne02_ac_psp_220_bdx_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 222){ppexne02_ac_psp_220_bdx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 227){ppexne02_ac_psp_220_bsx_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 228){ppexne02_ac_psp_220_bsx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 229){ppexne02_ac_psp_220_bbx_epvedux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 230){ppexne02_ac_psp_220_bbx_epvedcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 231){ppexne02_ac_psp_220_bbx_epvesux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 232){ppexne02_ac_psp_220_bbx_epvescx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 233){ppexne02_ac_psp_220_bbx_epvebux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 234){ppexne02_ac_psp_220_bbx_epvebcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 235){ppexne02_ac_psp_220_dxdx_epvedxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 236){ppexne02_ac_psp_220_dxdx_epvedxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 241){ppexne02_ac_psp_220_dxux_epveuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 242){ppexne02_ac_psp_220_dxux_epveuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 244){ppexne02_ac_psp_220_dxsx_epvedxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 245){ppexne02_ac_psp_220_dxsx_epvedxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 246){ppexne02_ac_psp_220_dxsx_epveuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 248){ppexne02_ac_psp_220_dxsx_epvesxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 251){ppexne02_ac_psp_220_dxcx_epveuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 252){ppexne02_ac_psp_220_dxcx_epvecxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 253){ppexne02_ac_psp_220_dxbx_epvedxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 254){ppexne02_ac_psp_220_dxbx_epvedxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 256){ppexne02_ac_psp_220_dxbx_epveuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 258){ppexne02_ac_psp_220_dxbx_epvecxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 259){ppexne02_ac_psp_220_uxsx_epveuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 260){ppexne02_ac_psp_220_uxsx_epveuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 262){ppexne02_ac_psp_220_uxbx_epveuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 263){ppexne02_ac_psp_220_uxbx_epveuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 267){ppexne02_ac_psp_220_sxsx_epveuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 269){ppexne02_ac_psp_220_sxsx_epvesxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 272){ppexne02_ac_psp_220_sxcx_epveuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 273){ppexne02_ac_psp_220_sxcx_epvecxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 276){ppexne02_ac_psp_220_sxbx_epveuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 277){ppexne02_ac_psp_220_sxbx_epveuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 278){ppexne02_ac_psp_220_sxbx_epvesxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 279){ppexne02_ac_psp_220_sxbx_epvecxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 281){ppexne02_ac_psp_220_cxbx_epveuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 282){ppexne02_ac_psp_220_cxbx_epvecxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 286){ppexne02_ac_psp_220_bxbx_epveuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 288){ppexne02_ac_psp_220_bxbx_epvecxbx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
