#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppw01/header/ppw01.phasespace.h"
void ppw01_ag_psp_real(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppw01_ag_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  1){ppw01_ag_psp_110_gd_wmu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  2){ppw01_ag_psp_110_gd_wmc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppw01_ag_psp_110_gs_wmu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppw01_ag_psp_110_gs_wmc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppw01_ag_psp_110_gb_wmu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppw01_ag_psp_110_gb_wmc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppw01_ag_psp_110_gux_wmdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppw01_ag_psp_110_gux_wmsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppw01_ag_psp_110_gux_wmbx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppw01_ag_psp_110_gcx_wmdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppw01_ag_psp_110_gcx_wmsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 12){ppw01_ag_psp_110_gcx_wmbx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppw01_ag_psp_110_dux_wmg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppw01_ag_psp_110_dcx_wmg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppw01_ag_psp_110_sux_wmg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppw01_ag_psp_110_scx_wmg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppw01_ag_psp_110_bux_wmg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppw01_ag_psp_110_bcx_wmg(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
