#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppwx01/header/ppwx01.phasespace.h"
void ppwx01_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppwx01_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==   1){ppwx01_ac_psp_210_gg_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   2){ppwx01_ac_psp_210_gg_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   3){ppwx01_ac_psp_210_gg_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   4){ppwx01_ac_psp_210_gg_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   5){ppwx01_ac_psp_210_gg_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   6){ppwx01_ac_psp_210_gg_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   7){ppwx01_ac_psp_210_gu_wpgd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   8){ppwx01_ac_psp_210_gu_wpgs(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==   9){ppwx01_ac_psp_210_gu_wpgb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  10){ppwx01_ac_psp_210_gc_wpgd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  11){ppwx01_ac_psp_210_gc_wpgs(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  12){ppwx01_ac_psp_210_gc_wpgb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  13){ppwx01_ac_psp_210_gdx_wpgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  14){ppwx01_ac_psp_210_gdx_wpgcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  15){ppwx01_ac_psp_210_gsx_wpgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  16){ppwx01_ac_psp_210_gsx_wpgcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  17){ppwx01_ac_psp_210_gbx_wpgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  18){ppwx01_ac_psp_210_gbx_wpgcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  19){ppwx01_ac_psp_210_du_wpdd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  20){ppwx01_ac_psp_210_du_wpds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  21){ppwx01_ac_psp_210_du_wpdb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  25){ppwx01_ac_psp_210_dc_wpdd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  26){ppwx01_ac_psp_210_dc_wpds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  27){ppwx01_ac_psp_210_dc_wpdb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  31){ppwx01_ac_psp_210_ddx_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  32){ppwx01_ac_psp_210_ddx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  33){ppwx01_ac_psp_210_ddx_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  34){ppwx01_ac_psp_210_ddx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  35){ppwx01_ac_psp_210_ddx_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  36){ppwx01_ac_psp_210_ddx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  37){ppwx01_ac_psp_210_dsx_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  38){ppwx01_ac_psp_210_dsx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  43){ppwx01_ac_psp_210_dbx_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  44){ppwx01_ac_psp_210_dbx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  49){ppwx01_ac_psp_210_uu_wpdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  51){ppwx01_ac_psp_210_uu_wpus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  52){ppwx01_ac_psp_210_uu_wpub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  56){ppwx01_ac_psp_210_us_wpds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  58){ppwx01_ac_psp_210_us_wpss(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  59){ppwx01_ac_psp_210_us_wpsb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  61){ppwx01_ac_psp_210_uc_wpdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  62){ppwx01_ac_psp_210_uc_wpdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  63){ppwx01_ac_psp_210_uc_wpus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  64){ppwx01_ac_psp_210_uc_wpub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  65){ppwx01_ac_psp_210_uc_wpsc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  66){ppwx01_ac_psp_210_uc_wpcb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  69){ppwx01_ac_psp_210_ub_wpdb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  71){ppwx01_ac_psp_210_ub_wpsb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  72){ppwx01_ac_psp_210_ub_wpbb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  73){ppwx01_ac_psp_210_udx_wpgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  74){ppwx01_ac_psp_210_udx_wpddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  77){ppwx01_ac_psp_210_udx_wpuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  78){ppwx01_ac_psp_210_udx_wpucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  79){ppwx01_ac_psp_210_udx_wpsdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  80){ppwx01_ac_psp_210_udx_wpssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  83){ppwx01_ac_psp_210_udx_wpccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  84){ppwx01_ac_psp_210_udx_wpbdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  86){ppwx01_ac_psp_210_udx_wpbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  87){ppwx01_ac_psp_210_uux_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  88){ppwx01_ac_psp_210_uux_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  89){ppwx01_ac_psp_210_uux_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  90){ppwx01_ac_psp_210_uux_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  91){ppwx01_ac_psp_210_uux_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  92){ppwx01_ac_psp_210_uux_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  93){ppwx01_ac_psp_210_usx_wpgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  94){ppwx01_ac_psp_210_usx_wpddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  95){ppwx01_ac_psp_210_usx_wpdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  97){ppwx01_ac_psp_210_usx_wpuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  98){ppwx01_ac_psp_210_usx_wpucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 100){ppwx01_ac_psp_210_usx_wpssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 103){ppwx01_ac_psp_210_usx_wpccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 105){ppwx01_ac_psp_210_usx_wpbsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 106){ppwx01_ac_psp_210_usx_wpbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 108){ppwx01_ac_psp_210_ucx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 110){ppwx01_ac_psp_210_ucx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 112){ppwx01_ac_psp_210_ucx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 113){ppwx01_ac_psp_210_ubx_wpgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 114){ppwx01_ac_psp_210_ubx_wpddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 116){ppwx01_ac_psp_210_ubx_wpdbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 117){ppwx01_ac_psp_210_ubx_wpuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 118){ppwx01_ac_psp_210_ubx_wpucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 120){ppwx01_ac_psp_210_ubx_wpssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 121){ppwx01_ac_psp_210_ubx_wpsbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 123){ppwx01_ac_psp_210_ubx_wpccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 126){ppwx01_ac_psp_210_ubx_wpbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 128){ppwx01_ac_psp_210_sc_wpds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 130){ppwx01_ac_psp_210_sc_wpss(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 131){ppwx01_ac_psp_210_sc_wpsb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 135){ppwx01_ac_psp_210_sdx_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 136){ppwx01_ac_psp_210_sdx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 139){ppwx01_ac_psp_210_ssx_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 140){ppwx01_ac_psp_210_ssx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 141){ppwx01_ac_psp_210_ssx_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 142){ppwx01_ac_psp_210_ssx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 143){ppwx01_ac_psp_210_ssx_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 144){ppwx01_ac_psp_210_ssx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 147){ppwx01_ac_psp_210_sbx_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 148){ppwx01_ac_psp_210_sbx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 152){ppwx01_ac_psp_210_cc_wpdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 155){ppwx01_ac_psp_210_cc_wpsc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 156){ppwx01_ac_psp_210_cc_wpcb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 159){ppwx01_ac_psp_210_cb_wpdb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 161){ppwx01_ac_psp_210_cb_wpsb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 162){ppwx01_ac_psp_210_cb_wpbb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 163){ppwx01_ac_psp_210_cdx_wpgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 164){ppwx01_ac_psp_210_cdx_wpddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 167){ppwx01_ac_psp_210_cdx_wpuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 169){ppwx01_ac_psp_210_cdx_wpsdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 170){ppwx01_ac_psp_210_cdx_wpssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 172){ppwx01_ac_psp_210_cdx_wpcux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 173){ppwx01_ac_psp_210_cdx_wpccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 174){ppwx01_ac_psp_210_cdx_wpbdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 176){ppwx01_ac_psp_210_cdx_wpbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 177){ppwx01_ac_psp_210_cux_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 179){ppwx01_ac_psp_210_cux_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 181){ppwx01_ac_psp_210_cux_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 183){ppwx01_ac_psp_210_csx_wpgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 184){ppwx01_ac_psp_210_csx_wpddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 185){ppwx01_ac_psp_210_csx_wpdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 187){ppwx01_ac_psp_210_csx_wpuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 190){ppwx01_ac_psp_210_csx_wpssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 192){ppwx01_ac_psp_210_csx_wpcux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 193){ppwx01_ac_psp_210_csx_wpccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 195){ppwx01_ac_psp_210_csx_wpbsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 196){ppwx01_ac_psp_210_csx_wpbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 197){ppwx01_ac_psp_210_ccx_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 198){ppwx01_ac_psp_210_ccx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 199){ppwx01_ac_psp_210_ccx_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 200){ppwx01_ac_psp_210_ccx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 201){ppwx01_ac_psp_210_ccx_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 202){ppwx01_ac_psp_210_ccx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 203){ppwx01_ac_psp_210_cbx_wpgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 204){ppwx01_ac_psp_210_cbx_wpddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 206){ppwx01_ac_psp_210_cbx_wpdbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 207){ppwx01_ac_psp_210_cbx_wpuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 210){ppwx01_ac_psp_210_cbx_wpssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 211){ppwx01_ac_psp_210_cbx_wpsbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 212){ppwx01_ac_psp_210_cbx_wpcux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 213){ppwx01_ac_psp_210_cbx_wpccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 216){ppwx01_ac_psp_210_cbx_wpbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 221){ppwx01_ac_psp_210_bdx_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 222){ppwx01_ac_psp_210_bdx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 227){ppwx01_ac_psp_210_bsx_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 228){ppwx01_ac_psp_210_bsx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 229){ppwx01_ac_psp_210_bbx_wpdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 230){ppwx01_ac_psp_210_bbx_wpdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 231){ppwx01_ac_psp_210_bbx_wpsux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 232){ppwx01_ac_psp_210_bbx_wpscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 233){ppwx01_ac_psp_210_bbx_wpbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 234){ppwx01_ac_psp_210_bbx_wpbcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 235){ppwx01_ac_psp_210_dxdx_wpdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 236){ppwx01_ac_psp_210_dxdx_wpdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 241){ppwx01_ac_psp_210_dxux_wpuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 242){ppwx01_ac_psp_210_dxux_wpuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 244){ppwx01_ac_psp_210_dxsx_wpdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 245){ppwx01_ac_psp_210_dxsx_wpdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 246){ppwx01_ac_psp_210_dxsx_wpuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 248){ppwx01_ac_psp_210_dxsx_wpsxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 251){ppwx01_ac_psp_210_dxcx_wpuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 252){ppwx01_ac_psp_210_dxcx_wpcxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 253){ppwx01_ac_psp_210_dxbx_wpdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 254){ppwx01_ac_psp_210_dxbx_wpdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 256){ppwx01_ac_psp_210_dxbx_wpuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 258){ppwx01_ac_psp_210_dxbx_wpcxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 259){ppwx01_ac_psp_210_uxsx_wpuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 260){ppwx01_ac_psp_210_uxsx_wpuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 262){ppwx01_ac_psp_210_uxbx_wpuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 263){ppwx01_ac_psp_210_uxbx_wpuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 267){ppwx01_ac_psp_210_sxsx_wpuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 269){ppwx01_ac_psp_210_sxsx_wpsxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 272){ppwx01_ac_psp_210_sxcx_wpuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 273){ppwx01_ac_psp_210_sxcx_wpcxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 276){ppwx01_ac_psp_210_sxbx_wpuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 277){ppwx01_ac_psp_210_sxbx_wpuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 278){ppwx01_ac_psp_210_sxbx_wpsxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 279){ppwx01_ac_psp_210_sxbx_wpcxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 281){ppwx01_ac_psp_210_cxbx_wpuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 282){ppwx01_ac_psp_210_cxbx_wpcxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 286){ppwx01_ac_psp_210_bxbx_wpuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 288){ppwx01_ac_psp_210_bxbx_wpcxbx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
