#include "../include/classes.cxx"
dddistribution::dddistribution(){
  name = "";
  d_1 = 0;
  d_2 = 0;
  n_bins = 0;
  step = 0.;
  xdistribution temp;
  distribution_1 = temp;
  distribution_2 = temp;
}
dddistribution::dddistribution(string _name, int _d_1, int _d_2, vector<xdistribution> _dat){
  name = _name;
  d_1 = _d_1;
  d_2 = _d_2;
  n_bins = _dat[d_1].n_bins * _dat[d_2].n_bins;
  step = _dat[d_1].step * _dat[d_2].step;
  distribution_1 = _dat[d_1];
  distribution_2 = _dat[d_2];
}

/*
string dddistribution::name() const {return priv_name;}
int dddistribution::d_1() const {return priv_d_1;}
int dddistribution::d_2() const {return priv_d_2;}
int dddistribution::n_bins() const {return priv_n_bins;}
double dddistribution::step() const {return priv_step;}
xdistribution dddistribution::distribution_1() const {return priv_distribution_1;}
xdistribution dddistribution::distribution_2() const {return priv_distribution_2;}
*/

ostream & operator << (ostream &s, const dddistribution &sp){
  s << "dddistribution name  = " << sp.name << endl;
  s << "n_bins = " << sp.n_bins << endl;
  s << "step = " << sp.step << endl;
  s << "distribution 1: " << (sp.distribution_1).xdistribution_name << " (" << sp.d_1 << ")" << endl;
  cout << sp.distribution_1;
  s << "distribution 2:  = " << (sp.distribution_2).xdistribution_name << " (" << sp.d_2 << ")" << endl;
  cout << sp.distribution_2;
  cout << "";
  return s;
}
