#include <iostream>
#include <ginac/ginac.h>
using namespace std;
using namespace GiNaC;

int main()
{
    symbol x("x"), y("y");
    ex poly;

    for (int i=0; i<3; ++i)
        poly += factorial(i+16)*pow(x,i)*pow(y,2-i);

    double u = 0.622846310578366;
    double v = 0.000195800224171579;
    
    cout << "H({0,1},v) = " << H(lst(0,1),v) << endl;
    cout << "G(-v,u) = " << G(-v,u) << endl;
    cout << "G(-v,0,u) = " << G(-v,0,u) << endl;
    cout << "G(1,1-v,u) = " << G(lst(1,1-v),u) << endl;
    cout << "G(-v,0,u) = " << G(lst(-v,0),u) << endl;
    return 0;
}
