void ppemexnmx04_particles(int i_a, observable_set & oset);

void ppemexnmx04_cuts(int i_a, observable_set & oset);
void ppemexnmx04_cuts_test(int i_a, observable_set & oset);

void ppemexnmx04_moments(observable_set & oset);

void ppemexnmx04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppemexnmx04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppemexnmx04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppemexnmx04_optimize_minv_born(phasespace_set & psi);
int ppemexnmx04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemexnmx04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ax_psp_040_dux_emmumepvmx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_040_dux_emmumepvmx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_040_dux_emmumepvmx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_phasespacepoint_born(observable_set & oset);

void ppemexnmx04_phasespacepoint_collinear(observable_set & oset);

void ppemexnmx04_optimize_minv_real(phasespace_set & psi);
int ppemexnmx04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemexnmx04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ax_psp_140_gd_emmumepvmxu(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_140_gd_emmumepvmxu(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_140_gd_emmumepvmxu(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_140_gux_emmumepvmxdx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_140_gux_emmumepvmxdx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_140_gux_emmumepvmxdx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_140_dux_emmumepvmxg(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_140_dux_emmumepvmxg(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_140_dux_emmumepvmxg(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_phasespacepoint_real(observable_set & oset);

void ppemexnmx04_phasespacepoint_realcollinear(observable_set & oset);

void ppemexnmx04_optimize_minv_doublereal(phasespace_set & psi);
int ppemexnmx04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemexnmx04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_gg_emmumepvmxudx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_gg_emmumepvmxudx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_gg_emmumepvmxudx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_gd_emmumepvmxgu(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_gd_emmumepvmxgu(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_gd_emmumepvmxgu(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_gux_emmumepvmxgdx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_gux_emmumepvmxgdx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_gux_emmumepvmxgdx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dd_emmumepvmxdu(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dd_emmumepvmxdu(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dd_emmumepvmxdu(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_du_emmumepvmxuu(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_du_emmumepvmxuu(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_du_emmumepvmxuu(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_ds_emmumepvmxdc(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_ds_emmumepvmxdc(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_ds_emmumepvmxdc(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dc_emmumepvmxuc(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dc_emmumepvmxuc(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dc_emmumepvmxuc(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_ddx_emmumepvmxudx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_ddx_emmumepvmxudx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_ddx_emmumepvmxudx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_ddx_emmumepvmxcsx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_ddx_emmumepvmxcsx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_ddx_emmumepvmxcsx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dux_emmumepvmxgg(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dux_emmumepvmxgg(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dux_emmumepvmxgg(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dux_emmumepvmxddx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dux_emmumepvmxddx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dux_emmumepvmxddx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dux_emmumepvmxuux(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dux_emmumepvmxuux(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dux_emmumepvmxuux(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dux_emmumepvmxssx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dux_emmumepvmxssx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dux_emmumepvmxssx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dux_emmumepvmxccx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dux_emmumepvmxccx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dux_emmumepvmxccx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dsx_emmumepvmxusx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dsx_emmumepvmxusx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dsx_emmumepvmxusx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dcx_emmumepvmxdsx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dcx_emmumepvmxdsx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dcx_emmumepvmxdsx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dcx_emmumepvmxucx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dcx_emmumepvmxucx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dcx_emmumepvmxucx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_uux_emmumepvmxudx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_uux_emmumepvmxudx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_uux_emmumepvmxudx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_uux_emmumepvmxcsx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_uux_emmumepvmxcsx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_uux_emmumepvmxcsx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_ucx_emmumepvmxusx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_ucx_emmumepvmxusx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_ucx_emmumepvmxusx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dxux_emmumepvmxdxdx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dxux_emmumepvmxdxdx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dxux_emmumepvmxdxdx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_dxcx_emmumepvmxdxsx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_dxcx_emmumepvmxdxsx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_dxcx_emmumepvmxdxsx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_uxux_emmumepvmxdxux(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_uxux_emmumepvmxdxux(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_uxux_emmumepvmxdxux(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_ax_psp_240_uxcx_emmumepvmxdxcx(int no_ps, phasespace_set & psi);
void ppemexnmx04_ac_psp_240_uxcx_emmumepvmxdxcx(int no_ps, int channel, phasespace_set & psi);
void ppemexnmx04_ag_psp_240_uxcx_emmumepvmxdxcx(int no_ps, int zero, phasespace_set & psi);
void ppemexnmx04_phasespacepoint_doublereal(observable_set & oset);

