#include "ppenexa03.header.cxx"
void ppenexa03_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_emve~a";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppenexa03_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_emve~a";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppenexa03_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "du~_emve~a";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppenexa03_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_emve~au";
  subprocess[2] = "gu~_emve~ad~";
  subprocess[3] = "du~_emve~ag";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppenexa03_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_emve~au";
  subprocess[2] = "gu~_emve~ad~";
  subprocess[3] = "du~_emve~ag";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppenexa03_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gd_emve~au";
  subprocess[2] = "gu~_emve~ad~";
  subprocess[3] = "du~_emve~ag";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppenexa03_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppenexa03_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(25);
  subprocess[1] = "gg_emve~aud~";
  subprocess[2] = "gd_emve~agu";
  subprocess[3] = "gu~_emve~agd~";
  subprocess[4] = "dd_emve~adu";
  subprocess[5] = "du_emve~auu";
  subprocess[6] = "ds_emve~adc";
  subprocess[7] = "dc_emve~auc";
  subprocess[8] = "dd~_emve~aud~";
  subprocess[9] = "dd~_emve~acs~";
  subprocess[10] = "du~_emve~agg";
  subprocess[11] = "du~_emve~add~";
  subprocess[12] = "du~_emve~auu~";
  subprocess[13] = "du~_emve~ass~";
  subprocess[14] = "du~_emve~acc~";
  subprocess[15] = "ds~_emve~aus~";
  subprocess[16] = "dc~_emve~ads~";
  subprocess[17] = "dc~_emve~auc~";
  subprocess[18] = "uu~_emve~aud~";
  subprocess[19] = "uu~_emve~acs~";
  subprocess[20] = "uc~_emve~aus~";
  subprocess[21] = "d~u~_emve~ad~d~";
  subprocess[22] = "d~c~_emve~ad~s~";
  subprocess[23] = "u~u~_emve~ad~u~";
  subprocess[24] = "u~c~_emve~ad~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
