void ppz01_particles(int i_a, observable_set & oset);

void ppz01_cuts(int i_a, observable_set & oset);
void ppz01_cuts_test(int i_a, observable_set & oset);

void ppz01_moments(observable_set & oset);

void ppz01_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppz01_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppz01_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppz01_optimize_minv_born(phasespace_set & psi);
int ppz01_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppz01_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppz01_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_born(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppz01_ax_psp_010_ddx_z(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_010_ddx_z(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_010_ddx_z(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_010_uux_z(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_010_uux_z(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_010_uux_z(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_gg_z(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gg_z(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gg_z(int no_ps, int zero, phasespace_set & psi);
void ppz01_phasespacepoint_born(observable_set & oset);

void ppz01_phasespacepoint_collinear(observable_set & oset);

void ppz01_optimize_minv_real(phasespace_set & psi);
int ppz01_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppz01_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppz01_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_real(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppz01_ax_psp_110_gd_zd(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_110_gd_zd(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_110_gd_zd(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_110_gu_zu(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_110_gu_zu(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_110_gu_zu(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_110_gdx_zdx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_110_gdx_zdx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_110_gdx_zdx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_110_gux_zux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_110_gux_zux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_110_gux_zux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_110_ddx_zg(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_110_ddx_zg(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_110_ddx_zg(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_110_uux_zg(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_110_uux_zg(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_110_uux_zg(int no_ps, int zero, phasespace_set & psi);
void ppz01_phasespacepoint_real(observable_set & oset);

void ppz01_phasespacepoint_realcollinear(observable_set & oset);

void ppz01_optimize_minv_doublereal(phasespace_set & psi);
int ppz01_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppz01_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppz01_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppz01_ax_psp_210_gg_zddx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gg_zddx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gg_zddx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_gg_zuux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gg_zuux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gg_zuux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_gd_zgd(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gd_zgd(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gd_zgd(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_gu_zgu(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gu_zgu(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gu_zgu(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_gdx_zgdx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gdx_zgdx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gdx_zgdx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_gux_zgux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_gux_zgux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_gux_zgux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dd_zdd(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dd_zdd(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dd_zdd(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_du_zdu(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_du_zdu(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_du_zdu(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ds_zds(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ds_zds(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ds_zds(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dc_zdc(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dc_zdc(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dc_zdc(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ddx_zgg(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ddx_zgg(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ddx_zgg(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ddx_zddx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ddx_zddx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ddx_zddx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ddx_zuux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ddx_zuux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ddx_zuux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ddx_zssx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ddx_zssx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ddx_zssx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ddx_zccx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ddx_zccx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ddx_zccx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dux_zdux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dux_zdux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dux_zdux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dsx_zdsx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dsx_zdsx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dsx_zdsx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dcx_zdcx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dcx_zdcx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dcx_zdcx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uu_zuu(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uu_zuu(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uu_zuu(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uc_zuc(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uc_zuc(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uc_zuc(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_udx_zudx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_udx_zudx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_udx_zudx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uux_zgg(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uux_zgg(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uux_zgg(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uux_zddx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uux_zddx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uux_zddx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uux_zuux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uux_zuux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uux_zuux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uux_zssx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uux_zssx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uux_zssx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uux_zccx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uux_zccx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uux_zccx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_usx_zusx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_usx_zusx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_usx_zusx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_ucx_zucx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_ucx_zucx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_ucx_zucx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dxdx_zdxdx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dxdx_zdxdx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dxdx_zdxdx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dxux_zdxux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dxux_zdxux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dxux_zdxux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dxsx_zdxsx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dxsx_zdxsx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dxsx_zdxsx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_dxcx_zdxcx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_dxcx_zdxcx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_dxcx_zdxcx(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uxux_zuxux(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uxux_zuxux(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uxux_zuxux(int no_ps, int zero, phasespace_set & psi);
void ppz01_ax_psp_210_uxcx_zuxcx(int no_ps, phasespace_set & psi);
void ppz01_ac_psp_210_uxcx_zuxcx(int no_ps, int channel, phasespace_set & psi);
void ppz01_ag_psp_210_uxcx_zuxcx(int no_ps, int zero, phasespace_set & psi);
void ppz01_phasespacepoint_doublereal(observable_set & oset);

