{
  //  cuts ...
  //  if (cuts ){osi_cut_ps[i_a] = -1; return;}
  static int switch_y_z_cuts = USERSWITCH("y_z_cuts");
  static double cut_min_y_z = USERCUT("min_y_z");
  static double cut_max_y_z = USERCUT("max_y_z");

  // Z-boson rapidity cuts
  if (switch_y_z_cuts == 1){
    double y_z = abs(PARTICLE("z")[0].momentum.rapidity());
    logger << LOG_DEBUG_VERBOSE << y_z << " "<< cut_min_y_z << " " << cut_max_y_z << endl;
    if (y_z < cut_min_y_z || y_z > cut_max_y_z){
      osi_cut_ps[i_a] = -1;
    }
    return;
  }
}
