#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnenex04/header/ppeexnenex04.phasespace.h"
void ppeexnenex04_ac_psp_240_bbx_emepvevexuux(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppeexnenex04_ac_psp_240_bbx_emepvevexuux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  double g_IS_temp;
  int ran = 1;
  for (int i_p = 0; i_p < psi_c_p[no_ps][channel].size(); i_p++){
    if (psi_c_p[no_ps][channel][i_p] ==   0){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][204], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 0]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   1){
      psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][56]);
      psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][196], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 1]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   2){
      psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 2]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   3){
      psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][60], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 3]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   4){
      psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 4]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   5){
      psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][60], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 5]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   6){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][24];
      psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][228], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 6]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   7){
      psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][56]);
      psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][196], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 7]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  1], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   8){
      psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][28]);
      psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][224], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 8]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  6], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==   9){
      psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 9]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  10){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][240], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 10]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  7], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  11){
      psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][44]);
      psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][208], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 11]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  8], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  12){
      psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 12]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  13){
      psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][28]);
      psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][224], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 13]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  28, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  6], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  14){
      psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][52]);
      psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][200], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 14]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  52, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][  9], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  15){
      psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 15]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  16){
      psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 16] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 16]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  17){
      psi_v_smin[no_ps][ 15] = psi_smin_opt[no_ps][36];
      psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][216], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 17] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 17]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  36, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 10], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  18){
      psi_v_smin[no_ps][ 16] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][52]);
      psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][200], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 18] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 18]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  52, psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][  9], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  19){
      psi_v_smin[no_ps][ 17] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][44]);
      psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][208], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 19] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 19]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][  8], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  20){
      psi_v_smin[no_ps][ 15] = psi_smin_opt[no_ps][36];
      psi_v_smax[no_ps][ 11] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][216]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 20] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 20]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  36, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 11], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  21){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 21] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 21]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  22){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 22] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 22]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  23){
      psi_v_smin[no_ps][ 19] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][112]);
      psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][140], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 23] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 23]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 112, psi_v_smin[no_ps][ 19], psi_v_smax[no_ps][ 12], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  24){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][112], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 24] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 24]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 13], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  25){
      psi_v_smin[no_ps][ 20] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][112], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 25] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 25]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 20], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  26){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][112], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 26] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 26]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 13], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  27){
      psi_v_smin[no_ps][ 21] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][176]);
      psi_v_smax[no_ps][ 14] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][76], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 27] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 27]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 176, psi_v_smin[no_ps][ 21], psi_v_smax[no_ps][ 14], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  28){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 15] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][176], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 28] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 28]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 15], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  29){
      psi_v_smin[no_ps][ 22] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][176], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 29] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 29]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 22], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  30){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 15] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][176], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 30] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 30]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 15], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  31){
      psi_v_smin[no_ps][ 23] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][152]);
      psi_v_smax[no_ps][ 16] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][100], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 31] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 31]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 152, psi_v_smin[no_ps][ 23], psi_v_smax[no_ps][ 16], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  32){
      psi_v_smin[no_ps][ 15] = psi_smin_opt[no_ps][36];
      psi_v_smax[no_ps][ 17] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][152], psi_sqrtsmin_opt[no_ps][216]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 32] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 32]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  36, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 17], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  33){
      psi_v_smin[no_ps][ 24] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][36] + psi_xbsqrts[no_ps][152], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 33] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 33]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 24], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  34){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][240], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 34] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 34]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  7], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  35){
      psi_v_smin[no_ps][ 25] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][76]);
      psi_v_smax[no_ps][ 18] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][176], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 35] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 35]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  76, psi_v_smin[no_ps][ 25], psi_v_smax[no_ps][ 18], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  36){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][ 19] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][76], psi_sqrtsmin_opt[no_ps][204]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 36] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 36]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 19], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  37){
      psi_v_smin[no_ps][ 26] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][48] + psi_xbsqrts[no_ps][76], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 37] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 37]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 26], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  38){
      psi_v_smin[no_ps][ 27] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][140]);
      psi_v_smax[no_ps][ 20] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][112], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 38] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 38]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 140, psi_v_smin[no_ps][ 27], psi_v_smax[no_ps][ 20], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  39){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][ 21] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][140], psi_sqrtsmin_opt[no_ps][204]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 39] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 39]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 21], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  40){
      psi_v_smin[no_ps][ 28] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][48] + psi_xbsqrts[no_ps][140], 2), psi_smin_opt[no_ps][188]);
      psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 40] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 40]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 188, psi_v_smin[no_ps][ 28], psi_v_smax[no_ps][  3], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  41){
      psi_v_smin[no_ps][ 29] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][100]);
      psi_v_smax[no_ps][ 22] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][152], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 41] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 41]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 29], psi_v_smax[no_ps][ 22], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  42){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][24];
      psi_v_smax[no_ps][ 23] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][100], psi_sqrtsmin_opt[no_ps][228]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 42] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 42]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 23], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  43){
      psi_v_smin[no_ps][ 30] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][100], 2), psi_smin_opt[no_ps][124]);
      psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][128], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 43] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 43]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 124, psi_v_smin[no_ps][ 30], psi_v_smax[no_ps][  4], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  44){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 24] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][48], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 44] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 44]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 24], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  45){
      psi_v_smin[no_ps][ 21] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][176]);
      psi_v_smax[no_ps][ 25] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][76]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 45] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 45]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 176, psi_v_smin[no_ps][ 21], psi_v_smax[no_ps][ 25], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  46){
      psi_v_smin[no_ps][ 25] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][76]);
      psi_v_smax[no_ps][ 26] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][176], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 46] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 46]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  76, psi_v_smin[no_ps][ 25], psi_v_smax[no_ps][ 26], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  47){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 24] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][48], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 47] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 47]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 24], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  48){
      psi_v_smin[no_ps][ 23] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][152]);
      psi_v_smax[no_ps][ 27] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][100]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 48] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 48]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 152, psi_v_smin[no_ps][ 23], psi_v_smax[no_ps][ 27], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  49){
      psi_v_smin[no_ps][ 29] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][100]);
      psi_v_smax[no_ps][ 28] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][152], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 49] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 49]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 100, psi_v_smin[no_ps][ 29], psi_v_smax[no_ps][ 28], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  50){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][ 29] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][204]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 50] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 50]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 29], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  51){
      psi_v_smin[no_ps][ 27] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][140]);
      psi_v_smax[no_ps][ 30] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][48], psi_sqrtsmin_opt[no_ps][112]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 51] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 51]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 140, psi_v_smin[no_ps][ 27], psi_v_smax[no_ps][ 30], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  52){
      psi_v_smin[no_ps][ 19] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][112]);
      psi_v_smax[no_ps][ 31] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][140], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 52] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 52]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 112, psi_v_smin[no_ps][ 19], psi_v_smax[no_ps][ 31], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  53){
      psi_v_smin[no_ps][ 31] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][176], 2), psi_smin_opt[no_ps][240]);
      psi_v_smax[no_ps][ 32] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][12], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 53] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 53]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 240, psi_v_smin[no_ps][ 31], psi_v_smax[no_ps][ 32], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  54){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 33] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][240], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 54] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 54]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 33], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  55){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 33] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][240], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 55] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 55]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 33], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  56){
      psi_v_smin[no_ps][ 32] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][112], 2), psi_smin_opt[no_ps][240]);
      psi_v_smax[no_ps][ 32] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][12], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 56] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 56]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 240, psi_v_smin[no_ps][ 32], psi_v_smax[no_ps][ 32], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  57){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 34] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][60], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 57] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 57]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 34], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  58){
      psi_v_smin[no_ps][ 34] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][140], 2), psi_smin_opt[no_ps][204]);
      psi_v_smax[no_ps][ 35] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][48], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 58] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 58]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 204, psi_v_smin[no_ps][ 34], psi_v_smax[no_ps][ 35], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  59){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][ 36] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][204], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 59] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 59]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 36], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  60){
      psi_v_smin[no_ps][ 35] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][76], 2), psi_smin_opt[no_ps][204]);
      psi_v_smax[no_ps][ 35] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][48], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 60] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 60]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 204, psi_v_smin[no_ps][ 35], psi_v_smax[no_ps][ 35], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  61){
      psi_v_smin[no_ps][ 36] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 61] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 61]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  25,  60, psi_v_smin[no_ps][ 36], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  62){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 62] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 62]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  25,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][  2], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  63){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 37] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][60], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 63] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 63]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 37], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  64){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][ 38] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][12] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][204]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 64] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 64]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 38], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  65){
      psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][56]);
      psi_v_smax[no_ps][ 39] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][196]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 65] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 65]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][ 39], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  66){
      psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 66] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 66]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  67){
      psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 67] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 67]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  68){
      psi_v_smin[no_ps][ 34] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][140], 2), psi_smin_opt[no_ps][204]);
      psi_v_smax[no_ps][ 41] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][48], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 68] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 68]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 204, psi_v_smin[no_ps][ 34], psi_v_smax[no_ps][ 41], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  69){
      psi_v_smin[no_ps][ 25] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][76]);
      psi_v_smax[no_ps][ 42] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][48], psi_sqrtsmin_opt[no_ps][176]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 69] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 69]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  76, psi_v_smin[no_ps][ 25], psi_v_smax[no_ps][ 42], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  70){
      psi_v_smin[no_ps][ 35] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][76], 2), psi_smin_opt[no_ps][204]);
      psi_v_smax[no_ps][ 41] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][48], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 70] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 70]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 204, psi_v_smin[no_ps][ 35], psi_v_smax[no_ps][ 41], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  71){
      psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][24];
      psi_v_smax[no_ps][ 43] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][36] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][228]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 71] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 71]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 43], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  72){
      psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][56]);
      psi_v_smax[no_ps][ 39] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][196]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 72] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 72]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 39], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  73){
      psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][24], 2), psi_smin_opt[no_ps][28]);
      psi_v_smax[no_ps][ 44] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][224]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 73] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 73]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 44], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  74){
      psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 74] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 74]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  75){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 45] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][48] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 75] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 75]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 45], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  76){
      psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][44]);
      psi_v_smax[no_ps][ 46] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][208]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 76] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 76]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 46], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  77){
      psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 77] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 77]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  78){
      psi_v_smin[no_ps][ 31] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][176], 2), psi_smin_opt[no_ps][240]);
      psi_v_smax[no_ps][ 47] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][12], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 78] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 78]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 240, psi_v_smin[no_ps][ 31], psi_v_smax[no_ps][ 47], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  79){
      psi_v_smin[no_ps][ 19] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][112]);
      psi_v_smax[no_ps][ 48] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][140]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 79] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 79]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 112, psi_v_smin[no_ps][ 19], psi_v_smax[no_ps][ 48], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  80){
      psi_v_smin[no_ps][ 32] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][112], 2), psi_smin_opt[no_ps][240]);
      psi_v_smax[no_ps][ 47] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][12], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 80] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 80]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 240, psi_v_smin[no_ps][ 32], psi_v_smax[no_ps][ 47], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  81){
      psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][28]);
      psi_v_smax[no_ps][ 44] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][224]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 81] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 81]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  28, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 44], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  82){
      psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][52]);
      psi_v_smax[no_ps][ 49] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][200]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 82] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 82]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  52, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 49], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  83){
      psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 83] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 83]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  84){
      psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 84] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 84]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  85){
      psi_v_smin[no_ps][ 15] = psi_smin_opt[no_ps][36];
      psi_v_smax[no_ps][ 50] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][24] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][216]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 85] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 85]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  36, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 50], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  86){
      psi_v_smin[no_ps][ 16] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][52]);
      psi_v_smax[no_ps][ 49] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][200]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 86] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 86]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  52, psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][ 49], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  87){
      psi_v_smin[no_ps][ 17] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][44]);
      psi_v_smax[no_ps][ 46] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][208]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 87] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 87]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  44, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 46], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  88){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 51] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][48] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 88] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 88]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 51], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  89){
      psi_v_smin[no_ps][ 36] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 89] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 89]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  25,  60, psi_v_smin[no_ps][ 36], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  90){
      psi_v_smin[no_ps][ 15] = psi_smin_opt[no_ps][36];
      psi_v_smax[no_ps][ 52] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][216]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 90] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 90]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  24,  36, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 52], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  91){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 91] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 91]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  92){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 92] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 92]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  93){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 93] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 93]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  25,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 40], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  94){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 51] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][48] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 94] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 94]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 51], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  95){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 53] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][12] + psi_xbsqrts[no_ps][48], psi_sqrtsmin_opt[no_ps][60]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 95] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 95]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 53], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  96){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 54] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][48], psi_sqrtsmin_opt[no_ps][60]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 96] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 96]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 54], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  97){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 55] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][36] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][60]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 97] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 97]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 55], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  98){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 56] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], psi_sqrtsmin_opt[no_ps][60]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 98] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 98]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 56], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] ==  99){
      psi_v_smin[no_ps][  9] = psi_smin_opt[no_ps][12];
      psi_v_smax[no_ps][ 45] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][48] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][240]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 99] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 99]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0,  12, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 45], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] == 100){
      psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][48];
      psi_v_smax[no_ps][ 57] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][204]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 100] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 100]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,  23,  48, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 57], ran + i_p);
    }
    else if (psi_c_p[no_ps][channel][i_p] == 101){
      psi_v_smin[no_ps][ 33] = psi_smin_opt[no_ps][192];
      psi_v_smax[no_ps][ 58] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][48] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][60]), 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][0] + 101] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][0] + 101]->get_random(psi_r[ran + i_p], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_propagator(no_ps,   0, 192, psi_v_smin[no_ps][ 33], psi_v_smax[no_ps][ 58], ran + i_p);
    }
  }
  ran += psi_c_p[no_ps][channel].size();

  for (int i_f = 0; i_f < psi_c_f[no_ps][channel].size(); i_f++){
    if (psi_c_f[no_ps][channel][i_f] ==   0){
      psi_v_smin[no_ps][ 37] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][48] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][240]);
      psi_v_smax[no_ps][ 47] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][12], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 0]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 240, psi_v_smin[no_ps][ 37], psi_v_smax[no_ps][ 47], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   1){
      psi_v_smin[no_ps][ 36] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 1]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 36], psi_v_smax[no_ps][ 40], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   2){
      psi_v_smin[no_ps][ 38] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][216]);
      psi_v_smax[no_ps][ 59] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][36], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 2]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 216, psi_v_smin[no_ps][ 38], psi_v_smax[no_ps][ 59], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   3){
      psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][24] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][60]);
      psi_v_smax[no_ps][ 40] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 3]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 40], ran + i_f);
    }
    else if (psi_c_f[no_ps][channel][i_f] ==   4){
      psi_v_smin[no_ps][ 39] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][204]);
      psi_v_smax[no_ps][ 41] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][48], 2);
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][1] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][1] + 4]->get_random(psi_r[ran + i_f], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_timelikeinvariant(no_ps, 204, psi_v_smin[no_ps][ 39], psi_v_smax[no_ps][ 41], ran + i_f);
    }
  }
  ran += psi_c_f[no_ps][channel].size();

  for (int i_t = 0; i_t < psi_c_t[no_ps][channel].size(); i_t++){
    if      (psi_c_t[no_ps][channel][i_t] ==   0){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 0]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 1]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 252,   1,   2,  12, 240, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   1){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 2]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 3]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 252,   1,   2, 192,  60, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   2){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 4]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 5]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 252,   1,   2,  48, 204, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   3){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 6]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 7]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 252,   2,   1, 192,  60, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   4){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 8]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 9]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 252,   2,   1,  48, 204, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   5){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 10]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 11]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 252,   2,   1,  12, 240, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   6){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 12]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 13]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 240,   2,  13, 192,  48, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   7){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 14]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 15]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 240,   2,  13,  48, 192, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   8){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 16]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 17]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5,  60,   2, 193,  48,  12, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==   9){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 18]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 19]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   6, 252,   1,   2,  36, 216, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==  10){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 20]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 21]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 216,   2,  37, 192,  24, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==  11){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 22]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 23]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   6, 216,   2,  37,  24, 192, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==  12){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 24]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 25]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   6,  60,   2, 193,  24,  36, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==  13){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 26]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 27]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 204,   2,  49, 192,  12, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==  14){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 28]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 29]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5, 204,   2,  49,  12, 192, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
    else if (psi_c_t[no_ps][channel][i_t] ==  15){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 30]->get_random(psi_r[ran + 2 * i_t], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][2] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][2] + 31]->get_random(psi_r[ran + 2 * i_t + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_tchannel_opt(no_ps,   5,  60,   2, 193,  12,  48, ran + 2 * i_t, ran + 2 * i_t + 1);
    }
  }
  ran += 2 * psi_c_t[no_ps][channel].size();

  for (int i_d = 0; i_d < psi_c_d[no_ps][channel].size(); i_d++){
    if      (psi_c_d[no_ps][channel][i_d] ==   0){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 0]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 0] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 1]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252,  64, 188, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   1){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 2]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 1] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 3]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188, 128,  60, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   2){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 4]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 2] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 5]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,   4,  56, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   3){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 6]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 3] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 7]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  56,   8,  48, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   4){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 8]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 4] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 9]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  48,  16,  32, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   5){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 10]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 5] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 11]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252, 128, 124, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   6){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 12]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 6] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 13]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  64,  60, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   7){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 14]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 7] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 15]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  56,  32,  24, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   8){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 16]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 8] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 17]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  24,   8,  16, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==   9){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 18]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 9] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 19]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,  32,  28, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  10){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 20]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 10] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 21]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  28,   4,  24, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  11){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 22]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 11] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 23]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,  16,  44, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  12){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 24]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 12] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 25]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  44,  32,  12, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  13){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 26]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 13] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 27]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  12,   4,   8, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  14){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 28]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 14] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 29]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  28,  16,  12, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  15){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 30]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 15] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 31]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,   8,  52, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  16){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 16] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 32]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 16] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 33]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  52,   4,  48, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  17){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 17] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 34]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 17] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 35]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  52,  16,  36, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  18){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 18] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 36]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 18] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 37]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  36,   4,  32, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  19){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 19] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 38]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 19] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 39]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  44,   8,  36, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  20){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 20] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 40]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 20] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 41]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,  36,  24, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  21){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 21] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 42]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 21] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 43]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  12, 112, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  22){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 22] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 44]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 22] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 45]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 112,  64,  48, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  23){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 23] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 46]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 23] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 47]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188,  12, 176, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  24){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 24] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 48]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 24] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 49]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 176, 128,  48, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  25){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 25] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 50]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 25] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 51]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188,  36, 152, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  26){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 26] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 52]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 26] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 53]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 152, 128,  24, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  27){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 27] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 54]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 27] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 55]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  48,  76, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  28){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 28] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 56]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 28] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 57]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  76,  64,  12, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  29){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 29] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 58]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 29] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 59]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 188,  48, 140, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  30){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 30] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 60]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 30] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 61]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 140, 128,  12, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  31){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 31] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 62]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 31] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 63]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 124,  24, 100, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  32){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 32] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 64]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 32] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 65]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 100,  64,  36, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  33){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 33] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 66]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 33] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 67]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252,  76, 176, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  34){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 34] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 68]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 34] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 69]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252, 100, 152, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  35){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 35] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 70]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 35] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 71]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 252, 112, 140, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  36){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 36] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 72]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 36] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 73]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 240,  64, 176, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  37){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 37] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 74]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 37] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 75]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 240, 128, 112, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  38){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 38] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 76]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 38] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 77]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 192,  64, 128, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  39){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 39] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 78]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 39] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 79]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 204,  64, 140, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  40){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 40] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 80]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 40] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 81]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps, 204, 128,  76, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
    else if (psi_c_d[no_ps][channel][i_d] ==  41){
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 41] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 82]->get_random(psi_r[ran + 2 * i_d], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      if (psi_container_IS_switch[psi_container_IS_startvalue[no_ps][3] + 41] == 1){
        psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][3] + 83]->get_random(psi_r[ran + 2 * i_d + 1], g_IS_temp);
        psi_MC_g_IS_global *= g_IS_temp;
      }
      psi.c_decay(no_ps,  60,  12,  48, ran + 2 * i_d, ran + 2 * i_d + 1);
    }
  }
  ran += 2 * psi_c_d[no_ps][channel].size();

  /*
  if      (channel ==    0){ac_channel_6yyyyv(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==    1){ac_channel_6yyyyv(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==    2){ac_channel_6yyyyv(r, 1, 2, 128, 64, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==    3){ac_channel_6yyyyv(r, 1, 2, 128, 64, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==    4){ac_channel_6yyyyv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==    5){ac_channel_6yyyyv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==    6){ac_channel_6yyyyv(r, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==    7){ac_channel_6yyyyv(r, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==    8){ac_channel_6yyyyv(r, 1, 2, 64, 128, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==    9){ac_channel_6yyyyv(r, 1, 2, 128, 64, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   10){ac_channel_6yyyyv(r, 1, 2, 64, 128, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   11){ac_channel_6yyyyv(r, 1, 2, 128, 64, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   12){ac_channel_6yyyyv(r, 1, 2, 64, 128, 32, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   13){ac_channel_6yyyyv(r, 1, 2, 128, 64, 32, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   14){ac_channel_6yyyyv(r, 1, 2, 64, 128, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==   15){ac_channel_6yyyyv(r, 1, 2, 64, 128, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   16){ac_channel_6yyyyv(r, 1, 2, 128, 64, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==   17){ac_channel_6yyyyv(r, 1, 2, 128, 64, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   18){ac_channel_6yyyyv(r, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   19){ac_channel_6yyyyv(r, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   20){ac_channel_6yyyyv(r, 1, 2, 128, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  else if (channel ==   21){ac_channel_6yyyyv(r, 1, 2, 128, 64, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   22){ac_channel_6yyyyv(r, 1, 2, 64, 128, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   23){ac_channel_6yyyyv(r, 1, 2, 128, 64, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  else if (channel ==   24){ac_channel_6yy2vv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  else if (channel ==   25){ac_channel_6yy2vv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0,   0, psi);}
  else if (channel ==   26){ac_channel_6yy2vv(r, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  else if (channel ==   27){ac_channel_6yy2vv(r, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0,   0, psi);}
  else if (channel ==   28){ac_channel_6y2vyv(r, 1, 2, 128, 4, 8, 64, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==   29){ac_channel_6y2vyv(r, 1, 2, 128, 4, 8, 64, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   30){ac_channel_6y2vyv(r, 1, 2, 64, 4, 8, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==   31){ac_channel_6y2vyv(r, 1, 2, 64, 4, 8, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   32){ac_channel_6y2vyv(r, 1, 2, 64, 4, 32, 128, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==   33){ac_channel_6y2vyv(r, 1, 2, 128, 16, 32, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0,   0, psi);}
  else if (channel ==   34){ac_channel_6y2vyv(r, 1, 2, 128, 16, 32, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   35){ac_channel_6y2vyv(r, 1, 2, 64, 16, 32, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0,   0, psi);}
  else if (channel ==   36){ac_channel_6y2vyv(r, 1, 2, 64, 16, 32, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   0, psi);}
  else if (channel ==   37){ac_channel_6y2vyv(r, 1, 2, 128, 8, 16, 64, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  else if (channel ==   38){ac_channel_63yvyv(r, 1, 2, 64, 4, 8, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   0, psi);}
  else if (channel ==   39){ac_channel_63yvyv(r, 1, 2, 64, 4, 8, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0,   0, psi);}
  else if (channel ==   40){ac_channel_63yvyv(r, 1, 2, 64, 4, 32, 128, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  else if (channel ==   41){ac_channel_63yvyv(r, 1, 2, 64, 16, 32, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0,   0, psi);}
  else if (channel ==   42){ac_channel_63yvyv(r, 1, 2, 64, 16, 32, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0,   0, psi);}
  else if (channel ==   43){ac_channel_2v4yyv(r, 1, 2, 4, 8, 64, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   5, psi);}
  else if (channel ==   44){ac_channel_2v4yyv(r, 1, 2, 4, 8, 64, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,  23,   5, psi);}
  else if (channel ==   45){ac_channel_2v4yyv(r, 1, 2, 4, 8, 128, 64, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   5, psi);}
  else if (channel ==   46){ac_channel_2v4yyv(r, 1, 2, 4, 8, 128, 64, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,  23,   5, psi);}
  else if (channel ==   47){ac_channel_2v4yyv(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   5, psi);}
  else if (channel ==   48){ac_channel_2v4yyv(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   5, psi);}
  else if (channel ==   49){ac_channel_2v4yyv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   5, psi);}
  else if (channel ==   50){ac_channel_2v4yyv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   5, psi);}
  else if (channel ==   51){ac_channel_2v4yyv(r, 1, 2, 64, 128, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   5, psi);}
  else if (channel ==   52){ac_channel_2v4yyv(r, 1, 2, 16, 32, 64, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,  23,   5, psi);}
  else if (channel ==   53){ac_channel_2v4yyv(r, 1, 2, 16, 32, 64, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,  23,   5, psi);}
  else if (channel ==   54){ac_channel_2v4yyv(r, 1, 2, 16, 32, 128, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,  23,   5, psi);}
  else if (channel ==   55){ac_channel_2v4yyv(r, 1, 2, 16, 32, 128, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,  23,   5, psi);}
  else if (channel ==   56){ac_channel_2v4yyv(r, 1, 2, 64, 128, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   5, psi);}
  else if (channel ==   57){ac_channel_2v4yyv(r, 1, 2, 64, 128, 32, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   5, psi);}
  else if (channel ==   58){ac_channel_2v4yyv(r, 1, 2, 64, 128, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   5, psi);}
  else if (channel ==   59){ac_channel_2v4yyv(r, 1, 2, 64, 128, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0,   5, psi);}
  else if (channel ==   60){ac_channel_2v4yyv(r, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   5, psi);}
  else if (channel ==   61){ac_channel_2v4yyv(r, 1, 2, 64, 128, 8, 16, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   5, psi);}
  else if (channel ==   62){ac_channel_2v4yyv(r, 1, 2, 64, 128, 16, 8, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   5, psi);}
  else if (channel ==   63){ac_channel_2v42vv(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,  25,   0,   5, psi);}
  else if (channel ==   64){ac_channel_2v42vv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   5, psi);}
  else if (channel ==   65){ac_channel_2v42vv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  23,   0,   5, psi);}
  else if (channel ==   66){ac_channel_2v42vv(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,  25,   0,   5, psi);}
  else if (channel ==   67){ac_channel_4yyv2v(r, 1, 2, 4, 8, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0,   5, psi);}
  else if (channel ==   68){ac_channel_4yyv2v(r, 1, 2, 4, 8, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,  23,   5, psi);}
  else if (channel ==   69){ac_channel_4yyv2v(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   5, psi);}
  else if (channel ==   70){ac_channel_4yyv2v(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0,   5, psi);}
  else if (channel ==   71){ac_channel_4yyv2v(r, 1, 2, 128, 64, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0,   5, psi);}
  else if (channel ==   72){ac_channel_4yyv2v(r, 1, 2, 128, 64, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0,   5, psi);}
  else if (channel ==   73){ac_channel_4yyv2v(r, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   5, psi);}
  else if (channel ==   74){ac_channel_4yyv2v(r, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   5, psi);}
  else if (channel ==   75){ac_channel_4yyv2v(r, 1, 2, 32, 4, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   5, psi);}
  else if (channel ==   76){ac_channel_4yyv2v(r, 1, 2, 16, 32, 4, 8, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,  23,   5, psi);}
  else if (channel ==   77){ac_channel_4yyv2v(r, 1, 2, 64, 128, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0,   5, psi);}
  else if (channel ==   78){ac_channel_4yyv2v(r, 1, 2, 64, 128, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0,   5, psi);}
  else if (channel ==   79){ac_channel_4yyv2v(r, 1, 2, 128, 64, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0,   5, psi);}
  else if (channel ==   80){ac_channel_4yyv2v(r, 1, 2, 128, 64, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0,   5, psi);}
  else if (channel ==   81){ac_channel_4yyv2v(r, 1, 2, 32, 16, 4, 8, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,  23,   5, psi);}
  else if (channel ==   82){ac_channel_4yyv2v(r, 1, 2, 8, 4, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0,   5, psi);}
  else if (channel ==   83){ac_channel_4yyv2v(r, 1, 2, 8, 4, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,  23,   5, psi);}
  else if (channel ==   84){ac_channel_4yyv2v(r, 1, 2, 8, 16, 4, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   5, psi);}
  else if (channel ==   85){ac_channel_4yyv2v(r, 1, 2, 8, 16, 4, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   5, psi);}
  else if (channel ==   86){ac_channel_4yyv2v(r, 1, 2, 16, 8, 4, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  23,   5, psi);}
  else if (channel ==   87){ac_channel_42vv2v(r, 1, 2, 4, 8, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,  23,  25,   5, psi);}
  else if (channel ==   88){ac_channel_42vv2v(r, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,   0,   5, psi);}
  else if (channel ==   89){ac_channel_42vv2v(r, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,  23,   5, psi);}
  else if (channel ==   90){ac_channel_42vv2v(r, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,  25,   5, psi);}
  else if (channel ==   91){ac_channel_2v2v2v(r, 1, 2, 4, 8, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   5,   5, psi);}
  else if (channel ==   92){ac_channel_2v2v2v(r, 1, 2, 4, 8, 16, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,  23,   5,   5, psi);}
  else if (channel ==   93){ac_channel_2v2v2v(r, 1, 2, 4, 8, 64, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   5,   5, psi);}
  else if (channel ==   94){ac_channel_2v2v2v(r, 1, 2, 4, 8, 64, 128, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   5,   5, psi);}
  else if (channel ==   95){ac_channel_2v2v2v(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   5,   5, psi);}
  else if (channel ==   96){ac_channel_2v2v2v(r, 1, 2, 64, 128, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   5,   5, psi);}
  else if (channel ==   97){ac_channel_2v2v2v(r, 1, 2, 4, 32, 8, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,   6,   5, psi);}
  else if (channel ==   98){ac_channel_2v2v2v(r, 1, 2, 4, 32, 64, 128, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   6,   6, psi);}
  else if (channel ==   99){ac_channel_2v2v2v(r, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   5,   6, psi);}
  else if (channel ==  100){ac_channel_2v2v2v(r, 1, 2, 16, 32, 4, 8, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   5,   5, psi);}
  else if (channel ==  101){ac_channel_2v2v2v(r, 1, 2, 16, 32, 4, 8, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,  23,   5,   5, psi);}
  else if (channel ==  102){ac_channel_2v2v2v(r, 1, 2, 16, 32, 64, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   5,   5, psi);}
  else if (channel ==  103){ac_channel_2v2v2v(r, 1, 2, 16, 32, 64, 128, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   5,   5, psi);}
  else if (channel ==  104){ac_channel_2v2v2v(r, 1, 2, 64, 128, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   5,   5, psi);}
  else if (channel ==  105){ac_channel_2v2v2v(r, 1, 2, 64, 128, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   5,   5, psi);}
  */

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
