#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ag_psp_born(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ag_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppeexnmnmx04_ag_psp_040_ddx_emepvmvmx(no_ps, zero, psi);}
    else if (psi_no_map[no_ps] == 3){ppeexnmnmx04_ag_psp_040_uux_emepvmvmx(no_ps, zero, psi);}
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppeexnmnmx04_ag_psp_240_gg_emepvmvmx(no_ps, zero, psi);}
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
