#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxddx(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ax_psp_240_uux_emepvmvmxddx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(28);
  psi_needed_v_smin[no_ps].resize(28);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   36,   37,   38,   39,   40,   41,   42,   43,   45,   46,   47,   48,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  56
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 56);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   28,   29,   38,   39}; //   8
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 8);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   28,   29,   38,   39}; //   8
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 8);
  int needed_v_smin_3[] = {   0,    1,    4,    6,    8,    9}; //   6
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 6);
  int needed_v_smin_4[] = {   2,    3,    5,    7,   10,   11}; //   6
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 6);
  int needed_v_smin_5[] = {   4,    5,    6,    7,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   30,   31,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  48
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 48);
  int needed_v_smin_6[] = {   4,    5,   34,   44}; //   4
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 4);
  int needed_v_smin_7[] = {   4,    5,   34,   44}; //   4
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 4);
  int needed_v_smin_8[] = {   6,    7,   35,   49}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   6,    7,   35,   49}; //   4
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 4);
  int needed_v_smin_10[] = {   8,    9,   10,   11,   36,   37,   50,   51}; //   8
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 8);
  int needed_v_smin_11[] = {   8,    9,   10,   11,   36,   37,   50,   51}; //   8
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 8);
  int needed_v_smin_12[] = {  12,   13,   22,   23,   26,   27,   47,   48}; //   8
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 8);
  int needed_v_smin_13[] = {  12,   13}; //   2
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 2);
  int needed_v_smin_14[] = {  14,   15,   20,   21,   24,   25,   45,   46}; //   8
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 8);
  int needed_v_smin_15[] = {  14,   15}; //   2
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 2);
  int needed_v_smin_16[] = {  16,   17,   20,   21,   32,   33,   42,   43}; //   8
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 8);
  int needed_v_smin_17[] = {  16,   17}; //   2
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 2);
  int needed_v_smin_18[] = {  18,   19,   22,   23,   30,   31,   40,   41}; //   8
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 8);
  int needed_v_smin_19[] = {  18,   19}; //   2
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 2);
  int needed_v_smin_20[] = {  24,   25,   45,   46}; //   4
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 4);
  int needed_v_smin_21[] = {  26,   27,   47,   48}; //   4
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 4);
  int needed_v_smin_22[] = {  28,   29,   34,   35,   36,   37,   38,   39,   44,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  24
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 24);
  int needed_v_smin_23[] = {  30,   31,   40,   41}; //   4
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 4);
  int needed_v_smin_24[] = {  32,   33,   42,   43}; //   4
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 4);
  int needed_v_smin_25[] = {  52,   53,   54,   55}; //   4
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 4);
  int needed_v_smin_26[] = {  56,   57,   62,   63}; //   4
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 4);
  int needed_v_smin_27[] = {  58,   59,   60,   61}; //   4
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 4);

  psi_v_smax[no_ps].resize(45);
  psi_needed_v_smax[no_ps].resize(45);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   24,   25,   26,   27,   28,   29,   36,   37,   40,   41,   42,   43,   54,   55,   56,   57}; //  30
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 30);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   28,   29}; //   6
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 6);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   28,   29,   34,   35,   36,   37}; //  18
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 18);
  int needed_v_smax_3[] = {   0,    1,    4,    6,    8,    9,   14,   15,   18,   19}; //  10
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 10);
  int needed_v_smax_4[] = {   2,    3,    5,    7,   10,   11,   12,   13,   16,   17}; //  10
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 10);
  int needed_v_smax_5[] = {   4,    5,    6,    7,   16,   17,   18,   19,   22,   23,   30,   31,   32,   33,   34,   35,   45,   46,   47,   48,   60,   61,   62,   63}; //  24
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 24);
  int needed_v_smax_6[] = {   4,    5,   34}; //   3
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 3);
  int needed_v_smax_7[] = {   6,    7,   35}; //   3
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 3);
  int needed_v_smax_8[] = {   8,    9,   10,   11,   36,   37}; //   6
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 6);
  int needed_v_smax_9[] = {  12,   13,   26,   27}; //   4
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 4);
  int needed_v_smax_10[] = {  12,   13}; //   2
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 2);
  int needed_v_smax_11[] = {  14,   15,   24,   25}; //   4
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 4);
  int needed_v_smax_12[] = {  14,   15}; //   2
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 2);
  int needed_v_smax_13[] = {  16,   17,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 4);
  int needed_v_smax_14[] = {  16,   17}; //   2
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 2);
  int needed_v_smax_15[] = {  18,   19,   30,   31}; //   4
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 4);
  int needed_v_smax_16[] = {  18,   19}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  20,   21,   40,   41,   42,   43,   56,   57}; //   8
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 8);
  int needed_v_smax_18[] = {  20,   21,   45,   46}; //   4
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 4);
  int needed_v_smax_19[] = {  20,   21}; //   2
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 2);
  int needed_v_smax_20[] = {  22,   23,   45,   46,   47,   48,   62,   63}; //   8
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 8);
  int needed_v_smax_21[] = {  22,   23,   40,   41}; //   4
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 4);
  int needed_v_smax_22[] = {  22,   23}; //   2
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 2);
  int needed_v_smax_23[] = {  24,   25,   26,   27}; //   4
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 4);
  int needed_v_smax_24[] = {  24,   25,   26,   27}; //   4
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 4);
  int needed_v_smax_25[] = {  28,   29,   34,   35,   36,   37}; //   6
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 6);
  int needed_v_smax_26[] = {  30,   31,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 4);
  int needed_v_smax_27[] = {  30,   31,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 4);
  int needed_v_smax_28[] = {  38,   39,   44,   49,   50,   51,   52,   53,   58,   59}; //  10
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 10);
  int needed_v_smax_29[] = {  38,   39,   50,   51,   52,   53}; //   6
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 6);
  int needed_v_smax_30[] = {  38,   39}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);
  int needed_v_smax_31[] = {  38,   39,   44,   49,   50,   51,   56,   57,   62,   63}; //  10
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 10);
  int needed_v_smax_32[] = {  40,   41,   42,   43,   58,   59,   60,   61}; //   8
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 8);
  int needed_v_smax_33[] = {  42,   43}; //   2
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 2);
  int needed_v_smax_34[] = {  44,   49,   58,   59}; //   4
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 4);
  int needed_v_smax_35[] = {  44}; //   1
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 1);
  int needed_v_smax_36[] = {  45,   46,   47,   48,   52,   53,   54,   55}; //   8
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 8);
  int needed_v_smax_37[] = {  47,   48}; //   2
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 2);
  int needed_v_smax_38[] = {  49}; //   1
  psi_needed_v_smax[no_ps][ 38] = get_vector_from_array_int(needed_v_smax_38, 1);
  int needed_v_smax_39[] = {  50,   51}; //   2
  psi_needed_v_smax[no_ps][ 39] = get_vector_from_array_int(needed_v_smax_39, 2);
  int needed_v_smax_40[] = {  52,   53,   54,   55}; //   4
  psi_needed_v_smax[no_ps][ 40] = get_vector_from_array_int(needed_v_smax_40, 4);
  int needed_v_smax_41[] = {  54,   55}; //   2
  psi_needed_v_smax[no_ps][ 41] = get_vector_from_array_int(needed_v_smax_41, 2);
  int needed_v_smax_42[] = {  56,   57,   62,   63}; //   4
  psi_needed_v_smax[no_ps][ 42] = get_vector_from_array_int(needed_v_smax_42, 4);
  int needed_v_smax_43[] = {  58,   59,   60,   61}; //   4
  psi_needed_v_smax[no_ps][ 43] = get_vector_from_array_int(needed_v_smax_43, 4);
  int needed_v_smax_44[] = {  60,   61}; //   2
  psi_needed_v_smax[no_ps][ 44] = get_vector_from_array_int(needed_v_smax_44, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(70);
  psi_needed_g_p[no_ps].resize(70);
  int needed_g_p_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   24,   25,   26,   27,   28,   29,   36,   37,   40,   41,   42,   43,   54,   55,   56,   57}; //  30
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 30);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   28,   29}; //   6
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 6);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   28}; //   3
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 3);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    4,    6,    8,    9}; //   6
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 6);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,   29}; //   3
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 3);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,    3,    5,    7,   10,   11}; //   6
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 6);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_6[] = {   4,    5,    6,    7,   17,   19,   23,   31,   33,   34,   35,   46,   48,   61,   63}; //  15
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 15);
  psi_container_IS_name.push_back("propagator_23_smin5_smax5");
  int needed_g_p_7[] = {   4,    5,   34}; //   3
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 3);
  psi_container_IS_name.push_back("propagator_0_smin6_smax6");
  int needed_g_p_8[] = {   4,    5,   34}; //   3
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 3);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_9[] = {   6,    7,   35}; //   3
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 3);
  psi_container_IS_name.push_back("propagator_0_smin8_smax7");
  int needed_g_p_10[] = {   6,    7,   35}; //   3
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 3);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_11[] = {   8,    9,   10,   11,   36,   37}; //   6
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 6);
  psi_container_IS_name.push_back("propagator_0_smin10_smax8");
  int needed_g_p_12[] = {   8,   10,   36}; //   3
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 3);
  psi_container_IS_name.push_back("propagator_0_smin11_smax2");
  int needed_g_p_13[] = {   9,   11,   37}; //   3
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 3);
  psi_container_IS_name.push_back("propagator_23_smin11_smax2");
  int needed_g_p_14[] = {  12,   13,   26,   27}; //   4
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax9");
  int needed_g_p_15[] = {  12}; //   1
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax10");
  int needed_g_p_16[] = {  12,   13}; //   2
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 2);
  psi_container_IS_name.push_back("propagator_0_smin13_smax4");
  int needed_g_p_17[] = {  13}; //   1
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 1);
  psi_container_IS_name.push_back("propagator_23_smin5_smax10");
  int needed_g_p_18[] = {  14,   15,   24,   25}; //   4
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax11");
  int needed_g_p_19[] = {  14}; //   1
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax12");
  int needed_g_p_20[] = {  14,   15}; //   2
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax3");
  int needed_g_p_21[] = {  15}; //   1
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 1);
  psi_container_IS_name.push_back("propagator_23_smin5_smax12");
  int needed_g_p_22[] = {  16,   18,   22,   30,   32,   45,   47,   60,   62}; //   9
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 9);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_23[] = {  16,   17,   32,   33}; //   4
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax13");
  int needed_g_p_24[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax14");
  int needed_g_p_25[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax4");
  int needed_g_p_26[] = {  18,   19,   30,   31}; //   4
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax15");
  int needed_g_p_27[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_28[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 2);
  psi_container_IS_name.push_back("propagator_0_smin19_smax3");
  int needed_g_p_29[] = {  20,   40,   42,   56}; //   4
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 4);
  psi_container_IS_name.push_back("propagator_0_smin5_smax17");
  int needed_g_p_30[] = {  20,   21,   45,   46}; //   4
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax18");
  int needed_g_p_31[] = {  20,   21}; //   2
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax19");
  int needed_g_p_32[] = {  21,   41,   43,   57}; //   4
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 4);
  psi_container_IS_name.push_back("propagator_23_smin5_smax17");
  int needed_g_p_33[] = {  22,   23,   45,   46,   47,   48,   62,   63}; //   8
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 8);
  psi_container_IS_name.push_back("propagator_23_smin0_smax20");
  int needed_g_p_34[] = {  22,   23,   40,   41}; //   4
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax21");
  int needed_g_p_35[] = {  22,   23}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_0_smin12_smax22");
  int needed_g_p_36[] = {  24,   25}; //   2
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax23");
  int needed_g_p_37[] = {  24,   26}; //   2
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 2);
  psi_container_IS_name.push_back("propagator_0_smin5_smax24");
  int needed_g_p_38[] = {  25,   27}; //   2
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 2);
  psi_container_IS_name.push_back("propagator_23_smin5_smax24");
  int needed_g_p_39[] = {  26,   27}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin21_smax23");
  int needed_g_p_40[] = {  28,   29,   34,   35,   36,   37}; //   6
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 6);
  psi_container_IS_name.push_back("propagator_0_smin22_smax25");
  int needed_g_p_41[] = {  30,   31}; //   2
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 2);
  psi_container_IS_name.push_back("propagator_0_smin23_smax26");
  int needed_g_p_42[] = {  30,   31,   32,   33}; //   4
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax27");
  int needed_g_p_43[] = {  32,   33}; //   2
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax26");
  int needed_g_p_44[] = {  38,   39,   44,   49,   50,   51,   52,   53,   58,   59}; //  10
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 10);
  psi_container_IS_name.push_back("propagator_0_smin22_smax28");
  int needed_g_p_45[] = {  38,   39,   50,   51,   52,   53}; //   6
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax29");
  int needed_g_p_46[] = {  38,   39}; //   2
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax30");
  int needed_g_p_47[] = {  38}; //   1
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax31");
  int needed_g_p_48[] = {  39}; //   1
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 1);
  psi_container_IS_name.push_back("propagator_23_smin2_smax31");
  int needed_g_p_49[] = {  40,   41}; //   2
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 2);
  psi_container_IS_name.push_back("propagator_0_smin23_smax32");
  int needed_g_p_50[] = {  42,   43}; //   2
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax33");
  int needed_g_p_51[] = {  42,   43}; //   2
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax32");
  int needed_g_p_52[] = {  44,   49,   59}; //   3
  psi_needed_g_p[no_ps][52] = get_vector_from_array_int(needed_g_p_52, 3);
  psi_container_IS_name.push_back("propagator_23_smin5_smax34");
  int needed_g_p_53[] = {  44}; //   1
  psi_needed_g_p[no_ps][53] = get_vector_from_array_int(needed_g_p_53, 1);
  psi_container_IS_name.push_back("propagator_0_smin6_smax35");
  int needed_g_p_54[] = {  44}; //   1
  psi_needed_g_p[no_ps][54] = get_vector_from_array_int(needed_g_p_54, 1);
  psi_container_IS_name.push_back("propagator_23_smin7_smax31");
  int needed_g_p_55[] = {  45,   46}; //   2
  psi_needed_g_p[no_ps][55] = get_vector_from_array_int(needed_g_p_55, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax36");
  int needed_g_p_56[] = {  47,   48}; //   2
  psi_needed_g_p[no_ps][56] = get_vector_from_array_int(needed_g_p_56, 2);
  psi_container_IS_name.push_back("propagator_0_smin12_smax37");
  int needed_g_p_57[] = {  47,   48}; //   2
  psi_needed_g_p[no_ps][57] = get_vector_from_array_int(needed_g_p_57, 2);
  psi_container_IS_name.push_back("propagator_0_smin21_smax36");
  int needed_g_p_58[] = {  49}; //   1
  psi_needed_g_p[no_ps][58] = get_vector_from_array_int(needed_g_p_58, 1);
  psi_container_IS_name.push_back("propagator_0_smin8_smax38");
  int needed_g_p_59[] = {  49}; //   1
  psi_needed_g_p[no_ps][59] = get_vector_from_array_int(needed_g_p_59, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax31");
  int needed_g_p_60[] = {  50,   51}; //   2
  psi_needed_g_p[no_ps][60] = get_vector_from_array_int(needed_g_p_60, 2);
  psi_container_IS_name.push_back("propagator_0_smin10_smax39");
  int needed_g_p_61[] = {  50}; //   1
  psi_needed_g_p[no_ps][61] = get_vector_from_array_int(needed_g_p_61, 1);
  psi_container_IS_name.push_back("propagator_0_smin11_smax31");
  int needed_g_p_62[] = {  51}; //   1
  psi_needed_g_p[no_ps][62] = get_vector_from_array_int(needed_g_p_62, 1);
  psi_container_IS_name.push_back("propagator_23_smin11_smax31");
  int needed_g_p_63[] = {  52,   54}; //   2
  psi_needed_g_p[no_ps][63] = get_vector_from_array_int(needed_g_p_63, 2);
  psi_container_IS_name.push_back("propagator_0_smin5_smax40");
  int needed_g_p_64[] = {  53,   55}; //   2
  psi_needed_g_p[no_ps][64] = get_vector_from_array_int(needed_g_p_64, 2);
  psi_container_IS_name.push_back("propagator_23_smin5_smax40");
  int needed_g_p_65[] = {  54,   55}; //   2
  psi_needed_g_p[no_ps][65] = get_vector_from_array_int(needed_g_p_65, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax41");
  int needed_g_p_66[] = {  56,   57,   62,   63}; //   4
  psi_needed_g_p[no_ps][66] = get_vector_from_array_int(needed_g_p_66, 4);
  psi_container_IS_name.push_back("propagator_0_smin22_smax42");
  int needed_g_p_67[] = {  58}; //   1
  psi_needed_g_p[no_ps][67] = get_vector_from_array_int(needed_g_p_67, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax34");
  int needed_g_p_68[] = {  58,   59,   60,   61}; //   4
  psi_needed_g_p[no_ps][68] = get_vector_from_array_int(needed_g_p_68, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax43");
  int needed_g_p_69[] = {  60,   61}; //   2
  psi_needed_g_p[no_ps][69] = get_vector_from_array_int(needed_g_p_69, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax44");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(3);
  psi_needed_g_f[no_ps].resize(3);
  int needed_g_f_0[] = {  52,   53,   54,   55}; //   4
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax36");
  int needed_g_f_1[] = {  56,   57,   62,   63}; //   4
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax31");
  int needed_g_f_2[] = {  58,   59,   60,   61}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax32");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(12);
  psi_needed_g_t[no_ps].resize(12);
  int needed_g_t_0[] = {  24,   25,   26,   27,   52,   53,   54,   55}; //   8
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_1[] = {  28,   29,   34,   35,   36,   37,   56,   57,   62,   63}; //  10
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_2[] = {  30,   31,   32,   33,   58,   59,   60,   61}; //   8
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__48_204");
  int needed_g_t_3[] = {  38,   39,   44,   49,   50,   51}; //   6
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_4[] = {  40,   41,   42,   43}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_5[] = {  45,   46,   47,   48}; //   4
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_6[] = {  52,   53}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__192_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__192_48");
  int needed_g_t_7[] = {  54,   55}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_8[] = {  56,   57}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__48_12");
  int needed_g_t_9[] = {  58,   59}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__192_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__192_12");
  int needed_g_t_10[] = {  60,   61}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_11[] = {  62,   63}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__12_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(29);
  psi_needed_g_d[no_ps].resize(29);
  int needed_g_d_0[] = {   0,    1,    4,    6,    8,    9,   14,   15,   18,   19}; //  10
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_1[] = {   0,    1,    4,    6,    8,    9}; //   6
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_2[] = {   0,    1,    2,    3,   28,   29,   38,   39}; //   8
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_3[] = {   0,    1,    2,    3,   28,   29,   38,   39}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_4[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   36,   37,   38,   39,   40,   41,   42,   43,   45,   46,   47,   48,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  56
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 56);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_5[] = {   2,    3,    5,    7,   10,   11,   12,   13,   16,   17}; //  10
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_6[] = {   2,    3,    5,    7,   10,   11}; //   6
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 6);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_7[] = {   4,    5,   34,   44}; //   4
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_8[] = {   4,    5,   34,   44}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_9[] = {   4,    5,    6,    7,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   30,   31,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  48
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 48);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_10[] = {   6,    7,   35,   49}; //   4
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_11[] = {   6,    7,   35,   49}; //   4
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 4);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_12[] = {   8,    9,   10,   11,   36,   37,   50,   51}; //   8
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_13[] = {   8,    9,   10,   11,   36,   37,   50,   51}; //   8
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 8);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_14[] = {  12,   13}; //   2
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_15[] = {  12,   13,   22,   23,   26,   27,   47,   48}; //   8
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 8);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_16[] = {  14,   15}; //   2
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_17[] = {  14,   15,   20,   21,   24,   25,   45,   46}; //   8
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 8);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_18[] = {  16,   17}; //   2
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_19[] = {  16,   17,   20,   21,   32,   33,   42,   43}; //   8
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 8);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_20[] = {  18,   19}; //   2
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_21[] = {  18,   19,   22,   23,   30,   31,   40,   41}; //   8
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 8);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_22[] = {  20,   21}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__76_176");
  psi_container_IS_name.push_back("phi_of_decay_252__76_176");
  int needed_g_d_23[] = {  22,   23}; //   2
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__112_140");
  psi_container_IS_name.push_back("phi_of_decay_252__112_140");
  int needed_g_d_24[] = {  24,   25,   45,   46}; //   4
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__64_176");
  psi_container_IS_name.push_back("phi_of_decay_240__64_176");
  int needed_g_d_25[] = {  26,   27,   47,   48}; //   4
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__128_112");
  psi_container_IS_name.push_back("phi_of_decay_240__128_112");
  int needed_g_d_26[] = {  28,   29,   34,   35,   36,   37,   38,   39,   44,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  24
  psi_needed_g_d[no_ps][26] = get_vector_from_array_int(needed_g_d_26, 24);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_27[] = {  30,   31,   40,   41}; //   4
  psi_needed_g_d[no_ps][27] = get_vector_from_array_int(needed_g_d_27, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__64_140");
  psi_container_IS_name.push_back("phi_of_decay_204__64_140");
  int needed_g_d_28[] = {  32,   33,   42,   43}; //   4
  psi_needed_g_d[no_ps][28] = get_vector_from_array_int(needed_g_d_28, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__128_76");
  psi_container_IS_name.push_back("phi_of_decay_204__128_76");

  psi_c_p[no_ps].resize(64);
  psi_c_f[no_ps].resize(64);
  psi_c_t[no_ps].resize(64);
  psi_c_d[no_ps].resize(64);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {}; //   0
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 0);
  int c_d_0[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 5);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {}; //   0
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 0);
  int c_d_1[] = {  0,   1,   2,   3,   4}; //   5
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 5);

  int c_p_2[] = {  0,   1,   2,   5}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {}; //   0
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 0);
  int c_d_2[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 5);

  int c_p_3[] = {  0,   1,   4,   5}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {}; //   0
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 0);
  int c_d_3[] = {  5,   6,   2,   3,   4}; //   5
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 5);

  int c_p_4[] = {  6,   7,   8,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {}; //   0
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 0);
  int c_d_4[] = {  0,   1,   7,   8,   9}; //   5
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 5);

  int c_p_5[] = {  6,   7,   8,   5}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {}; //   0
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 0);
  int c_d_5[] = {  5,   6,   7,   8,   9}; //   5
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 5);

  int c_p_6[] = {  6,   9,  10,   3}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {}; //   0
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 0);
  int c_d_6[] = {  0,   1,  10,  11,   9}; //   5
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 5);

  int c_p_7[] = {  6,   9,  10,   5}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {}; //   0
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 0);
  int c_d_7[] = {  5,   6,  10,  11,   9}; //   5
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 5);

  int c_p_8[] = {  0,  11,  12,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {}; //   0
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 0);
  int c_d_8[] = {  0,   1,  12,  13,   4}; //   5
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 5);

  int c_p_9[] = {  0,  11,  13,   3}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {}; //   0
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 0);
  int c_d_9[] = {  0,   1,  12,  13,   4}; //   5
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 5);

  int c_p_10[] = {  0,  11,  12,   5}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {}; //   0
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 0);
  int c_d_10[] = {  5,   6,  12,  13,   4}; //   5
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 5);

  int c_p_11[] = {  0,  11,  13,   5}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {}; //   0
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 0);
  int c_d_11[] = {  5,   6,  12,  13,   4}; //   5
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 5);

  int c_p_12[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = {  5,  14,   9,  15,   4}; //   5
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 5);

  int c_p_13[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = {  5,  14,   9,  15,   4}; //   5
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 5);

  int c_p_14[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = {  0,  16,   9,  17,   4}; //   5
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 5);

  int c_p_15[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = {  0,  16,   9,  17,   4}; //   5
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 5);

  int c_p_16[] = { 22,  23,  24,  25}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = {  5,  18,   4,  19,   9}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = {  6,  23,  24,  25}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = {  5,  18,   4,  19,   9}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = { 22,  26,  27,  28}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = {  0,  20,   4,  21,   9}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = {  6,  26,  27,  28}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = {  0,  20,   4,  21,   9}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  0,  29,  30,  31}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 22,  19,  17,   9,   4}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,  32,  30,  31}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 22,  19,  17,   9,   4}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = { 22,  33,  34,  35}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 23,  15,  21,   4,   9}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  6,  33,  34,  35}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 23,  15,  21,   4,   9}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  0,  18,  36,  37}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  0}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = {  9,  24,  17,   4}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  0,  18,  36,  38}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  0}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = {  9,  24,  17,   4}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = {  0,  14,  39,  37}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = {  9,  25,  15,   4}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = {  0,  14,  39,  38}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = {  9,  25,  15,   4}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = {  0,   1,   2,  40}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  1}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = { 26,   2,   3,   4}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  0,   1,   4,  40}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  1}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = { 26,   2,   3,   4}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = { 22,  26,  41,  42}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  2}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = {  4,  27,  21,   9}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = {  6,  26,  41,  42}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  2}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = {  4,  27,  21,   9}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = { 22,  23,  43,  42}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {  2}; //   1
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 1);
  int c_d_32[] = {  4,  28,  19,   9}; //   4
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 4);

  int c_p_33[] = {  6,  23,  43,  42}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {  2}; //   1
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 1);
  int c_d_33[] = {  4,  28,  19,   9}; //   4
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 4);

  int c_p_34[] = {  6,   7,   8,  40}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {  1}; //   1
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 1);
  int c_d_34[] = { 26,   7,   8,   9}; //   4
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 4);

  int c_p_35[] = {  6,   9,  10,  40}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {  1}; //   1
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 1);
  int c_d_35[] = { 26,  10,  11,   9}; //   4
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 4);

  int c_p_36[] = {  0,  11,  12,  40}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  1}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 26,  12,  13,   4}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = {  0,  11,  13,  40}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  1}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 26,  12,  13,   4}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = { 44,  45,  46,  47}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {  3}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = {  2,   3,   4,  26}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = { 44,  45,  46,  48}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {  3}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = {  2,   3,   4,  26}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = {  0,  29,  34,  49}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  4}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 27,  21,   9,   4}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,  32,  34,  49}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  4}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 27,  21,   9,   4}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,  29,  50,  51}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  4}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 28,  19,   9,   4}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  0,  32,  50,  51}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  4}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 28,  19,   9,   4}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = { 44,  52,  53,  54}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  3}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = {  7,   8,   9,  26}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = { 22,  33,  30,  55}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  5}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 24,  17,   4,   9}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  6,  33,  30,  55}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  5}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 24,  17,   4,   9}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = { 22,  33,  56,  57}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  5}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 25,  15,   4,   9}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = {  6,  33,  56,  57}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  5}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 25,  15,   4,   9}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = { 44,  52,  58,  59}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  3}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 10,  11,   9,  26}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = { 44,  45,  60,  61}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {  3}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 12,  13,   4,  26}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = { 44,  45,  60,  62}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {  3}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 12,  13,   4,  26}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = { 44,  45,  63}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  0}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  0,   6}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  9,   4,  26}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = { 44,  45,  64}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  0,   6}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  9,   4,  26}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,  65,  63}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  0}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  0,   7}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  9,  26,   4}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,  65,  64}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  0}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  0,   7}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  9,  26,   4}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  0,  29,  66}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  1,   8}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = { 26,   9,   4}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  0,  32,  66}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  1}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  1,   8}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = { 26,   9,   4}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = { 44,  67,  68}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  2}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  2,   9}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  4,   9,  26}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = { 44,  52,  68}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  2}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  2,   9}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  4,   9,  26}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = { 22,  69,  68}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  2}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  2,  10}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  4,  26,   9}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  6,  69,  68}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  2}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  2,  10}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  4,  26,   9}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = { 22,  33,  66}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  1}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  1,  11}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = { 26,   4,   9}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  6,  33,  66}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  1}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  1,  11}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = { 26,   4,   9}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
