#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ax_psp_240_uux_emepvmvmxuux(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ax_psp_240_uux_emepvmvmxuux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(28);
  psi_needed_v_smin[no_ps].resize(28);
  int needed_v_smin_0[] = {   0,    1,    4,    5,    6,    7,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   44,   45,   46,   47,   48,   49,   50,   51,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  101,  102,  103,  104,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; // 112
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 112);
  int needed_v_smin_1[] = {   0,    1,    6,    7,   16,   17,   18,   19,   40,   41,   50,   51,   68,   69,   94,   95}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    6,    7,   16,   17,   18,   19,   40,   41,   50,   51,   68,   69,   94,   95}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   2,    3,    8,    9,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   42,   43,   46,   47,   48,   49,   52,   53,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   70,   71,   72,   73,   74,   75,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  96
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 96);
  int needed_v_smin_4[] = {   2,    8,   20,   21,   42,   52,   74,  100}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   2,    8,   20,   21,   42,   52,   74,  100}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   3,    9,   22,   23,   43,   53,   75,  105}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   3,    9,   22,   23,   43,   53,   75,  105}; //   8
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 8);
  int needed_v_smin_8[] = {   4,    5,   10,   11,   24,   25,   26,   27,   44,   45,   54,   55,   76,   77,  106,  107}; //  16
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 16);
  int needed_v_smin_9[] = {   4,    5,   10,   11,   24,   25,   26,   27,   44,   45,   54,   55,   76,   77,  106,  107}; //  16
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 16);
  int needed_v_smin_10[] = {   6,    7,    8,    9,   10,   11,   18,   19,   21,   23,   26,   27,    0,    1,    2,    3,    4,    5}; //  18
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 18);
  int needed_v_smin_11[] = {  12,   13,   28,   29,   38,   39,   60,   61,   66,   67,   88,   89,   92,   93,  103,  104,   56,   57}; //  18
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 18);
  int needed_v_smin_12[] = {  12,   13,   28,   29,   56,   57,   60,   61}; //   8
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 8);
  int needed_v_smin_13[] = {  14,   15,   32,   33,   36,   37,   62,   63,   72,   73,   86,   87,   90,   91,   98,   99,   58,   59}; //  18
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 18);
  int needed_v_smin_14[] = {  14,   15,   32,   33,   58,   59,   62,   63}; //   8
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 8);
  int needed_v_smin_15[] = {  16,   17,   20,   22,   24,   25,   40,   41,   42,   43,   44,   45,   50,   51,   52,   53,   54,   55}; //  18
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 18);
  int needed_v_smin_16[] = {  30,   31,   36,   37,   46,   47,   64,   65,   78,   79,   86,   87,  101,  102,  110,  111,  114,  115}; //  18
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 18);
  int needed_v_smin_17[] = {  30,   31,   46,   47,  110,  111,  114,  115}; //   8
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 8);
  int needed_v_smin_18[] = {  34,   35,   38,   39,   48,   49,   70,   71,   80,   81,   88,   89,   96,   97,  108,  109,  112,  113}; //  18
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 18);
  int needed_v_smin_19[] = {  34,   35,   48,   49,  108,  109,  112,  113}; //   8
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 8);
  int needed_v_smin_20[] = {  64,   65,  101,  102,   78,   79}; //   6
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 6);
  int needed_v_smin_21[] = {  66,   67,  103,  104,   92,   93}; //   6
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 6);
  int needed_v_smin_22[] = {  68,   69,   74,   75,   76,   77,   94,   95,  100,  105,  106,  107,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,   82,   83,   84,   85}; //  28
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 28);
  int needed_v_smin_23[] = {  70,   71,   96,   97,   80,   81}; //   6
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 6);
  int needed_v_smin_24[] = {  72,   73,   98,   99,   90,   91}; //   6
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 6);
  int needed_v_smin_25[] = {  82,   83,  116,  117,  118,  119}; //   6
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 6);
  int needed_v_smin_26[] = {  84,   85,  122,  123,  124,  125}; //   6
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 6);
  int needed_v_smin_27[] = { 120,  121,  126,  127}; //   4
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 4);

  psi_v_smax[no_ps].resize(45);
  psi_needed_v_smax[no_ps].resize(45);
  int needed_v_smax_0[] = {   0,    1,    4,    5,    6,    7,   10,   11,   12,   13,   16,   17,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   36,   37,   40,   41,   44,   45,   46,   47,   50,   51,   54,   55,   56,   57,   60,   61,   64,   65,   66,   67,   68,   69,   76,   77,   78,   79,   82,   83,   86,   87,   90,   91,   96,   97,   98,   99,  108,  109,  112,  113,  118,  119,  120,  121}; //  66
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 66);
  int needed_v_smax_1[] = {   0,    1,    6,    7,   16,   17,   18,   19,   40,   41,   50,   51,   68,   69}; //  14
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 14);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   40,   41,   42,   43,   44,   45,   50,   51,   52,   53,   54,   55,   68,   69,   74,   75,   76,   77}; //  42
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 42);
  int needed_v_smax_3[] = {   2,    3,    8,    9,   14,   15,   20,   21,   22,   23,   32,   33,   34,   35,   38,   39,   42,   43,   48,   49,   52,   53,   58,   59,   62,   63,   70,   71,   72,   73,   74,   75,   80,   81,   84,   85,   88,   89,   92,   93,  101,  102,  103,  104,  110,  111,  114,  115,  124,  125,  126,  127}; //  52
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 52);
  int needed_v_smax_4[] = {   2,    8,   20,   21,   42,   52,   74}; //   7
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 7);
  int needed_v_smax_5[] = {   3,    9,   22,   23,   43,   53,   75}; //   7
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 7);
  int needed_v_smax_6[] = {   4,    5,   10,   11,   24,   25,   26,   27,   44,   45,   54,   55,   76,   77}; //  14
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 14);
  int needed_v_smax_7[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   18,   19,   21,   23,   26,   27,   28,   29,   32,   33,    0,    1,    2,    3,    4,    5,   56,   57,   58,   59,   60,   61,   62,   63}; //  34
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 34);
  int needed_v_smax_8[] = {  12,   13,   28,   29,   60,   61,   66,   67}; //   8
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 8);
  int needed_v_smax_9[] = {  12,   13,   28,   29,   60,   61}; //   6
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 6);
  int needed_v_smax_10[] = {  14,   15,   32,   33,   62,   63,   72,   73}; //   8
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 8);
  int needed_v_smax_11[] = {  14,   15,   32,   33,   62,   63}; //   6
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 6);
  int needed_v_smax_12[] = {  16,   17,   20,   22,   24,   25,   30,   31,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,  108,  109,  110,  111,  112,  113,  114,  115}; //  34
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 34);
  int needed_v_smax_13[] = {  30,   31,   46,   47,   64,   65,   78,   79,   86,   87}; //  10
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 10);
  int needed_v_smax_14[] = {  30,   31,   46,   47,   78,   79,   86,   87}; //   8
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 8);
  int needed_v_smax_15[] = {  34,   35,   48,   49,   70,   71,   80,   81,   88,   89}; //  10
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 10);
  int needed_v_smax_16[] = {  34,   35,   48,   49,   80,   81,   88,   89}; //   8
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 8);
  int needed_v_smax_17[] = {  36,   37,   56,   57,   82,   83,   90,   91,   96,   97,   98,   99,  108,  109,  112,  113,  120,  121}; //  18
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 18);
  int needed_v_smax_18[] = {  36,   37,  101,  102,  110,  111,  114,  115}; //   8
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 8);
  int needed_v_smax_19[] = {  36,   37,   86,   87}; //   4
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 4);
  int needed_v_smax_20[] = {  38,   39,   58,   59,   84,   85,   92,   93,  101,  102,  103,  104,  110,  111,  114,  115,  126,  127}; //  18
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 18);
  int needed_v_smax_21[] = {  38,   39,   96,   97,  108,  109,  112,  113}; //   8
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 8);
  int needed_v_smax_22[] = {  38,   39,   88,   89}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  64,   65,   66,   67}; //   4
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 4);
  int needed_v_smax_24[] = {  64,   65,   66,   67}; //   4
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 4);
  int needed_v_smax_25[] = {  68,   69,   74,   75,   76,   77}; //   6
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 6);
  int needed_v_smax_26[] = {  70,   71,   72,   73}; //   4
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 4);
  int needed_v_smax_27[] = {  70,   71,   72,   73}; //   4
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 4);
  int needed_v_smax_28[] = {  90,   91,   98,   99,   58,   59}; //   6
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 6);
  int needed_v_smax_29[] = {  92,   93,  103,  104,   56,   57}; //   6
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 6);
  int needed_v_smax_30[] = {  94,   95,  100,  105,  106,  107,  116,  117,  122,  123}; //  10
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 10);
  int needed_v_smax_31[] = {  94,   95,  106,  107,  116,  117}; //   6
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 6);
  int needed_v_smax_32[] = {  94,   95}; //   2
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 2);
  int needed_v_smax_33[] = {  94,   95,  100,  105,  106,  107,  120,  121,  126,  127}; //  10
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 10);
  int needed_v_smax_34[] = {  96,   97,   98,   99,   80,   81,   84,   85,   90,   91,  122,  123,  124,  125}; //  14
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 14);
  int needed_v_smax_35[] = { 100,  105,  122,  123}; //   4
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 4);
  int needed_v_smax_36[] = { 100}; //   1
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 1);
  int needed_v_smax_37[] = { 101,  102,  103,  104,   78,   79,   82,   83,   92,   93,  116,  117,  118,  119}; //  14
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 14);
  int needed_v_smax_38[] = { 105}; //   1
  psi_needed_v_smax[no_ps][ 38] = get_vector_from_array_int(needed_v_smax_38, 1);
  int needed_v_smax_39[] = { 106,  107}; //   2
  psi_needed_v_smax[no_ps][ 39] = get_vector_from_array_int(needed_v_smax_39, 2);
  int needed_v_smax_40[] = { 116,  117,  118,  119}; //   4
  psi_needed_v_smax[no_ps][ 40] = get_vector_from_array_int(needed_v_smax_40, 4);
  int needed_v_smax_41[] = { 118,  119}; //   2
  psi_needed_v_smax[no_ps][ 41] = get_vector_from_array_int(needed_v_smax_41, 2);
  int needed_v_smax_42[] = { 120,  121,  126,  127,   82,   83,   84,   85}; //   8
  psi_needed_v_smax[no_ps][ 42] = get_vector_from_array_int(needed_v_smax_42, 8);
  int needed_v_smax_43[] = { 122,  123,  124,  125}; //   4
  psi_needed_v_smax[no_ps][ 43] = get_vector_from_array_int(needed_v_smax_43, 4);
  int needed_v_smax_44[] = { 124,  125}; //   2
  psi_needed_v_smax[no_ps][ 44] = get_vector_from_array_int(needed_v_smax_44, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(70);
  psi_needed_g_p[no_ps].resize(70);
  int needed_g_p_0[] = {   0,    1,    4,    5,    6,    7,   10,   11,   12,   13,   16,   17,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   36,   37,   40,   41,   44,   45,   46,   47,   50,   51,   54,   55,   56,   57,   60,   61,   64,   65,   66,   67,   68,   69,   76,   77,   78,   79,   82,   83,   86,   87,   90,   91,   96,   97,   98,   99,  108,  109,  112,  113,  118,  119,  120,  121}; //  66
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 66);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    6,    7,   16,   17,   18,   19,   40,   41,   50,   51,   68,   69}; //  14
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 14);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    6,   16,   18,   40,   50,   68}; //   7
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 7);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    7,   17,   19,   41,   51,   69}; //   7
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 7);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   2,    3,    8,    9,   15,   20,   21,   22,   23,   33,   35,   39,   42,   43,   49,   52,   53,   59,   63,   71,   73,   74,   75,   81,   85,   89,   93,  102,  104,  111,  115,  125,  127}; //  33
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 33);
  psi_container_IS_name.push_back("propagator_23_smin3_smax3");
  int needed_g_p_5[] = {   2,    8,   20,   21,   42,   52,   74}; //   7
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 7);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_6[] = {   2,    8,   20,   21,   42,   52,   74}; //   7
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 7);
  psi_container_IS_name.push_back("propagator_23_smin5_smax2");
  int needed_g_p_7[] = {   3,    9,   22,   23,   43,   53,   75}; //   7
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 7);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_8[] = {   3,    9,   22,   23,   43,   53,   75}; //   7
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 7);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_9[] = {   4,    5,   10,   11,   24,   25,   26,   27,   44,   45,   54,   55,   76,   77}; //  14
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 14);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_10[] = {   4,   10,   24,   26,   44,   54,   76}; //   7
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 7);
  psi_container_IS_name.push_back("propagator_0_smin9_smax2");
  int needed_g_p_11[] = {   5,   11,   25,   27,   45,   55,   77}; //   7
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 7);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_12[] = {   6,    7,    8,    9,   10,   11,   18,   19,   21,   23,   26,   27}; //  12
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 12);
  psi_container_IS_name.push_back("propagator_0_smin10_smax7");
  int needed_g_p_13[] = {  12,   13,   28,   29,   60,   61,   66,   67}; //   8
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax8");
  int needed_g_p_14[] = {  12,   28,   60}; //   3
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 3);
  psi_container_IS_name.push_back("propagator_0_smin3_smax9");
  int needed_g_p_15[] = {  12,   13,   28,   29}; //   4
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax7");
  int needed_g_p_16[] = {  13,   29,   61}; //   3
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 3);
  psi_container_IS_name.push_back("propagator_23_smin3_smax9");
  int needed_g_p_17[] = {  14,   32,   34,   38,   48,   58,   62,   70,   72,   80,   84,   88,   92,  101,  103,  110,  114,  124,  126}; //  19
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 19);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_18[] = {  14,   15,   32,   33,   62,   63,   72,   73}; //   8
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 8);
  psi_container_IS_name.push_back("propagator_0_smin13_smax10");
  int needed_g_p_19[] = {  14,   15,   32,   33,   62,   63}; //   6
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax11");
  int needed_g_p_20[] = {  14,   15,   32,   33}; //   4
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax7");
  int needed_g_p_21[] = {  16,   17,   20,   22,   24,   25,   40,   41,   42,   43,   44,   45}; //  12
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 12);
  psi_container_IS_name.push_back("propagator_0_smin15_smax12");
  int needed_g_p_22[] = {  30,   31,   46,   47,   64,   65,   78,   79,   86,   87}; //  10
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 10);
  psi_container_IS_name.push_back("propagator_0_smin16_smax13");
  int needed_g_p_23[] = {  30,   46,   78,   86}; //   4
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 4);
  psi_container_IS_name.push_back("propagator_0_smin3_smax14");
  int needed_g_p_24[] = {  30,   31,   46,   47}; //   4
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax12");
  int needed_g_p_25[] = {  31,   47,   79,   87}; //   4
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 4);
  psi_container_IS_name.push_back("propagator_23_smin3_smax14");
  int needed_g_p_26[] = {  34,   35,   48,   49,   70,   71,   80,   81,   88,   89}; //  10
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 10);
  psi_container_IS_name.push_back("propagator_0_smin18_smax15");
  int needed_g_p_27[] = {  34,   35,   48,   49,   80,   81,   88,   89}; //   8
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 8);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_28[] = {  34,   35,   48,   49}; //   4
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 4);
  psi_container_IS_name.push_back("propagator_0_smin19_smax12");
  int needed_g_p_29[] = {  36,   56,   82,   90,   96,   98,  108,  112,  120}; //   9
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 9);
  psi_container_IS_name.push_back("propagator_0_smin3_smax17");
  int needed_g_p_30[] = {  36,   37,  101,  102,  110,  111}; //   6
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 6);
  psi_container_IS_name.push_back("propagator_0_smin16_smax18");
  int needed_g_p_31[] = {  36,   37,   86,   87}; //   4
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 4);
  psi_container_IS_name.push_back("propagator_0_smin13_smax19");
  int needed_g_p_32[] = {  37,   57,   83,   91,   97,   99,  109,  113,  121}; //   9
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 9);
  psi_container_IS_name.push_back("propagator_23_smin3_smax17");
  int needed_g_p_33[] = {  38,   39,   58,   59,   84,   85,   92,   93,  101,  102,  103,  104,  110,  111,  114,  115,  126,  127}; //  18
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 18);
  psi_container_IS_name.push_back("propagator_23_smin0_smax20");
  int needed_g_p_34[] = {  38,   39,   96,   97,  108,  109}; //   6
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 6);
  psi_container_IS_name.push_back("propagator_0_smin18_smax21");
  int needed_g_p_35[] = {  38,   39,   88,   89}; //   4
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 4);
  psi_container_IS_name.push_back("propagator_0_smin11_smax22");
  int needed_g_p_36[] = {  64,   65}; //   2
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax23");
  int needed_g_p_37[] = {  64,   66}; //   2
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 2);
  psi_container_IS_name.push_back("propagator_0_smin3_smax24");
  int needed_g_p_38[] = {  65,   67}; //   2
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 2);
  psi_container_IS_name.push_back("propagator_23_smin3_smax24");
  int needed_g_p_39[] = {  66,   67}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin21_smax23");
  int needed_g_p_40[] = {  68,   69,   74,   75,   76,   77}; //   6
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 6);
  psi_container_IS_name.push_back("propagator_0_smin22_smax25");
  int needed_g_p_41[] = {  70,   71}; //   2
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 2);
  psi_container_IS_name.push_back("propagator_0_smin23_smax26");
  int needed_g_p_42[] = {  70,   71,   72,   73}; //   4
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax27");
  int needed_g_p_43[] = {  72,   73}; //   2
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax26");
  int needed_g_p_44[] = {  90,   91,   98,   99}; //   4
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 4);
  psi_container_IS_name.push_back("propagator_0_smin13_smax28");
  int needed_g_p_45[] = {  92,   93,  103,  104}; //   4
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 4);
  psi_container_IS_name.push_back("propagator_0_smin11_smax29");
  int needed_g_p_46[] = {  94,   95,  100,  105,  106,  107,  116,  117,  122,  123}; //  10
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 10);
  psi_container_IS_name.push_back("propagator_0_smin22_smax30");
  int needed_g_p_47[] = {  94,   95,  106,  107,  116,  117}; //   6
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax31");
  int needed_g_p_48[] = {  94,   95}; //   2
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax32");
  int needed_g_p_49[] = {  94}; //   1
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax33");
  int needed_g_p_50[] = {  95}; //   1
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 1);
  psi_container_IS_name.push_back("propagator_23_smin2_smax33");
  int needed_g_p_51[] = {  96,   97}; //   2
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 2);
  psi_container_IS_name.push_back("propagator_0_smin23_smax34");
  int needed_g_p_52[] = {  98,   99}; //   2
  psi_needed_g_p[no_ps][52] = get_vector_from_array_int(needed_g_p_52, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax34");
  int needed_g_p_53[] = { 100,  105,  123}; //   3
  psi_needed_g_p[no_ps][53] = get_vector_from_array_int(needed_g_p_53, 3);
  psi_container_IS_name.push_back("propagator_23_smin3_smax35");
  int needed_g_p_54[] = { 100}; //   1
  psi_needed_g_p[no_ps][54] = get_vector_from_array_int(needed_g_p_54, 1);
  psi_container_IS_name.push_back("propagator_0_smin4_smax36");
  int needed_g_p_55[] = { 100}; //   1
  psi_needed_g_p[no_ps][55] = get_vector_from_array_int(needed_g_p_55, 1);
  psi_container_IS_name.push_back("propagator_23_smin5_smax33");
  int needed_g_p_56[] = { 101,  102}; //   2
  psi_needed_g_p[no_ps][56] = get_vector_from_array_int(needed_g_p_56, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax37");
  int needed_g_p_57[] = { 103,  104}; //   2
  psi_needed_g_p[no_ps][57] = get_vector_from_array_int(needed_g_p_57, 2);
  psi_container_IS_name.push_back("propagator_0_smin21_smax37");
  int needed_g_p_58[] = { 105}; //   1
  psi_needed_g_p[no_ps][58] = get_vector_from_array_int(needed_g_p_58, 1);
  psi_container_IS_name.push_back("propagator_0_smin6_smax38");
  int needed_g_p_59[] = { 105}; //   1
  psi_needed_g_p[no_ps][59] = get_vector_from_array_int(needed_g_p_59, 1);
  psi_container_IS_name.push_back("propagator_23_smin7_smax33");
  int needed_g_p_60[] = { 106,  107}; //   2
  psi_needed_g_p[no_ps][60] = get_vector_from_array_int(needed_g_p_60, 2);
  psi_container_IS_name.push_back("propagator_0_smin8_smax39");
  int needed_g_p_61[] = { 106}; //   1
  psi_needed_g_p[no_ps][61] = get_vector_from_array_int(needed_g_p_61, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax33");
  int needed_g_p_62[] = { 107}; //   1
  psi_needed_g_p[no_ps][62] = get_vector_from_array_int(needed_g_p_62, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax33");
  int needed_g_p_63[] = { 116,  118}; //   2
  psi_needed_g_p[no_ps][63] = get_vector_from_array_int(needed_g_p_63, 2);
  psi_container_IS_name.push_back("propagator_0_smin3_smax40");
  int needed_g_p_64[] = { 117,  119}; //   2
  psi_needed_g_p[no_ps][64] = get_vector_from_array_int(needed_g_p_64, 2);
  psi_container_IS_name.push_back("propagator_23_smin3_smax40");
  int needed_g_p_65[] = { 118,  119}; //   2
  psi_needed_g_p[no_ps][65] = get_vector_from_array_int(needed_g_p_65, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax41");
  int needed_g_p_66[] = { 120,  121,  126,  127}; //   4
  psi_needed_g_p[no_ps][66] = get_vector_from_array_int(needed_g_p_66, 4);
  psi_container_IS_name.push_back("propagator_0_smin22_smax42");
  int needed_g_p_67[] = { 122}; //   1
  psi_needed_g_p[no_ps][67] = get_vector_from_array_int(needed_g_p_67, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax35");
  int needed_g_p_68[] = { 122,  123,  124,  125}; //   4
  psi_needed_g_p[no_ps][68] = get_vector_from_array_int(needed_g_p_68, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax43");
  int needed_g_p_69[] = { 124,  125}; //   2
  psi_needed_g_p[no_ps][69] = get_vector_from_array_int(needed_g_p_69, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax44");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(18);
  psi_needed_g_f[no_ps].resize(18);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5}; //   6
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax7");
  int needed_g_f_1[] = {  50,   51,   52,   53,   54,   55}; //   6
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax12");
  int needed_g_f_2[] = {  56,   57}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax29");
  int needed_g_f_3[] = {  56,   57,   60,   61}; //   4
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax7");
  int needed_g_f_4[] = {  58,   59}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax28");
  int needed_g_f_5[] = {  58,   59,   62,   63}; //   4
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax7");
  int needed_g_f_6[] = {  78,   79}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax37");
  int needed_g_f_7[] = {  80,   81}; //   2
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax34");
  int needed_g_f_8[] = {  82,   83,   84,   85}; //   4
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax42");
  int needed_g_f_9[] = {  82,   83,  116,  117,  118,  119}; //   6
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax37");
  int needed_g_f_10[] = {  84,   85,  122,  123,  124,  125}; //   6
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax34");
  int needed_g_f_11[] = {  90,   91}; //   2
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin24_smax34");
  int needed_g_f_12[] = {  92,   93}; //   2
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax37");
  int needed_g_f_13[] = { 108,  109,  112,  113}; //   4
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax12");
  int needed_g_f_14[] = { 110,  111,  114,  115}; //   4
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax12");
  int needed_g_f_15[] = { 112,  113}; //   2
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax21");
  int needed_g_f_16[] = { 114,  115}; //   2
  psi_needed_g_f[no_ps][16] = get_vector_from_array_int(needed_g_f_16, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax18");
  int needed_g_f_17[] = { 120,  121,  126,  127}; //   4
  psi_needed_g_f[no_ps][17] = get_vector_from_array_int(needed_g_f_17, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax33");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(32);
  psi_needed_g_t[no_ps].resize(32);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   56,   57,   58,   59,   60,   61,   62,   63}; //  24
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5}; //   6
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__130_1__64_60");
  int needed_g_t_2[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,  108,  109,  110,  111,  112,  113,  114,  115}; //  24
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_3[] = {  50,   51,   52,   53,   54,   55}; //   6
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_4[] = {  56,   57,   60,   61}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__12_112");
  int needed_g_t_5[] = {  56,   57}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_13__64_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_13__64_48");
  int needed_g_t_6[] = {  58,   59,   62,   63}; //   4
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__48_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__48_76");
  int needed_g_t_7[] = {  58,   59}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_49__64_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_49__64_12");
  int needed_g_t_8[] = {  64,   65,   66,   67,   78,   79,   82,   83,  116,  117,  118,  119}; //  12
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_9[] = {  68,   69,   74,   75,   76,   77,  120,  121,  126,  127}; //  10
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_10[] = {  70,   71,   72,   73,   80,   81,   84,   85,  122,  123,  124,  125}; //  12
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__48_204");
  int needed_g_t_11[] = {  78,   79}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__176_64");
  int needed_g_t_12[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__140_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__140_64");
  int needed_g_t_13[] = {  82,   83,  118,  119}; //   4
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_14[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__64_128");
  int needed_g_t_15[] = {  84,   85,  124,  125}; //   4
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_16[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__49_14__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__49_14__64_128");
  int needed_g_t_17[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_18[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__112_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__112_140");
  int needed_g_t_19[] = {  90,   91,   96,   97,   98,   99}; //   6
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_20[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__76_128");
  int needed_g_t_21[] = {  92,   93,  101,  102,  103,  104}; //   6
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_22[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_14__112_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_14__112_128");
  int needed_g_t_23[] = {  94,   95,  100,  105,  106,  107}; //   6
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_24[] = { 108,  109,  112,  113}; //   4
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_25[] = { 110,  111,  114,  115}; //   4
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_26[] = { 112,  113}; //   2
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_27[] = { 114,  115}; //   2
  psi_needed_g_t[no_ps][27] = get_vector_from_array_int(needed_g_t_27, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_28[] = { 116,  117}; //   2
  psi_needed_g_t[no_ps][28] = get_vector_from_array_int(needed_g_t_28, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__192_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__192_48");
  int needed_g_t_29[] = { 120,  121}; //   2
  psi_needed_g_t[no_ps][29] = get_vector_from_array_int(needed_g_t_29, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__48_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__48_12");
  int needed_g_t_30[] = { 122,  123}; //   2
  psi_needed_g_t[no_ps][30] = get_vector_from_array_int(needed_g_t_30, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__192_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__192_12");
  int needed_g_t_31[] = { 126,  127}; //   2
  psi_needed_g_t[no_ps][31] = get_vector_from_array_int(needed_g_t_31, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__12_48");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__12_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(29);
  psi_needed_g_d[no_ps].resize(29);
  int needed_g_d_0[] = {   0,    1,    6,    7,   16,   17,   18,   19,   40,   41,   50,   51,   68,   69,   94,   95}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,    6,    7,   16,   17,   18,   19,   40,   41,   50,   51,   68,   69,   94,   95}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_2[] = {   0,    1,    4,    5,    6,    7,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   44,   45,   46,   47,   48,   49,   50,   51,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  101,  102,  103,  104,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; // 112
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 112);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_3[] = {   2,    8,   20,   21,   42,   52,   74,  100}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_4[] = {   2,    8,   20,   21,   42,   52,   74,  100}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_5[] = {   2,    3,    8,    9,   12,   13,   14,   15,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   42,   43,   46,   47,   48,   49,   52,   53,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   70,   71,   72,   73,   74,   75,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  96
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 96);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_6[] = {   3,    9,   22,   23,   43,   53,   75,  105}; //   8
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_7[] = {   3,    9,   22,   23,   43,   53,   75,  105}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_8[] = {   4,    5,   10,   11,   24,   25,   26,   27,   44,   45,   54,   55,   76,   77,  106,  107}; //  16
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_9[] = {   4,    5,   10,   11,   24,   25,   26,   27,   44,   45,   54,   55,   76,   77,  106,  107}; //  16
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_10[] = {   6,    7,    8,    9,   10,   11,   18,   19,   21,   23,   26,   27}; //  12
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 12);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_11[] = {  12,   13,   28,   29}; //   4
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_12[] = {  12,   13,   28,   29,   38,   39,   60,   61,   66,   67,   88,   89,   92,   93,  103,  104}; //  16
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 16);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_13[] = {  14,   15,   32,   33}; //   4
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_14[] = {  14,   15,   32,   33,   36,   37,   62,   63,   72,   73,   86,   87,   90,   91,   98,   99}; //  16
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 16);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_15[] = {  16,   17,   20,   22,   24,   25,   30,   31,   34,   35}; //  10
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_16[] = {  16,   17,   20,   22,   24,   25,   40,   41,   42,   43,   44,   45}; //  12
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 12);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_17[] = {  18,   19,   21,   23,   26,   27,   28,   29,   32,   33}; //  10
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_18[] = {  30,   31,   46,   47}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_19[] = {  30,   31,   36,   37,   46,   47,   64,   65,   78,   79,   86,   87,  101,  102,  110,  111}; //  16
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 16);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_20[] = {  34,   35,   48,   49}; //   4
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_21[] = {  34,   35,   38,   39,   48,   49,   70,   71,   80,   81,   88,   89,   96,   97,  108,  109}; //  16
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 16);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_22[] = {  36,   37}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__76_176");
  psi_container_IS_name.push_back("phi_of_decay_252__76_176");
  int needed_g_d_23[] = {  38,   39}; //   2
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__112_140");
  psi_container_IS_name.push_back("phi_of_decay_252__112_140");
  int needed_g_d_24[] = {  64,   65,  101,  102}; //   4
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__64_176");
  psi_container_IS_name.push_back("phi_of_decay_240__64_176");
  int needed_g_d_25[] = {  66,   67,  103,  104}; //   4
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 4);
  psi_container_IS_name.push_back("costheta_of_decay_240__128_112");
  psi_container_IS_name.push_back("phi_of_decay_240__128_112");
  int needed_g_d_26[] = {  68,   69,   74,   75,   76,   77,   94,   95,  100,  105,  106,  107,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  24
  psi_needed_g_d[no_ps][26] = get_vector_from_array_int(needed_g_d_26, 24);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_27[] = {  70,   71,   96,   97}; //   4
  psi_needed_g_d[no_ps][27] = get_vector_from_array_int(needed_g_d_27, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__64_140");
  psi_container_IS_name.push_back("phi_of_decay_204__64_140");
  int needed_g_d_28[] = {  72,   73,   98,   99}; //   4
  psi_needed_g_d[no_ps][28] = get_vector_from_array_int(needed_g_d_28, 4);
  psi_container_IS_name.push_back("costheta_of_decay_204__128_76");
  psi_container_IS_name.push_back("phi_of_decay_204__128_76");

  psi_c_p[no_ps].resize(128);
  psi_c_f[no_ps].resize(128);
  psi_c_t[no_ps].resize(128);
  psi_c_d[no_ps].resize(128);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  3,   4,   5}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  4,   7,   8}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  6,   7,   5}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  0,   9,  10}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  0,   9,  11}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  0,   1,   2,  12}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  0,   1,   3,  12}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  0}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  4,   5,   6,  12}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = { 10,   3,   4,   5}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  4,   7,   8,  12}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = { 10,   6,   7,   5}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,   9,  10,  12}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  0}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = { 10,   8,   9,   2}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  0,   9,  11,  12}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  0}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = { 10,   8,   9,   2}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  0,  13,  14,  15}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 11,   5,  12,   2}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  0,  13,  16,  15}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 11,   5,  12,   2}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = { 17,  18,  19,  20}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 13,   2,  14,   5}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  4,  18,  19,  20}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 13,   2,  14,   5}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  0,   1,   2,  21}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = { 15,  16,   0,   1,   2}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = {  0,   1,   3,  21}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = { 15,  16,   0,   1,   2}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = {  0,   1,   2,  12}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = { 17,  10,   0,   1,   2}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = {  0,   1,   3,  12}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = { 17,  10,   0,   1,   2}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  4,   5,   6,  21}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 15,  16,   3,   4,   5}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  4,   5,   6,  12}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 17,  10,   3,   4,   5}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  4,   7,   8,  21}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 15,  16,   6,   7,   5}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  4,   7,   8,  12}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 17,  10,   6,   7,   5}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  0,   9,  10,  21}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 15,  16,   8,   9,   2}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  0,   9,  11,  21}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 15,  16,   8,   9,   2}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  0,   9,  10,  12}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 17,  10,   8,   9,   2}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  0,   9,  11,  12}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 17,  10,   8,   9,   2}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  0,  13,  14,  15}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 17,  11,   5,  12,   2}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  0,  13,  16,  15}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 17,  11,   5,  12,   2}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  0,  22,  23,  24}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 15,  18,   5,  19,   2}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  0,  22,  25,  24}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = { 15,  18,   5,  19,   2}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = { 17,  18,  19,  20}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = { 17,  13,   2,  14,   5}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  4,  18,  19,  20}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = { 17,  13,   2,  14,   5}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = { 17,  26,  27,  28}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = { 15,  20,   2,  21,   5}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  4,  26,  27,  28}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = { 15,  20,   2,  21,   5}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = {  0,  29,  30,  31}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {}; //   0
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 0);
  int c_d_36[] = { 22,  14,  19,   5,   2}; //   5
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 5);

  int c_p_37[] = {  0,  32,  30,  31}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {}; //   0
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 0);
  int c_d_37[] = { 22,  14,  19,   5,   2}; //   5
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 5);

  int c_p_38[] = { 17,  33,  34,  35}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {}; //   0
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 0);
  int c_d_38[] = { 23,  12,  21,   2,   5}; //   5
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 5);

  int c_p_39[] = {  4,  33,  34,  35}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {}; //   0
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 0);
  int c_d_39[] = { 23,  12,  21,   2,   5}; //   5
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 5);

  int c_p_40[] = {  0,   1,   2,  21}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 16,   0,   1,   2}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,   1,   3,  21}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 16,   0,   1,   2}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  4,   5,   6,  21}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 16,   3,   4,   5}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  4,   7,   8,  21}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 16,   6,   7,   5}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  0,   9,  10,  21}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  2}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 16,   8,   9,   2}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  0,   9,  11,  21}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  2}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 16,   8,   9,   2}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  0,  22,  23,  24}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  2}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 18,   5,  19,   2}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  0,  22,  25,  24}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  2}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 18,   5,  19,   2}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = { 17,  26,  27,  28}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  2}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 20,   2,  21,   5}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  4,  26,  27,  28}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  2}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 20,   2,  21,   5}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  2,   3}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  1}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  2,   3}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  1}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  2,   3}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  3,   4,   5}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  4,   7,   8}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  1}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  2,   3}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  6,   7,   5}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,   9,  10}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  1}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  2,   3}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,   9,  11}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  1}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  2,   3}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  0,  29}; //   2
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 2);
  int c_f_56[] = {  2,   3}; //   2
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 2);
  int c_t_56[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 3);
  int c_d_56[] = {  5,   2}; //   2
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 2);

  int c_p_57[] = {  0,  32}; //   2
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 2);
  int c_f_57[] = {  2,   3}; //   2
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 2);
  int c_t_57[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 3);
  int c_d_57[] = {  5,   2}; //   2
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 2);

  int c_p_58[] = { 17,  33}; //   2
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 2);
  int c_f_58[] = {  4,   5}; //   2
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 2);
  int c_t_58[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 3);
  int c_d_58[] = {  2,   5}; //   2
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 2);

  int c_p_59[] = {  4,  33}; //   2
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 2);
  int c_f_59[] = {  4,   5}; //   2
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 2);
  int c_t_59[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 3);
  int c_d_59[] = {  2,   5}; //   2
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 2);

  int c_p_60[] = {  0,  13,  14}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  3}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  0,   4}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  5,  12,   2}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  0,  13,  16}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  3}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  0,   4}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  5,  12,   2}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = { 17,  18,  19}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  5}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  0,   6}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = {  2,  14,   5}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  4,  18,  19}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  5}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  0,   6}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = {  2,  14,   5}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  int c_p_64[] = {  0,  22,  36,  37}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  8}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = {  5,  24,  19,   2}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  0,  22,  36,  38}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  8}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = {  5,  24,  19,   2}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  0,  13,  39,  37}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  8}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = {  5,  25,  12,   2}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  0,  13,  39,  38}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  8}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = {  5,  25,  12,   2}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  0,   1,   2,  40}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  9}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = { 26,   0,   1,   2}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = {  0,   1,   3,  40}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  9}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = { 26,   0,   1,   2}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = { 17,  26,  41,  42}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = { 10}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = {  2,  27,  21,   5}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  4,  26,  41,  42}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = { 10}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = {  2,  27,  21,   5}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = { 17,  18,  43,  42}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = { 10}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = {  2,  28,  14,   5}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = {  4,  18,  43,  42}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = { 10}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = {  2,  28,  14,   5}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = {  4,   5,   6,  40}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  9}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = { 26,   3,   4,   5}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = {  4,   7,   8,  40}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  9}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = { 26,   6,   7,   5}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = {  0,   9,  10,  40}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  9}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = { 26,   8,   9,   2}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = {  0,   9,  11,  40}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = {  9}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = { 26,   8,   9,   2}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = {  0,  22,  23}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  6}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  8,  11}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = {  5,  19,   2}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = {  0,  22,  25}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  6}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  8,  11}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = {  5,  19,   2}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = { 17,  26,  27}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = {  7}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = { 10,  12}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = {  2,  21,   5}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  4,  26,  27}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = {  7}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = { 10,  12}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = {  2,  21,   5}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = {  0,  29}; //   2
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 2);
  int c_f_82[] = {  8,   9}; //   2
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 2);
  int c_t_82[] = {  8,  13,  14}; //   3
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 3);
  int c_d_82[] = {  5,   2}; //   2
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 2);

  int c_p_83[] = {  0,  32}; //   2
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 2);
  int c_f_83[] = {  8,   9}; //   2
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 2);
  int c_t_83[] = {  8,  13,  14}; //   3
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 3);
  int c_d_83[] = {  5,   2}; //   2
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 2);

  int c_p_84[] = { 17,  33}; //   2
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 2);
  int c_f_84[] = {  8,  10}; //   2
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 2);
  int c_t_84[] = { 10,  15,  16}; //   3
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 3);
  int c_d_84[] = {  2,   5}; //   2
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 2);

  int c_p_85[] = {  4,  33}; //   2
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 2);
  int c_f_85[] = {  8,  10}; //   2
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 2);
  int c_t_85[] = { 10,  15,  16}; //   3
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 3);
  int c_d_85[] = {  2,   5}; //   2
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 2);

  int c_p_86[] = {  0,  22,  23,  31}; //   4
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 4);
  int c_f_86[] = {}; //   0
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 0);
  int c_t_86[] = { 17}; //   1
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 1);
  int c_d_86[] = { 14,   5,  19,   2}; //   4
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 4);

  int c_p_87[] = {  0,  22,  25,  31}; //   4
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 4);
  int c_f_87[] = {}; //   0
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 0);
  int c_t_87[] = { 17}; //   1
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 1);
  int c_d_87[] = { 14,   5,  19,   2}; //   4
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 4);

  int c_p_88[] = { 17,  26,  27,  35}; //   4
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 4);
  int c_f_88[] = {}; //   0
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 0);
  int c_t_88[] = { 18}; //   1
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 1);
  int c_d_88[] = { 12,   2,  21,   5}; //   4
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 4);

  int c_p_89[] = {  4,  26,  27,  35}; //   4
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 4);
  int c_f_89[] = {}; //   0
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 0);
  int c_t_89[] = { 18}; //   1
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 1);
  int c_d_89[] = { 12,   2,  21,   5}; //   4
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 4);

  int c_p_90[] = {  0,  29,  44}; //   3
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 3);
  int c_f_90[] = { 11}; //   1
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 1);
  int c_t_90[] = { 19,  20}; //   2
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 2);
  int c_d_90[] = { 14,   5,   2}; //   3
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 3);

  int c_p_91[] = {  0,  32,  44}; //   3
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 3);
  int c_f_91[] = { 11}; //   1
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 1);
  int c_t_91[] = { 19,  20}; //   2
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 2);
  int c_d_91[] = { 14,   5,   2}; //   3
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 3);

  int c_p_92[] = { 17,  33,  45}; //   3
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 3);
  int c_f_92[] = { 12}; //   1
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 1);
  int c_t_92[] = { 21,  22}; //   2
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 2);
  int c_d_92[] = { 12,   2,   5}; //   3
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 3);

  int c_p_93[] = {  4,  33,  45}; //   3
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 3);
  int c_f_93[] = { 12}; //   1
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 1);
  int c_t_93[] = { 21,  22}; //   2
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 2);
  int c_d_93[] = { 12,   2,   5}; //   3
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 3);

  int c_p_94[] = { 46,  47,  48,  49}; //   4
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 4);
  int c_f_94[] = {}; //   0
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 0);
  int c_t_94[] = { 23}; //   1
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 1);
  int c_d_94[] = {  0,   1,   2,  26}; //   4
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 4);

  int c_p_95[] = { 46,  47,  48,  50}; //   4
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 4);
  int c_f_95[] = {}; //   0
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 0);
  int c_t_95[] = { 23}; //   1
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 1);
  int c_d_95[] = {  0,   1,   2,  26}; //   4
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 4);

  int c_p_96[] = {  0,  29,  34,  51}; //   4
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 4);
  int c_f_96[] = {}; //   0
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 0);
  int c_t_96[] = { 19}; //   1
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 1);
  int c_d_96[] = { 27,  21,   5,   2}; //   4
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 4);

  int c_p_97[] = {  0,  32,  34,  51}; //   4
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 4);
  int c_f_97[] = {}; //   0
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 0);
  int c_t_97[] = { 19}; //   1
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 1);
  int c_d_97[] = { 27,  21,   5,   2}; //   4
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 4);

  int c_p_98[] = {  0,  29,  44,  52}; //   4
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 4);
  int c_f_98[] = {}; //   0
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 0);
  int c_t_98[] = { 19}; //   1
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 1);
  int c_d_98[] = { 28,  14,   5,   2}; //   4
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 4);

  int c_p_99[] = {  0,  32,  44,  52}; //   4
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 4);
  int c_f_99[] = {}; //   0
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 0);
  int c_t_99[] = { 19}; //   1
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 1);
  int c_d_99[] = { 28,  14,   5,   2}; //   4
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 4);

  int c_p_100[] = { 46,  53,  54,  55}; //   4
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 4);
  int c_f_100[] = {}; //   0
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 0);
  int c_t_100[] = { 23}; //   1
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 1);
  int c_d_100[] = {  3,   4,   5,  26}; //   4
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 4);

  int c_p_101[] = { 17,  33,  30,  56}; //   4
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 4);
  int c_f_101[] = {}; //   0
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 0);
  int c_t_101[] = { 21}; //   1
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 1);
  int c_d_101[] = { 24,  19,   2,   5}; //   4
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 4);

  int c_p_102[] = {  4,  33,  30,  56}; //   4
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 4);
  int c_f_102[] = {}; //   0
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 0);
  int c_t_102[] = { 21}; //   1
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 1);
  int c_d_102[] = { 24,  19,   2,   5}; //   4
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 4);

  int c_p_103[] = { 17,  33,  45,  57}; //   4
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 4);
  int c_f_103[] = {}; //   0
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 0);
  int c_t_103[] = { 21}; //   1
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 1);
  int c_d_103[] = { 25,  12,   2,   5}; //   4
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 4);

  int c_p_104[] = {  4,  33,  45,  57}; //   4
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 4);
  int c_f_104[] = {}; //   0
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 0);
  int c_t_104[] = { 21}; //   1
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 1);
  int c_d_104[] = { 25,  12,   2,   5}; //   4
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 4);

  int c_p_105[] = { 46,  53,  58,  59}; //   4
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 4);
  int c_f_105[] = {}; //   0
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 0);
  int c_t_105[] = { 23}; //   1
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 1);
  int c_d_105[] = {  6,   7,   5,  26}; //   4
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 4);

  int c_p_106[] = { 46,  47,  60,  61}; //   4
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 4);
  int c_f_106[] = {}; //   0
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 0);
  int c_t_106[] = { 23}; //   1
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 1);
  int c_d_106[] = {  8,   9,   2,  26}; //   4
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 4);

  int c_p_107[] = { 46,  47,  60,  62}; //   4
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 4);
  int c_f_107[] = {}; //   0
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 0);
  int c_t_107[] = { 23}; //   1
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 1);
  int c_d_107[] = {  8,   9,   2,  26}; //   4
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 4);

  int c_p_108[] = {  0,  29,  34}; //   3
  psi_c_p[no_ps][108] = get_vector_from_array_int(c_p_108, 3);
  int c_f_108[] = { 13}; //   1
  psi_c_f[no_ps][108] = get_vector_from_array_int(c_f_108, 1);
  int c_t_108[] = {  2,  24}; //   2
  psi_c_t[no_ps][108] = get_vector_from_array_int(c_t_108, 2);
  int c_d_108[] = { 21,   5,   2}; //   3
  psi_c_d[no_ps][108] = get_vector_from_array_int(c_d_108, 3);

  int c_p_109[] = {  0,  32,  34}; //   3
  psi_c_p[no_ps][109] = get_vector_from_array_int(c_p_109, 3);
  int c_f_109[] = { 13}; //   1
  psi_c_f[no_ps][109] = get_vector_from_array_int(c_f_109, 1);
  int c_t_109[] = {  2,  24}; //   2
  psi_c_t[no_ps][109] = get_vector_from_array_int(c_t_109, 2);
  int c_d_109[] = { 21,   5,   2}; //   3
  psi_c_d[no_ps][109] = get_vector_from_array_int(c_d_109, 3);

  int c_p_110[] = { 17,  33,  30}; //   3
  psi_c_p[no_ps][110] = get_vector_from_array_int(c_p_110, 3);
  int c_f_110[] = { 14}; //   1
  psi_c_f[no_ps][110] = get_vector_from_array_int(c_f_110, 1);
  int c_t_110[] = {  2,  25}; //   2
  psi_c_t[no_ps][110] = get_vector_from_array_int(c_t_110, 2);
  int c_d_110[] = { 19,   2,   5}; //   3
  psi_c_d[no_ps][110] = get_vector_from_array_int(c_d_110, 3);

  int c_p_111[] = {  4,  33,  30}; //   3
  psi_c_p[no_ps][111] = get_vector_from_array_int(c_p_111, 3);
  int c_f_111[] = { 14}; //   1
  psi_c_f[no_ps][111] = get_vector_from_array_int(c_f_111, 1);
  int c_t_111[] = {  2,  25}; //   2
  psi_c_t[no_ps][111] = get_vector_from_array_int(c_t_111, 2);
  int c_d_111[] = { 19,   2,   5}; //   3
  psi_c_d[no_ps][111] = get_vector_from_array_int(c_d_111, 3);

  int c_p_112[] = {  0,  29}; //   2
  psi_c_p[no_ps][112] = get_vector_from_array_int(c_p_112, 2);
  int c_f_112[] = { 15,  13}; //   2
  psi_c_f[no_ps][112] = get_vector_from_array_int(c_f_112, 2);
  int c_t_112[] = {  2,  24,  26}; //   3
  psi_c_t[no_ps][112] = get_vector_from_array_int(c_t_112, 3);
  int c_d_112[] = {  5,   2}; //   2
  psi_c_d[no_ps][112] = get_vector_from_array_int(c_d_112, 2);

  int c_p_113[] = {  0,  32}; //   2
  psi_c_p[no_ps][113] = get_vector_from_array_int(c_p_113, 2);
  int c_f_113[] = { 15,  13}; //   2
  psi_c_f[no_ps][113] = get_vector_from_array_int(c_f_113, 2);
  int c_t_113[] = {  2,  24,  26}; //   3
  psi_c_t[no_ps][113] = get_vector_from_array_int(c_t_113, 3);
  int c_d_113[] = {  5,   2}; //   2
  psi_c_d[no_ps][113] = get_vector_from_array_int(c_d_113, 2);

  int c_p_114[] = { 17,  33}; //   2
  psi_c_p[no_ps][114] = get_vector_from_array_int(c_p_114, 2);
  int c_f_114[] = { 16,  14}; //   2
  psi_c_f[no_ps][114] = get_vector_from_array_int(c_f_114, 2);
  int c_t_114[] = {  2,  25,  27}; //   3
  psi_c_t[no_ps][114] = get_vector_from_array_int(c_t_114, 3);
  int c_d_114[] = {  2,   5}; //   2
  psi_c_d[no_ps][114] = get_vector_from_array_int(c_d_114, 2);

  int c_p_115[] = {  4,  33}; //   2
  psi_c_p[no_ps][115] = get_vector_from_array_int(c_p_115, 2);
  int c_f_115[] = { 16,  14}; //   2
  psi_c_f[no_ps][115] = get_vector_from_array_int(c_f_115, 2);
  int c_t_115[] = {  2,  25,  27}; //   3
  psi_c_t[no_ps][115] = get_vector_from_array_int(c_t_115, 3);
  int c_d_115[] = {  2,   5}; //   2
  psi_c_d[no_ps][115] = get_vector_from_array_int(c_d_115, 2);

  int c_p_116[] = { 46,  47,  63}; //   3
  psi_c_p[no_ps][116] = get_vector_from_array_int(c_p_116, 3);
  int c_f_116[] = {  9}; //   1
  psi_c_f[no_ps][116] = get_vector_from_array_int(c_f_116, 1);
  int c_t_116[] = {  8,  28}; //   2
  psi_c_t[no_ps][116] = get_vector_from_array_int(c_t_116, 2);
  int c_d_116[] = {  5,   2,  26}; //   3
  psi_c_d[no_ps][116] = get_vector_from_array_int(c_d_116, 3);

  int c_p_117[] = { 46,  47,  64}; //   3
  psi_c_p[no_ps][117] = get_vector_from_array_int(c_p_117, 3);
  int c_f_117[] = {  9}; //   1
  psi_c_f[no_ps][117] = get_vector_from_array_int(c_f_117, 1);
  int c_t_117[] = {  8,  28}; //   2
  psi_c_t[no_ps][117] = get_vector_from_array_int(c_t_117, 2);
  int c_d_117[] = {  5,   2,  26}; //   3
  psi_c_d[no_ps][117] = get_vector_from_array_int(c_d_117, 3);

  int c_p_118[] = {  0,  65,  63}; //   3
  psi_c_p[no_ps][118] = get_vector_from_array_int(c_p_118, 3);
  int c_f_118[] = {  9}; //   1
  psi_c_f[no_ps][118] = get_vector_from_array_int(c_f_118, 1);
  int c_t_118[] = {  8,  13}; //   2
  psi_c_t[no_ps][118] = get_vector_from_array_int(c_t_118, 2);
  int c_d_118[] = {  5,  26,   2}; //   3
  psi_c_d[no_ps][118] = get_vector_from_array_int(c_d_118, 3);

  int c_p_119[] = {  0,  65,  64}; //   3
  psi_c_p[no_ps][119] = get_vector_from_array_int(c_p_119, 3);
  int c_f_119[] = {  9}; //   1
  psi_c_f[no_ps][119] = get_vector_from_array_int(c_f_119, 1);
  int c_t_119[] = {  8,  13}; //   2
  psi_c_t[no_ps][119] = get_vector_from_array_int(c_t_119, 2);
  int c_d_119[] = {  5,  26,   2}; //   3
  psi_c_d[no_ps][119] = get_vector_from_array_int(c_d_119, 3);

  int c_p_120[] = {  0,  29,  66}; //   3
  psi_c_p[no_ps][120] = get_vector_from_array_int(c_p_120, 3);
  int c_f_120[] = { 17}; //   1
  psi_c_f[no_ps][120] = get_vector_from_array_int(c_f_120, 1);
  int c_t_120[] = {  9,  29}; //   2
  psi_c_t[no_ps][120] = get_vector_from_array_int(c_t_120, 2);
  int c_d_120[] = { 26,   5,   2}; //   3
  psi_c_d[no_ps][120] = get_vector_from_array_int(c_d_120, 3);

  int c_p_121[] = {  0,  32,  66}; //   3
  psi_c_p[no_ps][121] = get_vector_from_array_int(c_p_121, 3);
  int c_f_121[] = { 17}; //   1
  psi_c_f[no_ps][121] = get_vector_from_array_int(c_f_121, 1);
  int c_t_121[] = {  9,  29}; //   2
  psi_c_t[no_ps][121] = get_vector_from_array_int(c_t_121, 2);
  int c_d_121[] = { 26,   5,   2}; //   3
  psi_c_d[no_ps][121] = get_vector_from_array_int(c_d_121, 3);

  int c_p_122[] = { 46,  67,  68}; //   3
  psi_c_p[no_ps][122] = get_vector_from_array_int(c_p_122, 3);
  int c_f_122[] = { 10}; //   1
  psi_c_f[no_ps][122] = get_vector_from_array_int(c_f_122, 1);
  int c_t_122[] = { 10,  30}; //   2
  psi_c_t[no_ps][122] = get_vector_from_array_int(c_t_122, 2);
  int c_d_122[] = {  2,   5,  26}; //   3
  psi_c_d[no_ps][122] = get_vector_from_array_int(c_d_122, 3);

  int c_p_123[] = { 46,  53,  68}; //   3
  psi_c_p[no_ps][123] = get_vector_from_array_int(c_p_123, 3);
  int c_f_123[] = { 10}; //   1
  psi_c_f[no_ps][123] = get_vector_from_array_int(c_f_123, 1);
  int c_t_123[] = { 10,  30}; //   2
  psi_c_t[no_ps][123] = get_vector_from_array_int(c_t_123, 2);
  int c_d_123[] = {  2,   5,  26}; //   3
  psi_c_d[no_ps][123] = get_vector_from_array_int(c_d_123, 3);

  int c_p_124[] = { 17,  69,  68}; //   3
  psi_c_p[no_ps][124] = get_vector_from_array_int(c_p_124, 3);
  int c_f_124[] = { 10}; //   1
  psi_c_f[no_ps][124] = get_vector_from_array_int(c_f_124, 1);
  int c_t_124[] = { 10,  15}; //   2
  psi_c_t[no_ps][124] = get_vector_from_array_int(c_t_124, 2);
  int c_d_124[] = {  2,  26,   5}; //   3
  psi_c_d[no_ps][124] = get_vector_from_array_int(c_d_124, 3);

  int c_p_125[] = {  4,  69,  68}; //   3
  psi_c_p[no_ps][125] = get_vector_from_array_int(c_p_125, 3);
  int c_f_125[] = { 10}; //   1
  psi_c_f[no_ps][125] = get_vector_from_array_int(c_f_125, 1);
  int c_t_125[] = { 10,  15}; //   2
  psi_c_t[no_ps][125] = get_vector_from_array_int(c_t_125, 2);
  int c_d_125[] = {  2,  26,   5}; //   3
  psi_c_d[no_ps][125] = get_vector_from_array_int(c_d_125, 3);

  int c_p_126[] = { 17,  33,  66}; //   3
  psi_c_p[no_ps][126] = get_vector_from_array_int(c_p_126, 3);
  int c_f_126[] = { 17}; //   1
  psi_c_f[no_ps][126] = get_vector_from_array_int(c_f_126, 1);
  int c_t_126[] = {  9,  31}; //   2
  psi_c_t[no_ps][126] = get_vector_from_array_int(c_t_126, 2);
  int c_d_126[] = { 26,   2,   5}; //   3
  psi_c_d[no_ps][126] = get_vector_from_array_int(c_d_126, 3);

  int c_p_127[] = {  4,  33,  66}; //   3
  psi_c_p[no_ps][127] = get_vector_from_array_int(c_p_127, 3);
  int c_f_127[] = { 17}; //   1
  psi_c_f[no_ps][127] = get_vector_from_array_int(c_f_127, 1);
  int c_t_127[] = {  9,  31}; //   2
  psi_c_t[no_ps][127] = get_vector_from_array_int(c_t_127, 2);
  int c_d_127[] = { 26,   2,   5}; //   3
  psi_c_d[no_ps][127] = get_vector_from_array_int(c_d_127, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
