#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexnmx04/header/ppemexnmx04.phasespace.h"
void ppemexnmx04_ag_psp_240_dux_emmumepvmxssx(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppemexnmx04_ag_psp_240_dux_emmumepvmxssx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_xbp[no_ps][20] == nullvector){psi_xbp[no_ps][20] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][20] == 0.){psi_xbs[no_ps][20] = psi_xbp[no_ps][20].m2();}
  if (psi_xbsqrts[no_ps][20] == 0.){psi_xbsqrts[no_ps][20] = sqrt(psi_xbs[no_ps][20]);}
  if (psi_xbp[no_ps][40] == nullvector){psi_xbp[no_ps][40] = psi_xbp[no_ps][8] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][40] == 0.){psi_xbs[no_ps][40] = psi_xbp[no_ps][40].m2();}
  if (psi_xbsqrts[no_ps][40] == 0.){psi_xbsqrts[no_ps][40] = sqrt(psi_xbs[no_ps][40]);}
  if (psi_xbp[no_ps][192] == nullvector){psi_xbp[no_ps][192] = psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][192] == 0.){psi_xbs[no_ps][192] = psi_xbp[no_ps][192].m2();}
  if (psi_xbsqrts[no_ps][192] == 0.){psi_xbsqrts[no_ps][192] = sqrt(psi_xbs[no_ps][192]);}
  if (psi_xbp[no_ps][21] == nullvector){psi_xbp[no_ps][21] = psi_xbp[no_ps][1] - psi_xbp[no_ps][4] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][21] == 0.){psi_xbs[no_ps][21] = psi_xbp[no_ps][21].m2();}
  if (psi_xbp[no_ps][22] == nullvector){psi_xbp[no_ps][22] = psi_xbp[no_ps][2] - psi_xbp[no_ps][4] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][22] == 0.){psi_xbs[no_ps][22] = psi_xbp[no_ps][22].m2();}
  if (psi_xbp[no_ps][28] == nullvector){psi_xbp[no_ps][28] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][28] == 0.){psi_xbs[no_ps][28] = psi_xbp[no_ps][28].m2();}
  if (psi_xbsqrts[no_ps][28] == 0.){psi_xbsqrts[no_ps][28] = sqrt(psi_xbs[no_ps][28]);}
  if (psi_xbp[no_ps][41] == nullvector){psi_xbp[no_ps][41] = psi_xbp[no_ps][1] - psi_xbp[no_ps][8] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][41] == 0.){psi_xbs[no_ps][41] = psi_xbp[no_ps][41].m2();}
  if (psi_xbp[no_ps][42] == nullvector){psi_xbp[no_ps][42] = psi_xbp[no_ps][2] - psi_xbp[no_ps][8] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][42] == 0.){psi_xbs[no_ps][42] = psi_xbp[no_ps][42].m2();}
  if (psi_xbp[no_ps][52] == nullvector){psi_xbp[no_ps][52] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][52] == 0.){psi_xbs[no_ps][52] = psi_xbp[no_ps][52].m2();}
  if (psi_xbsqrts[no_ps][52] == 0.){psi_xbsqrts[no_ps][52] = sqrt(psi_xbs[no_ps][52]);}
  if (psi_xbp[no_ps][56] == nullvector){psi_xbp[no_ps][56] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][56] == 0.){psi_xbs[no_ps][56] = psi_xbp[no_ps][56].m2();}
  if (psi_xbsqrts[no_ps][56] == 0.){psi_xbsqrts[no_ps][56] = sqrt(psi_xbs[no_ps][56]);}
  if (psi_xbp[no_ps][84] == nullvector){psi_xbp[no_ps][84] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][84] == 0.){psi_xbs[no_ps][84] = psi_xbp[no_ps][84].m2();}
  if (psi_xbsqrts[no_ps][84] == 0.){psi_xbsqrts[no_ps][84] = sqrt(psi_xbs[no_ps][84]);}
  if (psi_xbp[no_ps][148] == nullvector){psi_xbp[no_ps][148] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][148] == 0.){psi_xbs[no_ps][148] = psi_xbp[no_ps][148].m2();}
  if (psi_xbsqrts[no_ps][148] == 0.){psi_xbsqrts[no_ps][148] = sqrt(psi_xbs[no_ps][148]);}
  if (psi_xbp[no_ps][193] == nullvector){psi_xbp[no_ps][193] = psi_xbp[no_ps][1] - psi_xbp[no_ps][64] - psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][193] == 0.){psi_xbs[no_ps][193] = psi_xbp[no_ps][193].m2();}
  if (psi_xbp[no_ps][194] == nullvector){psi_xbp[no_ps][194] = psi_xbp[no_ps][2] - psi_xbp[no_ps][64] - psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][194] == 0.){psi_xbs[no_ps][194] = psi_xbp[no_ps][194].m2();}
  if (psi_xbp[no_ps][60] == nullvector){psi_xbp[no_ps][60] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][60] == 0.){psi_xbs[no_ps][60] = psi_xbp[no_ps][60].m2();}
  if (psi_xbsqrts[no_ps][60] == 0.){psi_xbsqrts[no_ps][60] = sqrt(psi_xbs[no_ps][60]);}
  if (psi_xbp[no_ps][212] == nullvector){psi_xbp[no_ps][212] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][212] == 0.){psi_xbs[no_ps][212] = psi_xbp[no_ps][212].m2();}
  if (psi_xbsqrts[no_ps][212] == 0.){psi_xbsqrts[no_ps][212] = sqrt(psi_xbs[no_ps][212]);}
  if (psi_xbp[no_ps][232] == nullvector){psi_xbp[no_ps][232] = psi_xbp[no_ps][8] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][232] == 0.){psi_xbs[no_ps][232] = psi_xbp[no_ps][232].m2();}
  if (psi_xbp[no_ps][252] == nullvector){psi_xbp[no_ps][252] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][252] == 0.){psi_xbs[no_ps][252] = psi_xbp[no_ps][252].m2();}

  psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][40]; // 26 times
  psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][56]); // 2 times
  psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]); // 2 times
  psi_v_smin[no_ps][  3] = psi_smin_opt[no_ps][192]; // 24 times
  psi_v_smin[no_ps][  4] = psi_smin_opt[no_ps][20]; // 30 times
  psi_v_smin[no_ps][  5] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][148]); // 4 times
  psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][148], 2), psi_smin_opt[no_ps][212]); // 4 times
  psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][84]); // 4 times
  psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][84], 2), psi_smin_opt[no_ps][212]); // 4 times
  psi_v_smin[no_ps][  9] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][52]); // 2 times
  psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]); // 2 times
  psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][28]); // 4 times
  psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]); // 4 times
  psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][40] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][232]); // 4 times
  psi_v_smin[no_ps][ 15] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][192], 2), psi_smin_opt[no_ps][212]); // 4 times

  psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][212], 2); // 11 times
  psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][196], 2); // 1 times
  psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][192], 2); // 6 times
  psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][60], 2); // 6 times
  psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][232], 2); // 11 times
  psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][104], 2); // 2 times
  psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][40], 2); // 4 times
  psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][212], 2); // 4 times
  psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][168], 2); // 2 times
  psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][200], 2); // 1 times
  psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][224], 2); // 2 times
  psi_v_smax[no_ps][ 11] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][232]), 2); // 8 times
  psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][60], 2); // 10 times
  psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][20] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][212]), 2); // 5 times
  psi_v_smax[no_ps][ 14] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][196]), 2); // 1 times
  psi_v_smax[no_ps][ 15] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][192], 2); // 10 times
  psi_v_smax[no_ps][ 16] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][104]), 2); // 2 times
  psi_v_smax[no_ps][ 17] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][40], 2); // 8 times
  psi_v_smax[no_ps][ 18] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][168]), 2); // 2 times
  psi_v_smax[no_ps][ 19] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][40] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][232]), 2); // 5 times
  psi_v_smax[no_ps][ 20] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][200]), 2); // 1 times
  psi_v_smax[no_ps][ 21] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][224]), 2); // 2 times
  psi_v_smax[no_ps][ 22] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][40] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][232]), 2); // 6 times
  psi_v_smax[no_ps][ 23] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][20] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][60]), 2); // 2 times
  psi_v_smax[no_ps][ 24] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][60]), 2); // 4 times
  psi_v_smax[no_ps][ 25] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][192], psi_sqrtsmin_opt[no_ps][212]), 2); // 4 times
  psi_v_smax[no_ps][ 26] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][40] + psi_xbsqrts[no_ps][20], psi_sqrtsmin_opt[no_ps][60]), 2); // 2 times
  psi_v_smax[no_ps][ 27] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][20], psi_sqrtsmin_opt[no_ps][212]), 2); // 2 times
  psi_v_smax[no_ps][ 28] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][20], 2); // 4 times

  //  vector<double> g_p(40);
  {psi_g_p[no_ps][  0] = psi.g_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 11 times
  {psi_g_p[no_ps][  1] = psi.g_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][  2] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][  3] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3]); /* npp 2 */} // 6 times
  {psi_g_p[no_ps][  4] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4]); /* npp 2 */} // 5 times
  {psi_g_p[no_ps][  5] = psi.g_propagator(no_ps,   0, 148, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][  6] = psi.g_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  6]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][  7] = psi.g_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  7]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][  8] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4]); /* npp 2 */} // 6 times
  {psi_g_p[no_ps][  9] = psi.g_propagator(no_ps,   0,  84, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  8]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 10] = psi.g_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  6]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 11] = psi.g_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  9]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 12] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 13] = psi.g_propagator(no_ps,   0,  28, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 10]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 14] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 15] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 11]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 16] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][  2]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 17] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 11]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 18] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 12]); /* npp 2 */} // 10 times
  {psi_g_p[no_ps][ 19] = psi.g_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13]); /* npp 2 */} // 5 times
  {psi_g_p[no_ps][ 20] = psi.g_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][ 14]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 21] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 15]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 22] = psi.g_propagator(no_ps,   0, 148, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 16]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 23] = psi.g_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 17]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 24] = psi.g_propagator(no_ps,   0,  84, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 18]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 25] = psi.g_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 17]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 26] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 19]); /* npp 2 */} // 3 times
  {psi_g_p[no_ps][ 27] = psi.g_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 20]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 28] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 15]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 29] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 19]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 30] = psi.g_propagator(no_ps,   0,  28, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 21]); /* npp 3 */} // 2 times
  {psi_g_p[no_ps][ 31] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 15]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 32] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 22]); /* npp 2 */} // 3 times
  {psi_g_p[no_ps][ 33] = psi.g_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 15]); /* npp 4 */} // 2 times
  {psi_g_p[no_ps][ 34] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 22]); /* npp 2 */} // 3 times
  {psi_g_p[no_ps][ 35] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 23]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 36] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 24]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 37] = psi.g_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 25]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 38] = psi.g_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 26]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 39] = psi.g_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 27]); /* npp 2 */} // 2 times

  //  vector<double> g_f(3);
  {psi_g_f[no_ps][  0] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][ 28]); /* nfp 4 */} // 4 times
  {psi_g_f[no_ps][  1] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 15]); /* nfp 4 */} // 4 times
  {psi_g_f[no_ps][  2] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 17]); /* nfp 4 */} // 4 times

  //  vector<double> g_t(11);
  {psi_g_t[no_ps][  0] = psi.g_tchannel_opt(no_ps,   0, 252,   1,   2, 192,  60); /* ntp 0 */} // 10 times
  {psi_g_t[no_ps][  1] = psi.g_tchannel_opt(no_ps,   0, 252,   1,   2,  40, 212); /* ntp 0 */} // 8 times
  {psi_g_t[no_ps][  2] = psi.g_tchannel_opt(no_ps,   0, 252,   2,   1, 192,  60); /* ntp 0 */} // 6 times
  {psi_g_t[no_ps][  3] = psi.g_tchannel_opt(no_ps,   0, 252,   2,   1,  40, 212); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  4] = psi.g_tchannel_opt(no_ps,   0, 252,   1,   2,  20, 232); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  5] = psi.g_tchannel_opt(no_ps,   0, 232,   2,  21, 192,  40); /* ntp 2 */} // 2 times
  {psi_g_t[no_ps][  6] = psi.g_tchannel_opt(no_ps,   0, 232,   2,  21,  40, 192); /* ntp 2 */} // 2 times
  {psi_g_t[no_ps][  7] = psi.g_tchannel_opt(no_ps,   0,  60,   2, 193,  40,  20); /* ntp 2 */} // 2 times
  {psi_g_t[no_ps][  8] = psi.g_tchannel_opt(no_ps,   0, 212,   2,  41, 192,  20); /* ntp 2 */} // 2 times
  {psi_g_t[no_ps][  9] = psi.g_tchannel_opt(no_ps,   0, 212,   2,  41,  20, 192); /* ntp 2 */} // 2 times
  {psi_g_t[no_ps][ 10] = psi.g_tchannel_opt(no_ps,   0,  60,   2, 193,  20,  40); /* ntp 2 */} // 2 times

  //  vector<double> g_d(14);
  {psi_g_d[no_ps][  0] = psi.g_decay(no_ps, 192,  64, 128); /* ndp 2 */} // 24 times
  {psi_g_d[no_ps][  1] = psi.g_decay(no_ps,  60,   4,  56); /* ndp 4 */} // 2 times
  {psi_g_d[no_ps][  2] = psi.g_decay(no_ps,  56,  16,  40); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][  3] = psi.g_decay(no_ps,  40,   8,  32); /* ndp 2 */} // 26 times
  {psi_g_d[no_ps][  4] = psi.g_decay(no_ps, 212,  64, 148); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][  5] = psi.g_decay(no_ps, 148, 128,  20); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][  6] = psi.g_decay(no_ps,  20,   4,  16); /* ndp 2 */} // 30 times
  {psi_g_d[no_ps][  7] = psi.g_decay(no_ps, 212, 128,  84); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][  8] = psi.g_decay(no_ps,  84,  64,  20); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][  9] = psi.g_decay(no_ps,  60,   8,  52); /* ndp 4 */} // 2 times
  {psi_g_d[no_ps][ 10] = psi.g_decay(no_ps,  52,  32,  20); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][ 11] = psi.g_decay(no_ps,  60,  32,  28); /* ndp 4 */} // 4 times
  {psi_g_d[no_ps][ 12] = psi.g_decay(no_ps,  28,   8,  20); /* ndp 3 */} // 4 times
  {psi_g_d[no_ps][ 13] = psi.g_decay(no_ps,  60,  20,  40); /* ndp 4 */} // 4 times


  if (psi_weight_IS == 2 || psi_weight_IS == 4){
    double g_IS_temp;
    vector<vector<double> > inv_r(4);
    inv_r[0].resize(40);
    inv_r[1].resize(3);
    inv_r[2].resize(22);
    inv_r[3].resize(28);

    {psi.inv_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][0]);} // 11 times
    {psi.inv_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[0][1]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][2]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], inv_r[0][3]);} // 6 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4], inv_r[0][4]);} // 5 times
    {psi.inv_propagator(no_ps,   0, 148, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  5], inv_r[0][5]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  6], inv_r[0][6]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  7], inv_r[0][7]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4], inv_r[0][8]);} // 6 times
    {psi.inv_propagator(no_ps,   0,  84, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  8], inv_r[0][9]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  6], inv_r[0][10]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  9], inv_r[0][11]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  2], inv_r[0][12]);} // 1 times
    {psi.inv_propagator(no_ps,   0,  28, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 10], inv_r[0][13]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2], inv_r[0][14]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 11], inv_r[0][15]);} // 4 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][  2], inv_r[0][16]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 11], inv_r[0][17]);} // 4 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 12], inv_r[0][18]);} // 10 times
    {psi.inv_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13], inv_r[0][19]);} // 5 times
    {psi.inv_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][ 14], inv_r[0][20]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][ 15], inv_r[0][21]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 148, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 16], inv_r[0][22]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 17], inv_r[0][23]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  84, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 18], inv_r[0][24]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 212, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 17], inv_r[0][25]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 19], inv_r[0][26]);} // 3 times
    {psi.inv_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 20], inv_r[0][27]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 15], inv_r[0][28]);} // 1 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 19], inv_r[0][29]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  28, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 21], inv_r[0][30]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 15], inv_r[0][31]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 22], inv_r[0][32]);} // 3 times
    {psi.inv_propagator(no_ps,  24,  60, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 15], inv_r[0][33]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][ 22], inv_r[0][34]);} // 3 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 23], inv_r[0][35]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 24], inv_r[0][36]);} // 4 times
    {psi.inv_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 25], inv_r[0][37]);} // 4 times
    {psi.inv_propagator(no_ps,   0, 192, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][ 26], inv_r[0][38]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 27], inv_r[0][39]);} // 2 times

    {psi.inv_timelikeinvariant(no_ps, 232, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][ 28], inv_r[1][0]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 15], inv_r[1][1]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps, 212, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 17], inv_r[1][2]);} // 4 times

    {psi.inv_tchannel_opt(no_ps,   0, 252,   1,   2, 192,  60, inv_r[2][0], inv_r[2][1]);} // 10 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   1,   2,  40, 212, inv_r[2][2], inv_r[2][3]);} // 8 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   2,   1, 192,  60, inv_r[2][4], inv_r[2][5]);} // 6 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   2,   1,  40, 212, inv_r[2][6], inv_r[2][7]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   1,   2,  20, 232, inv_r[2][8], inv_r[2][9]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0, 232,   2,  21, 192,  40, inv_r[2][10], inv_r[2][11]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 232,   2,  21,  40, 192, inv_r[2][12], inv_r[2][13]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2, 193,  40,  20, inv_r[2][14], inv_r[2][15]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 212,   2,  41, 192,  20, inv_r[2][16], inv_r[2][17]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 212,   2,  41,  20, 192, inv_r[2][18], inv_r[2][19]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2, 193,  20,  40, inv_r[2][20], inv_r[2][21]);} // 2 times

    {psi.inv_decay(no_ps, 192,  64, 128, inv_r[3][0], inv_r[3][1]);} // 24 times
    {psi.inv_decay(no_ps,  60,   4,  56, inv_r[3][2], inv_r[3][3]);} // 2 times
    {psi.inv_decay(no_ps,  56,  16,  40, inv_r[3][4], inv_r[3][5]);} // 2 times
    {psi.inv_decay(no_ps,  40,   8,  32, inv_r[3][6], inv_r[3][7]);} // 26 times
    {psi.inv_decay(no_ps, 212,  64, 148, inv_r[3][8], inv_r[3][9]);} // 4 times
    {psi.inv_decay(no_ps, 148, 128,  20, inv_r[3][10], inv_r[3][11]);} // 4 times
    {psi.inv_decay(no_ps,  20,   4,  16, inv_r[3][12], inv_r[3][13]);} // 30 times
    {psi.inv_decay(no_ps, 212, 128,  84, inv_r[3][14], inv_r[3][15]);} // 4 times
    {psi.inv_decay(no_ps,  84,  64,  20, inv_r[3][16], inv_r[3][17]);} // 4 times
    {psi.inv_decay(no_ps,  60,   8,  52, inv_r[3][18], inv_r[3][19]);} // 2 times
    {psi.inv_decay(no_ps,  52,  32,  20, inv_r[3][20], inv_r[3][21]);} // 2 times
    {psi.inv_decay(no_ps,  60,  32,  28, inv_r[3][22], inv_r[3][23]);} // 4 times
    {psi.inv_decay(no_ps,  28,   8,  20, inv_r[3][24], inv_r[3][25]);} // 4 times
    {psi.inv_decay(no_ps,  60,  20,  40, inv_r[3][26], inv_r[3][27]);} // 4 times

    if (psi_weight_IS == 2){
      int n_random = 3 * psi_n_particle - 4;;
      vector<vector<double> > inv_channel_r(32, vector<double> (14));
      vector<double> g_IS(32, 1.);
      for (int i_c = 0; i_c < 32; i_c++){
        int ran = 0;
        if (psi_MC_alpha[zero + i_c] != 0.){
          for (int i_p = 0; i_p < psi_c_p[no_ps][i_c].size(); i_p++){
            inv_channel_r[i_c][i_p] = inv_r[0][psi_c_p[no_ps][i_c][i_p]];
          }
          ran += psi_c_p[no_ps][i_c].size();
          for (int i_f = 0; i_f < psi_c_f[no_ps][i_c].size(); i_f++){
            inv_channel_r[i_c][ran + i_f] = inv_r[1][psi_c_f[no_ps][i_c][i_f]];
          }
          ran += psi_c_f[no_ps][i_c].size();
          for (int i_t = 0; i_t < psi_c_t[no_ps][i_c].size(); i_t++){
            inv_channel_r[i_c][ran + 2 * i_t] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t]];
            inv_channel_r[i_c][ran + 2 * i_t + 1] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t] + 1];
          }
          ran += 2 * psi_c_t[no_ps][i_c].size();
          for (int i_d = 0; i_d < psi_c_d[no_ps][i_c].size(); i_d++){
            inv_channel_r[i_c][ran + 2 * i_d] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d]];
            inv_channel_r[i_c][ran + 2 * i_d + 1] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d] + 1];
          }
          ran += 2 * psi_c_d[no_ps][i_c].size();
          for (int i_r = 0; i_r < 14; i_r++){
            psi_phasespace_randoms[(zero + i_c) * n_random + i_r]->get_g_IS(inv_channel_r[i_c][i_r], g_IS_temp);
            g_IS[i_c] *= g_IS_temp;
          }
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = g_IS[  0] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = g_IS[  1] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = g_IS[  2] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = g_IS[  3] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = g_IS[  4] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = g_IS[  5] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = g_IS[  6] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = g_IS[  7] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = g_IS[  8] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = g_IS[  9] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = g_IS[ 10] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 20] * psi_g_p[no_ps][ 21] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = g_IS[ 11] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = g_IS[ 12] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = g_IS[ 13] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = g_IS[ 14] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = g_IS[ 15] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 28] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = g_IS[ 16] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 29] * psi_g_p[no_ps][ 30] * psi_g_p[no_ps][ 31] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = g_IS[ 17] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 30] * psi_g_p[no_ps][ 31] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = g_IS[ 18] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 32] * psi_g_p[no_ps][ 33] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = g_IS[ 19] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 34] * psi_g_p[no_ps][ 33] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = g_IS[ 20] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 32] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = g_IS[ 21] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 34] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = g_IS[ 22] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 35] * psi_g_p[no_ps][ 32] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  6] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = g_IS[ 23] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 35] * psi_g_p[no_ps][ 34] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  6] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = g_IS[ 24] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = g_IS[ 25] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = g_IS[ 26] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 29] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  8] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = g_IS[ 27] * psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  8] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = g_IS[ 28] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 38] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  9] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = g_IS[ 29] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 38] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  9] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = g_IS[ 30] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = g_IS[ 31] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6];}

    }
    else if (psi_weight_IS == 4){
      vector<vector<double> > g_IS(4);
      g_IS[0].resize(40, 1.);
      g_IS[1].resize(3, 1.);
      g_IS[2].resize(11, 1.);
      g_IS[3].resize(14, 1.);

      for (int i_m = 0; i_m < 4; i_m++){
        for (int i_r = 0; i_r < inv_r[i_m].size(); i_r++){
          psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][i_m] + i_r]->get_g_IS(inv_r[i_m][i_r], g_IS_temp);
          int i_g = i_r;
          if (i_m > 1){i_g = i_r / 2;}
          g_IS[i_m][i_g] *= g_IS_temp;
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 20] * g_IS[0][ 20] * psi_g_p[no_ps][ 21] * g_IS[0][ 21] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 28] * g_IS[0][ 28] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 29] * g_IS[0][ 29] * psi_g_p[no_ps][ 30] * g_IS[0][ 30] * psi_g_p[no_ps][ 31] * g_IS[0][ 31] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 30] * g_IS[0][ 30] * psi_g_p[no_ps][ 31] * g_IS[0][ 31] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 32] * g_IS[0][ 32] * psi_g_p[no_ps][ 33] * g_IS[0][ 33] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 34] * g_IS[0][ 34] * psi_g_p[no_ps][ 33] * g_IS[0][ 33] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 32] * g_IS[0][ 32] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_t[no_ps][  5] * g_IS[2][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 34] * g_IS[0][ 34] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_t[no_ps][  5] * g_IS[2][  5] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 35] * g_IS[0][ 35] * psi_g_p[no_ps][ 32] * g_IS[0][ 32] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_t[no_ps][  6] * g_IS[2][  6] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 35] * g_IS[0][ 35] * psi_g_p[no_ps][ 34] * g_IS[0][ 34] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_t[no_ps][  6] * g_IS[2][  6] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_p[no_ps][ 36] * g_IS[0][ 36] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  7] * g_IS[2][  7] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_p[no_ps][ 36] * g_IS[0][ 36] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  7] * g_IS[2][  7] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 29] * g_IS[0][ 29] * psi_g_p[no_ps][ 37] * g_IS[0][ 37] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_t[no_ps][  8] * g_IS[2][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_p[no_ps][ 37] * g_IS[0][ 37] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_t[no_ps][  8] * g_IS[2][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 38] * g_IS[0][ 38] * psi_g_p[no_ps][ 37] * g_IS[0][ 37] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_t[no_ps][  9] * g_IS[2][  9] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 38] * g_IS[0][ 38] * psi_g_p[no_ps][ 37] * g_IS[0][ 37] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_t[no_ps][  9] * g_IS[2][  9] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 39] * g_IS[0][ 39] * psi_g_p[no_ps][ 36] * g_IS[0][ 36] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][ 10] * g_IS[2][ 10] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 39] * g_IS[0][ 39] * psi_g_p[no_ps][ 36] * g_IS[0][ 36] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][ 10] * g_IS[2][ 10] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  6] * g_IS[3][  6];}
    }
  }

  else {
    if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 11] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 20] * psi_g_p[no_ps][ 21] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 25] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 28] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 29] * psi_g_p[no_ps][ 30] * psi_g_p[no_ps][ 31] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 30] * psi_g_p[no_ps][ 31] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 32] * psi_g_p[no_ps][ 33] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 34] * psi_g_p[no_ps][ 33] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 32] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 34] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 35] * psi_g_p[no_ps][ 32] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  6] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 35] * psi_g_p[no_ps][ 34] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  6] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 15] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 17] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 29] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  8] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][ 18] * psi_g_p[no_ps][ 26] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  8] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 38] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  9] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 38] * psi_g_p[no_ps][ 37] * psi_g_f[no_ps][  2] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  9] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6];}
    if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 39] * psi_g_p[no_ps][ 36] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  6];}
  }

/*
  if (psi_MC_alpha[   0] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[   1] != 0.){ag_channel_2v4yyv(g, 1, 2, 8, 32, 64, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[   2] != 0.){ag_channel_2v4yyv(g, 1, 2, 8, 32, 64, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[   3] != 0.){ag_channel_2v4yyv(g, 1, 2, 8, 32, 128, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[   4] != 0.){ag_channel_2v4yyv(g, 1, 2, 8, 32, 128, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[   5] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[   6] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[   7] != 0.){ag_channel_2v4yyv(g, 1, 2, 64, 128, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[   8] != 0.){ag_channel_2v42vv(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[   9] != 0.){ag_channel_2v42vv(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,  24,   0,   0, psi);}
  if (psi_MC_alpha[  10] != 0.){ag_channel_4yyv2v(g, 1, 2, 4, 16, 8, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  24,   0, psi);}
  if (psi_MC_alpha[  11] != 0.){ag_channel_4yyv2v(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  12] != 0.){ag_channel_4yyv2v(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  13] != 0.){ag_channel_4yyv2v(g, 1, 2, 128, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  14] != 0.){ag_channel_4yyv2v(g, 1, 2, 128, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  15] != 0.){ag_channel_4yyv2v(g, 1, 2, 8, 32, 4, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,  24,   0, psi);}
  if (psi_MC_alpha[  16] != 0.){ag_channel_4yyv2v(g, 1, 2, 32, 8, 4, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[  17] != 0.){ag_channel_4yyv2v(g, 1, 2, 32, 8, 4, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,  24,   0, psi);}
  if (psi_MC_alpha[  18] != 0.){ag_channel_42vv2v(g, 1, 2, 4, 16, 8, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,  24,   0, psi);}
  if (psi_MC_alpha[  19] != 0.){ag_channel_42vv2v(g, 1, 2, 4, 16, 8, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  23,  24,   0, psi);}
  if (psi_MC_alpha[  20] != 0.){ag_channel_2v2v2v(g, 1, 2, 4, 16, 8, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  21] != 0.){ag_channel_2v2v2v(g, 1, 2, 4, 16, 8, 32, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  23,   0,   0, psi);}
  if (psi_MC_alpha[  22] != 0.){ag_channel_2v2v2v(g, 1, 2, 4, 16, 64, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  23] != 0.){ag_channel_2v2v2v(g, 1, 2, 4, 16, 64, 128, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  24] != 0.){ag_channel_2v2v2v(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  25] != 0.){ag_channel_2v2v2v(g, 1, 2, 64, 128, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  26] != 0.){ag_channel_2v2v2v(g, 1, 2, 8, 32, 4, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  27] != 0.){ag_channel_2v2v2v(g, 1, 2, 8, 32, 4, 16, 64, 128, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,  24,   0,   0, psi);}
  if (psi_MC_alpha[  28] != 0.){ag_channel_2v2v2v(g, 1, 2, 8, 32, 64, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  29] != 0.){ag_channel_2v2v2v(g, 1, 2, 8, 32, 64, 128, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  30] != 0.){ag_channel_2v2v2v(g, 1, 2, 64, 128, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  31] != 0.){ag_channel_2v2v2v(g, 1, 2, 64, 128, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  24,   0,   0,   0, psi);}
  // channel    0: 2v4yyv(1, 2, 64, 128, 4, 16, 8, 32;  24,   0,  24,   0,   0)
  // channel    1: 2v4yyv(1, 2, 8, 32, 64, 128, 4, 16;   0,   0,   0,  24,   0)
  // channel    2: 2v4yyv(1, 2, 8, 32, 64, 128, 4, 16;  23,   0,   0,  24,   0)
  // channel    3: 2v4yyv(1, 2, 8, 32, 128, 64, 4, 16;   0,   0,   0,  24,   0)
  // channel    4: 2v4yyv(1, 2, 8, 32, 128, 64, 4, 16;  23,   0,   0,  24,   0)
  // channel    5: 2v4yyv(1, 2, 64, 128, 8, 32, 4, 16;  23,   0,  24,   0,   0)
  // channel    6: 2v4yyv(1, 2, 64, 128, 32, 8, 4, 16;   0,   0,  24,   0,   0)
  // channel    7: 2v4yyv(1, 2, 64, 128, 32, 8, 4, 16;  23,   0,  24,   0,   0)
  // channel    8: 2v42vv(1, 2, 64, 128, 4, 16, 8, 32;  24,   0,  24,   0,   0)
  // channel    9: 2v42vv(1, 2, 64, 128, 4, 16, 8, 32;  24,  23,  24,   0,   0)
  // channel   10: 4yyv2v(1, 2, 4, 16, 8, 32, 64, 128;   0,  24,   0,  24,   0)
  // channel   11: 4yyv2v(1, 2, 64, 128, 4, 16, 8, 32;  24,   0,   0,   0,   0)
  // channel   12: 4yyv2v(1, 2, 64, 128, 4, 16, 8, 32;  24,  23,   0,   0,   0)
  // channel   13: 4yyv2v(1, 2, 128, 64, 4, 16, 8, 32;  24,   0,   0,   0,   0)
  // channel   14: 4yyv2v(1, 2, 128, 64, 4, 16, 8, 32;  24,  23,   0,   0,   0)
  // channel   15: 4yyv2v(1, 2, 8, 32, 4, 16, 64, 128;   0,  23,   0,  24,   0)
  // channel   16: 4yyv2v(1, 2, 32, 8, 4, 16, 64, 128;   0,   0,   0,  24,   0)
  // channel   17: 4yyv2v(1, 2, 32, 8, 4, 16, 64, 128;   0,  23,   0,  24,   0)
  // channel   18: 42vv2v(1, 2, 4, 16, 8, 32, 64, 128;   0,  24,   0,  24,   0)
  // channel   19: 42vv2v(1, 2, 4, 16, 8, 32, 64, 128;   0,  24,  23,  24,   0)
  // channel   20: 2v2v2v(1, 2, 4, 16, 8, 32, 64, 128;   0,  24,   0,   0,   0)
  // channel   21: 2v2v2v(1, 2, 4, 16, 8, 32, 64, 128;   0,  24,  23,   0,   0)
  // channel   22: 2v2v2v(1, 2, 4, 16, 64, 128, 8, 32;  24,   0,   0,   0,   0)
  // channel   23: 2v2v2v(1, 2, 4, 16, 64, 128, 8, 32;  24,   0,  23,   0,   0)
  // channel   24: 2v2v2v(1, 2, 64, 128, 4, 16, 8, 32;  24,   0,   0,   0,   0)
  // channel   25: 2v2v2v(1, 2, 64, 128, 4, 16, 8, 32;  24,  23,   0,   0,   0)
  // channel   26: 2v2v2v(1, 2, 8, 32, 4, 16, 64, 128;   0,   0,  24,   0,   0)
  // channel   27: 2v2v2v(1, 2, 8, 32, 4, 16, 64, 128;   0,  23,  24,   0,   0)
  // channel   28: 2v2v2v(1, 2, 8, 32, 64, 128, 4, 16;   0,   0,  24,   0,   0)
  // channel   29: 2v2v2v(1, 2, 8, 32, 64, 128, 4, 16;  23,   0,  24,   0,   0)
  // channel   30: 2v2v2v(1, 2, 64, 128, 8, 32, 4, 16;   0,  24,   0,   0,   0)
  // channel   31: 2v2v2v(1, 2, 64, 128, 8, 32, 4, 16;  23,  24,   0,   0,   0)
*/

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
