#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ag_psp_240_udx_emmupvmvexcsx(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ag_psp_240_udx_emmupvmvexcsx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_xbp[no_ps][24] == nullvector){psi_xbp[no_ps][24] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][24] == 0.){psi_xbs[no_ps][24] = psi_xbp[no_ps][24].m2();}
  if (psi_xbsqrts[no_ps][24] == 0.){psi_xbsqrts[no_ps][24] = sqrt(psi_xbs[no_ps][24]);}
  if (psi_xbp[no_ps][36] == nullvector){psi_xbp[no_ps][36] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][36] == 0.){psi_xbs[no_ps][36] = psi_xbp[no_ps][36].m2();}
  if (psi_xbsqrts[no_ps][36] == 0.){psi_xbsqrts[no_ps][36] = sqrt(psi_xbs[no_ps][36]);}
  if (psi_xbp[no_ps][25] == nullvector){psi_xbp[no_ps][25] = psi_xbp[no_ps][1] - psi_xbp[no_ps][8] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][25] == 0.){psi_xbs[no_ps][25] = psi_xbp[no_ps][25].m2();}
  if (psi_xbp[no_ps][26] == nullvector){psi_xbp[no_ps][26] = psi_xbp[no_ps][2] - psi_xbp[no_ps][8] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][26] == 0.){psi_xbs[no_ps][26] = psi_xbp[no_ps][26].m2();}
  if (psi_xbp[no_ps][100] == nullvector){psi_xbp[no_ps][100] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][100] == 0.){psi_xbs[no_ps][100] = psi_xbp[no_ps][100].m2();}
  if (psi_xbsqrts[no_ps][100] == 0.){psi_xbsqrts[no_ps][100] = sqrt(psi_xbs[no_ps][100]);}
  if (psi_xbp[no_ps][164] == nullvector){psi_xbp[no_ps][164] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][164] == 0.){psi_xbs[no_ps][164] = psi_xbp[no_ps][164].m2();}
  if (psi_xbsqrts[no_ps][164] == 0.){psi_xbsqrts[no_ps][164] = sqrt(psi_xbs[no_ps][164]);}
  if (psi_xbp[no_ps][228] == nullvector){psi_xbp[no_ps][228] = psi_xbp[no_ps][4] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][228] == 0.){psi_xbs[no_ps][228] = psi_xbp[no_ps][228].m2();}
  if (psi_xbsqrts[no_ps][228] == 0.){psi_xbsqrts[no_ps][228] = sqrt(psi_xbs[no_ps][228]);}
  if (psi_xbp[no_ps][252] == nullvector){psi_xbp[no_ps][252] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64] + psi_xbp[no_ps][128];}
  if (psi_xbs[no_ps][252] == 0.){psi_xbs[no_ps][252] = psi_xbp[no_ps][252].m2();}

  psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][36]; // 4 times
  psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][164]); // 2 times
  psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][164], 2), psi_smin_opt[no_ps][228]); // 2 times
  psi_v_smin[no_ps][  3] = psi_smin_opt[no_ps][24]; // 4 times
  psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][36], 2), psi_smin_opt[no_ps][100]); // 2 times
  psi_v_smin[no_ps][  5] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][100], 2), psi_smin_opt[no_ps][228]); // 2 times

  psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][216], 2); // 2 times
  psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][88], 2); // 1 times
  psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][24], 2); // 2 times
  psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][228], 2); // 2 times
  psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][152], 2); // 1 times
  psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][228], 2); // 2 times
  psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][192] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][216]), 2); // 2 times
  psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][88]), 2); // 1 times
  psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][24], 2); // 2 times
  psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][128] + psi_xbsqrts[no_ps][24], psi_sqrtsmin_opt[no_ps][152]), 2); // 1 times

  //  vector<double> g_p(12);
  {psi_g_p[no_ps][  0] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][  1] = psi.g_propagator(no_ps,   0, 164, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][  2] = psi.g_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][  3] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][  4] = psi.g_propagator(no_ps,   0, 100, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][  5] = psi.g_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  2]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][  6] = psi.g_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  5]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][  7] = psi.g_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  6]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][  8] = psi.g_propagator(no_ps,   0, 164, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  7]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][  9] = psi.g_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  8]); /* npp 4 */} // 1 times
  {psi_g_p[no_ps][ 10] = psi.g_propagator(no_ps,   0, 100, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  9]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][ 11] = psi.g_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8]); /* npp 4 */} // 1 times

  //  vector<double> g_f(0);

  //  vector<double> g_t(2);
  {psi_g_t[no_ps][  0] = psi.g_tchannel_opt(no_ps,   0, 252,   1,   2,  24, 228); /* ntp 0 */} // 2 times
  {psi_g_t[no_ps][  1] = psi.g_tchannel_opt(no_ps,   0, 252,   2,   1,  24, 228); /* ntp 0 */} // 2 times

  //  vector<double> g_d(6);
  {psi_g_d[no_ps][  0] = psi.g_decay(no_ps,  24,   8,  16); /* ndp 2 */} // 4 times
  {psi_g_d[no_ps][  1] = psi.g_decay(no_ps, 228,  64, 164); /* ndp 4 */} // 2 times
  {psi_g_d[no_ps][  2] = psi.g_decay(no_ps, 164, 128,  36); /* ndp 3 */} // 2 times
  {psi_g_d[no_ps][  3] = psi.g_decay(no_ps,  36,   4,  32); /* ndp 2 */} // 4 times
  {psi_g_d[no_ps][  4] = psi.g_decay(no_ps, 228, 128, 100); /* ndp 4 */} // 2 times
  {psi_g_d[no_ps][  5] = psi.g_decay(no_ps, 100,  64,  36); /* ndp 3 */} // 2 times


  if (psi_weight_IS == 2 || psi_weight_IS == 4){
    double g_IS_temp;
    vector<vector<double> > inv_r(4);
    inv_r[0].resize(12);
    inv_r[1].resize(0);
    inv_r[2].resize(4);
    inv_r[3].resize(12);

    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][0]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 164, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[0][1]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][2]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], inv_r[0][3]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 100, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  4], inv_r[0][4]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  2], inv_r[0][5]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  24, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  5], inv_r[0][6]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  36, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  6], inv_r[0][7]);} // 2 times
    {psi.inv_propagator(no_ps,   0, 164, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  7], inv_r[0][8]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  8], inv_r[0][9]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 100, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  9], inv_r[0][10]);} // 1 times
    {psi.inv_propagator(no_ps,   0, 228, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8], inv_r[0][11]);} // 1 times


    {psi.inv_tchannel_opt(no_ps,   0, 252,   1,   2,  24, 228, inv_r[2][0], inv_r[2][1]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 252,   2,   1,  24, 228, inv_r[2][2], inv_r[2][3]);} // 2 times

    {psi.inv_decay(no_ps,  24,   8,  16, inv_r[3][0], inv_r[3][1]);} // 4 times
    {psi.inv_decay(no_ps, 228,  64, 164, inv_r[3][2], inv_r[3][3]);} // 2 times
    {psi.inv_decay(no_ps, 164, 128,  36, inv_r[3][4], inv_r[3][5]);} // 2 times
    {psi.inv_decay(no_ps,  36,   4,  32, inv_r[3][6], inv_r[3][7]);} // 4 times
    {psi.inv_decay(no_ps, 228, 128, 100, inv_r[3][8], inv_r[3][9]);} // 2 times
    {psi.inv_decay(no_ps, 100,  64,  36, inv_r[3][10], inv_r[3][11]);} // 2 times

    if (psi_weight_IS == 2){
      int n_random = 3 * psi_n_particle - 4;;
      vector<vector<double> > inv_channel_r(4, vector<double> (14));
      vector<double> g_IS(4, 1.);
      for (int i_c = 0; i_c < 4; i_c++){
        int ran = 0;
        if (psi_MC_alpha[zero + i_c] != 0.){
          for (int i_p = 0; i_p < psi_c_p[no_ps][i_c].size(); i_p++){
            inv_channel_r[i_c][i_p] = inv_r[0][psi_c_p[no_ps][i_c][i_p]];
          }
          ran += psi_c_p[no_ps][i_c].size();
          for (int i_f = 0; i_f < psi_c_f[no_ps][i_c].size(); i_f++){
            inv_channel_r[i_c][ran + i_f] = inv_r[1][psi_c_f[no_ps][i_c][i_f]];
          }
          ran += psi_c_f[no_ps][i_c].size();
          for (int i_t = 0; i_t < psi_c_t[no_ps][i_c].size(); i_t++){
            inv_channel_r[i_c][ran + 2 * i_t] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t]];
            inv_channel_r[i_c][ran + 2 * i_t + 1] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t] + 1];
          }
          ran += 2 * psi_c_t[no_ps][i_c].size();
          for (int i_d = 0; i_d < psi_c_d[no_ps][i_c].size(); i_d++){
            inv_channel_r[i_c][ran + 2 * i_d] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d]];
            inv_channel_r[i_c][ran + 2 * i_d + 1] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d] + 1];
          }
          ran += 2 * psi_c_d[no_ps][i_c].size();
          for (int i_r = 0; i_r < 14; i_r++){
            psi_phasespace_randoms[(zero + i_c) * n_random + i_r]->get_g_IS(inv_channel_r[i_c][i_r], g_IS_temp);
            g_IS[i_c] *= g_IS_temp;
          }
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = g_IS[  0] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = g_IS[  1] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = g_IS[  2] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = g_IS[  3] * psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}

    }
    else if (psi_weight_IS == 4){
      vector<vector<double> > g_IS(4);
      g_IS[0].resize(12, 1.);
      g_IS[1].resize(0, 1.);
      g_IS[2].resize(2, 1.);
      g_IS[3].resize(6, 1.);

      for (int i_m = 0; i_m < 4; i_m++){
        for (int i_r = 0; i_r < inv_r[i_m].size(); i_r++){
          psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][i_m] + i_r]->get_g_IS(inv_r[i_m][i_r], g_IS_temp);
          int i_g = i_r;
          if (i_m > 1){i_g = i_r / 2;}
          g_IS[i_m][i_g] *= g_IS_temp;
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
    }
  }

  else {
    if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  6] * psi_g_p[no_ps][  7] * psi_g_p[no_ps][ 10] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  0];}
  }

/*
  if (psi_MC_alpha[   0] != 0.){ag_channel_2v4yyv(g, 1, 2, 8, 16, 64, 128, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[   1] != 0.){ag_channel_2v4yyv(g, 1, 2, 8, 16, 128, 64, 4, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[   2] != 0.){ag_channel_4yyv2v(g, 1, 2, 64, 128, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   3] != 0.){ag_channel_4yyv2v(g, 1, 2, 128, 64, 4, 32, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0,   0, psi);}
  // channel    0: 2v4yyv(1, 2, 8, 16, 64, 128, 4, 32;  24,   0,   0,  24,   0)
  // channel    1: 2v4yyv(1, 2, 8, 16, 128, 64, 4, 32;  24,   0,   0,  24,   0)
  // channel    2: 4yyv2v(1, 2, 64, 128, 4, 32, 8, 16;  24,  24,   0,   0,   0)
  // channel    3: 4yyv2v(1, 2, 128, 64, 4, 32, 8, 16;  24,  24,   0,   0,   0)
*/

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
