#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ax_psp_240_bbx_emmupvmvexgg(int no_ps, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ax_psp_240_bbx_emmupvmvexgg");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(23);
  psi_needed_v_smin[no_ps].resize(23);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 63);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   18,   19,   20,   21,   36,   37,   38,   39,   56,   57,   69,   70}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   18,   19,   20,   21,   36,   37,   38,   39,   56,   57,   69,   70}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   4,    5,   22,   23,   40,   41,   58,   71}; //   8
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 8);
  int needed_v_smin_4[] = {   4,    5,   22,   23,   40,   41,   58,   71}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 63);
  int needed_v_smin_6[] = {   6,    7,    8,    9,   24,   25,   26,   27,   42,   43,   44,   45,   59,   60,   72,   73}; //  16
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 16);
  int needed_v_smin_7[] = {   6,    7,    8,    9,   24,   25,   26,   27,   42,   43,   44,   45,   59,   60,   72,   73}; //  16
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 16);
  int needed_v_smin_8[] = {  10,   11,   28,   29,   46,   47,   61,   74}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {  10,   11,   28,   29,   46,   47,   61,   74}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {  12,   13,   14,   15,   16,   17,   30,   31,   32,   33,   34,   35,   48,   49,   50,   51,   52,   53,   62,   63,   64,   75,   76,   77,   78,   79,   86}; //  27
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 27);
  int needed_v_smin_11[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64,   69,   70,   71,   72,   73,   74,   75,   76,   77,   84,   85,   86,   67,   68}; //  23
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 23);
  int needed_v_smin_12[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   18,   19,   22,   24,   25,   28,   30,   31,   32,   38,   39,   41,   44,   45,   47,   51,   52,   53,   78}; //  28
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 28);
  int needed_v_smin_13[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   20,   21,   23,   26,   27,   29,   33,   34,   35,   36,   37,   40,   42,   43,   46,   48,   49,   50,   79}; //  28
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 28);
  int needed_v_smin_14[] = {  54,   66}; //   2
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 2);
  int needed_v_smin_15[] = {  54,   66}; //   2
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 2);
  int needed_v_smin_16[] = {  55,   65}; //   2
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 2);
  int needed_v_smin_17[] = {  55,   65}; //   2
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 2);
  int needed_v_smin_18[] = {  67,   68,   84,   85}; //   4
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 4);
  int needed_v_smin_19[] = {  80,   83}; //   2
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 2);
  int needed_v_smin_20[] = {  80,   83}; //   2
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 2);
  int needed_v_smin_21[] = {  81,   82}; //   2
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 2);
  int needed_v_smin_22[] = {  81,   82}; //   2
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 2);

  psi_v_smax[no_ps].resize(27);
  psi_needed_v_smax[no_ps].resize(27);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   62,   63,   64,   65,   66,   67,   68,   78,   79,   80,   81,   82,   83,   85,   86}; //  56
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 56);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   18,   19,   20,   21,   36,   37,   38,   39,   56,   57}; //  14
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 14);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   56,   57,   58,   59,   60,   61,   62,   63,   64,   78,   79}; //  65
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 65);
  int needed_v_smax_3[] = {   4,    5,   22,   23,   40,   41,   58}; //   7
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 7);
  int needed_v_smax_4[] = {   6,    7,    8,    9,   10,   11,   24,   25,   26,   27,   28,   29,   42,   43,   44,   45,   46,   47,   59,   60,   61}; //  21
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 21);
  int needed_v_smax_5[] = {   6,    7,    8,    9,   24,   25,   26,   27,   42,   43,   44,   45,   59,   60}; //  14
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 14);
  int needed_v_smax_6[] = {  10,   11,   28,   29,   46,   47,   61}; //   7
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 7);
  int needed_v_smax_7[] = {  12,   13,   14,   15,   16,   17,   30,   31,   32,   33,   34,   35,   48,   49,   50,   51,   52,   53,   54,   55,   62,   63,   64,   65,   66,   67,   68,   78,   79,   80,   81,   82,   83,   86}; //  34
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 34);
  int needed_v_smax_8[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64}; //   9
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 9);
  int needed_v_smax_9[] = {  69,   70,   71,   72,   73,   74,   75,   76,   77,   84}; //  10
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 10);
  int needed_v_smax_10[] = {  69,   70,   71,   75,   76,   77,   84}; //   7
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 7);
  int needed_v_smax_11[] = {  69,   70}; //   2
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 2);
  int needed_v_smax_12[] = {  69,   70,   71,   72,   73,   74,   75,   76,   77,   86}; //  10
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 10);
  int needed_v_smax_13[] = {  71}; //   1
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 1);
  int needed_v_smax_14[] = {  72,   73,   74}; //   3
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 3);
  int needed_v_smax_15[] = {  72,   73}; //   2
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 2);
  int needed_v_smax_16[] = {  74}; //   1
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 1);
  int needed_v_smax_17[] = {  75,   76,   77,   84,   85}; //   5
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 5);
  int needed_v_smax_18[] = {  85}; //   1
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 1);
  int needed_v_smax_19[] = {  86,   67,   68}; //   3
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 3);
  int needed_v_smax_20[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   18,   19,   22,   24,   25,   28,   30,   31,   32,   38,   39,   41,   44,   45,   47,   51,   52,   53,   54,   66,   78,   80,   83}; //  32
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 32);
  int needed_v_smax_21[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   20,   21,   23,   26,   27,   29,   33,   34,   35,   36,   37,   40,   42,   43,   46,   48,   49,   50,   55,   65,   79,   81,   82}; //  32
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 32);
  int needed_v_smax_22[] = {  54,   66}; //   2
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 2);
  int needed_v_smax_23[] = {  55,   65}; //   2
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 2);
  int needed_v_smax_24[] = {  67,   68,   84,   85}; //   4
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 4);
  int needed_v_smax_25[] = {  80,   83}; //   2
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 2);
  int needed_v_smax_26[] = {  81,   82}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(36);
  psi_needed_g_p[no_ps].resize(36);
  int needed_g_p_0[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   62,   63,   64,   65,   66,   67,   68,   78,   79,   80,   81,   82,   83,   85,   86}; //  56
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 56);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   18,   19,   20,   21,   36,   37,   38,   39,   56,   57}; //  14
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 14);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   18,   20,   36,   38,   56}; //   7
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 7);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    3,   19,   21,   37,   39,   57}; //   7
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 7);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   4,    5,   22,   23,   40,   41,   58}; //   7
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 7);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_5[] = {   4,    5,   22,   23,   40,   41,   58}; //   7
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 7);
  psi_container_IS_name.push_back("propagator_23_smin4_smax2");
  int needed_g_p_6[] = {   6,    7,    8,    9,   10,   11,   24,   25,   26,   27,   28,   29,   42,   43,   44,   45,   46,   47,   59,   60,   61}; //  21
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 21);
  psi_container_IS_name.push_back("propagator_24_smin5_smax4");
  int needed_g_p_7[] = {   6,    7,    8,    9,   24,   25,   26,   27,   42,   43,   44,   45,   59,   60}; //  14
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 14);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_8[] = {   6,    8,   24,   26,   42,   44,   59}; //   7
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 7);
  psi_container_IS_name.push_back("propagator_0_smin7_smax2");
  int needed_g_p_9[] = {   7,    9,   25,   27,   43,   45,   60}; //   7
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 7);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_10[] = {  10,   11,   28,   29,   46,   47,   61}; //   7
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 7);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_11[] = {  10,   11,   28,   29,   46,   47,   61}; //   7
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 7);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_12[] = {  12,   13,   14,   15,   16,   17,   30,   31,   32,   33,   34,   35,   48,   49,   50,   51,   52,   53,   54,   55,   62,   63,   64,   65,   66,   67,   68,   78,   79,   80,   81,   82,   83,   86}; //  34
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 34);
  psi_container_IS_name.push_back("propagator_24_smin5_smax7");
  int needed_g_p_13[] = {  12,   15,   30,   33,   48,   51,   62}; //   7
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 7);
  psi_container_IS_name.push_back("propagator_0_smin10_smax2");
  int needed_g_p_14[] = {  13,   16,   31,   34,   49,   52,   63}; //   7
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 7);
  psi_container_IS_name.push_back("propagator_23_smin10_smax2");
  int needed_g_p_15[] = {  14,   17,   32,   35,   50,   53,   64}; //   7
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 7);
  psi_container_IS_name.push_back("propagator_25_smin10_smax2");
  int needed_g_p_16[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64}; //   9
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 9);
  psi_container_IS_name.push_back("propagator_0_smin11_smax8");
  int needed_g_p_17[] = {  69,   70,   71,   72,   73,   74,   75,   76,   77,   84}; //  10
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 10);
  psi_container_IS_name.push_back("propagator_0_smin11_smax9");
  int needed_g_p_18[] = {  69,   70,   71,   75,   76,   77,   84}; //   7
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 7);
  psi_container_IS_name.push_back("propagator_24_smin0_smax10");
  int needed_g_p_19[] = {  69,   70}; //   2
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax11");
  int needed_g_p_20[] = {  69}; //   1
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax12");
  int needed_g_p_21[] = {  70}; //   1
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 1);
  psi_container_IS_name.push_back("propagator_23_smin2_smax12");
  int needed_g_p_22[] = {  71}; //   1
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax13");
  int needed_g_p_23[] = {  71}; //   1
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 1);
  psi_container_IS_name.push_back("propagator_23_smin4_smax12");
  int needed_g_p_24[] = {  72,   73,   74}; //   3
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 3);
  psi_container_IS_name.push_back("propagator_24_smin5_smax14");
  int needed_g_p_25[] = {  72,   73}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax15");
  int needed_g_p_26[] = {  72}; //   1
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax12");
  int needed_g_p_27[] = {  73}; //   1
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 1);
  psi_container_IS_name.push_back("propagator_23_smin7_smax12");
  int needed_g_p_28[] = {  74}; //   1
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 1);
  psi_container_IS_name.push_back("propagator_0_smin8_smax16");
  int needed_g_p_29[] = {  74}; //   1
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax12");
  int needed_g_p_30[] = {  75,   76,   77,   84,   85}; //   5
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 5);
  psi_container_IS_name.push_back("propagator_24_smin5_smax17");
  int needed_g_p_31[] = {  75}; //   1
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 1);
  psi_container_IS_name.push_back("propagator_0_smin10_smax12");
  int needed_g_p_32[] = {  76}; //   1
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 1);
  psi_container_IS_name.push_back("propagator_23_smin10_smax12");
  int needed_g_p_33[] = {  77}; //   1
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 1);
  psi_container_IS_name.push_back("propagator_25_smin10_smax12");
  int needed_g_p_34[] = {  85}; //   1
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 1);
  psi_container_IS_name.push_back("propagator_0_smin11_smax18");
  int needed_g_p_35[] = {  86}; //   1
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 1);
  psi_container_IS_name.push_back("propagator_0_smin11_smax19");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(14);
  psi_needed_g_f[no_ps].resize(14);
  int needed_g_f_0[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   18,   19,   22,   24,   25,   28,   30,   31,   32,   38,   39,   41,   44,   45,   47,   51,   52,   53,   78}; //  28
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 28);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax20");
  int needed_g_f_1[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   20,   21,   23,   26,   27,   29,   33,   34,   35,   36,   37,   40,   42,   43,   46,   48,   49,   50,   79}; //  28
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 28);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax21");
  int needed_g_f_2[] = {  54,   66}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax22");
  int needed_g_f_3[] = {  54,   66}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax20");
  int needed_g_f_4[] = {  55,   65}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax23");
  int needed_g_f_5[] = {  55,   65}; //   2
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax21");
  int needed_g_f_6[] = {  67,   68}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax19");
  int needed_g_f_7[] = {  67,   68,   84,   85}; //   4
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax24");
  int needed_g_f_8[] = {  78,   79}; //   2
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax2");
  int needed_g_f_9[] = {  80,   83}; //   2
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax25");
  int needed_g_f_10[] = {  80,   83}; //   2
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax20");
  int needed_g_f_11[] = {  81,   82}; //   2
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax26");
  int needed_g_f_12[] = {  81,   82}; //   2
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax21");
  int needed_g_f_13[] = {  86}; //   1
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax12");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(32);
  psi_needed_g_t[no_ps].resize(32);
  int needed_g_t_0[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14,   54,   66}; //  11
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 11);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    4,    6,    7,   10,   12,   13,   14}; //   9
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__130_1__64_60");
  int needed_g_t_2[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17,   55,   65}; //  11
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 11);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__64_188");
  int needed_g_t_3[] = {   2,    3,    5,    8,    9,   11,   15,   16,   17}; //   9
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__66_1__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__66_1__128_60");
  int needed_g_t_4[] = {  18,   19,   22,   24,   25,   28,   30,   31,   32,   38,   39,   41,   44,   45,   47,   51,   52,   53,   78,   80,   83}; //  21
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__128_124");
  int needed_g_t_5[] = {  18,   19,   22,   24,   25,   28,   30,   31,   32,   78}; //  10
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_129__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_129__64_60");
  int needed_g_t_6[] = {  20,   21,   23,   26,   27,   29,   33,   34,   35,   36,   37,   40,   42,   43,   46,   48,   49,   50,   79,   81,   82}; //  21
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__64_188");
  int needed_g_t_7[] = {  20,   21,   23,   26,   27,   29,   33,   34,   35,   79}; //  10
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_65__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_65__128_60");
  int needed_g_t_8[] = {  36,   37,   40,   42,   43,   46,   48,   49,   50}; //   9
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__65_2__128_60");
  int needed_g_t_9[] = {  38,   39,   41,   44,   45,   47,   51,   52,   53}; //   9
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__129_2__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__129_2__64_60");
  int needed_g_t_10[] = {  54,   66}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_130__36_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_130__36_88");
  int needed_g_t_11[] = {  54}; //   1
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__130_37__64_24");
  psi_container_IS_name.push_back("phi_of_tchannel_5__130_37__64_24");
  int needed_g_t_12[] = {  55,   65}; //   2
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_66__36_152");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_66__36_152");
  int needed_g_t_13[] = {  55}; //   1
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__66_37__128_24");
  psi_container_IS_name.push_back("phi_of_tchannel_5__66_37__128_24");
  int needed_g_t_14[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64,   86}; //  10
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__192_60");
  int needed_g_t_15[] = {  65}; //   1
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__66_37__24_128");
  psi_container_IS_name.push_back("phi_of_tchannel_6__66_37__24_128");
  int needed_g_t_16[] = {  66}; //   1
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__130_37__24_64");
  psi_container_IS_name.push_back("phi_of_tchannel_6__130_37__24_64");
  int needed_g_t_17[] = {  67,   68,   84,   85}; //   4
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_2__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_2__36_216");
  int needed_g_t_18[] = {  67,   68,   85}; //   3
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 3);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_37__24_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_37__24_192");
  int needed_g_t_19[] = {  67}; //   1
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__37_26__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_6__37_26__64_128");
  int needed_g_t_20[] = {  68}; //   1
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__37_26__128_64");
  psi_container_IS_name.push_back("phi_of_tchannel_6__37_26__128_64");
  int needed_g_t_21[] = {  69,   70,   71,   72,   73,   74,   75,   76,   77}; //   9
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__192_60");
  int needed_g_t_22[] = {  78}; //   1
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__129_66__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_6__129_66__36_24");
  int needed_g_t_23[] = {  79}; //   1
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__65_130__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_6__65_130__36_24");
  int needed_g_t_24[] = {  80,   83}; //   2
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_129__24_100");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_129__24_100");
  int needed_g_t_25[] = {  80}; //   1
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__129_26__36_64");
  psi_container_IS_name.push_back("phi_of_tchannel_6__129_26__36_64");
  int needed_g_t_26[] = {  81,   82}; //   2
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_65__24_164");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_65__24_164");
  int needed_g_t_27[] = {  81}; //   1
  psi_needed_g_t[no_ps][27] = get_vector_from_array_int(needed_g_t_27, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__65_26__36_128");
  psi_container_IS_name.push_back("phi_of_tchannel_6__65_26__36_128");
  int needed_g_t_28[] = {  82}; //   1
  psi_needed_g_t[no_ps][28] = get_vector_from_array_int(needed_g_t_28, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__65_26__128_36");
  psi_container_IS_name.push_back("phi_of_tchannel_5__65_26__128_36");
  int needed_g_t_29[] = {  83}; //   1
  psi_needed_g_t[no_ps][29] = get_vector_from_array_int(needed_g_t_29, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__129_26__64_36");
  psi_container_IS_name.push_back("phi_of_tchannel_5__129_26__64_36");
  int needed_g_t_30[] = {  84}; //   1
  psi_needed_g_t[no_ps][30] = get_vector_from_array_int(needed_g_t_30, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_37__192_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_37__192_24");
  int needed_g_t_31[] = {  86}; //   1
  psi_needed_g_t[no_ps][31] = get_vector_from_array_int(needed_g_t_31, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_193__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_193__24_36");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(12);
  psi_needed_g_d[no_ps].resize(12);
  int needed_g_d_0[] = {   0,    1,    2,    3,   18,   19,   20,   21,   36,   37,   38,   39,   56,   57,   69,   70}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,    2,    3,   18,   19,   20,   21,   36,   37,   38,   39,   56,   57,   69,   70}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_2[] = {   0,    1,    2,    3,    4,    5,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 63);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_3[] = {   4,    5,   22,   23,   40,   41,   58,   71}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_4[] = {   4,    5,   22,   23,   40,   41,   58,   71}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_5[] = {   6,    7,    8,    9,   24,   25,   26,   27,   42,   43,   44,   45,   59,   60,   72,   73}; //  16
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_6[] = {   6,    7,    8,    9,   24,   25,   26,   27,   42,   43,   44,   45,   59,   60,   72,   73}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_7[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 63);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_8[] = {  10,   11,   28,   29,   46,   47,   61,   74}; //   8
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_9[] = {  10,   11,   28,   29,   46,   47,   61,   74}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_10[] = {  12,   13,   14,   15,   16,   17,   30,   31,   32,   33,   34,   35,   48,   49,   50,   51,   52,   53,   62,   63,   64,   75,   76,   77}; //  24
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 24);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_11[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64,   69,   70,   71,   72,   73,   74,   75,   76,   77,   84,   85,   86}; //  21
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 21);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");

  psi_c_p[no_ps].resize(87);
  psi_c_f[no_ps].resize(87);
  psi_c_t[no_ps].resize(87);
  psi_c_d[no_ps].resize(87);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  1}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  2,   3}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  1}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  2,   3}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  1}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  2,   3}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  1}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  2,   3}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {  1}; //   1
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 1);
  int c_t_9[] = {  2,   3}; //   2
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 2);
  int c_d_9[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   1}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  1}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  2,   3}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 3);
  int c_f_12[] = {  0}; //   1
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 1);
  int c_t_12[] = {  0,   1}; //   2
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 2);
  int c_d_12[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 3);

  int c_p_13[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 3);
  int c_f_13[] = {  0}; //   1
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 1);
  int c_t_13[] = {  0,   1}; //   2
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 2);
  int c_d_13[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 3);

  int c_p_14[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 3);
  int c_f_14[] = {  0}; //   1
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 1);
  int c_t_14[] = {  0,   1}; //   2
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 2);
  int c_d_14[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 3);

  int c_p_15[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 3);
  int c_f_15[] = {  1}; //   1
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 1);
  int c_t_15[] = {  2,   3}; //   2
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 2);
  int c_d_15[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 3);

  int c_p_16[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 3);
  int c_f_16[] = {  1}; //   1
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 1);
  int c_t_16[] = {  2,   3}; //   2
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 2);
  int c_d_16[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 3);

  int c_p_17[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 3);
  int c_f_17[] = {  1}; //   1
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 1);
  int c_t_17[] = {  2,   3}; //   2
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 2);
  int c_d_17[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 3);

  int c_p_18[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 3);
  int c_f_18[] = {  0}; //   1
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 1);
  int c_t_18[] = {  4,   5}; //   2
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 2);
  int c_d_18[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 3);

  int c_p_19[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 3);
  int c_f_19[] = {  0}; //   1
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 1);
  int c_t_19[] = {  4,   5}; //   2
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 2);
  int c_d_19[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 3);

  int c_p_20[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 3);
  int c_f_20[] = {  1}; //   1
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 1);
  int c_t_20[] = {  6,   7}; //   2
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 2);
  int c_d_20[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 3);

  int c_p_21[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 3);
  int c_f_21[] = {  1}; //   1
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 1);
  int c_t_21[] = {  6,   7}; //   2
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 2);
  int c_d_21[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 3);

  int c_p_22[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 3);
  int c_f_22[] = {  0}; //   1
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 1);
  int c_t_22[] = {  4,   5}; //   2
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 2);
  int c_d_22[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 3);

  int c_p_23[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 3);
  int c_f_23[] = {  1}; //   1
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 1);
  int c_t_23[] = {  6,   7}; //   2
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 2);
  int c_d_23[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 3);

  int c_p_24[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 3);
  int c_f_24[] = {  0}; //   1
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 1);
  int c_t_24[] = {  4,   5}; //   2
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 2);
  int c_d_24[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 3);

  int c_p_25[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 3);
  int c_f_25[] = {  0}; //   1
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 1);
  int c_t_25[] = {  4,   5}; //   2
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 2);
  int c_d_25[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 3);

  int c_p_26[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 3);
  int c_f_26[] = {  1}; //   1
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 1);
  int c_t_26[] = {  6,   7}; //   2
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 2);
  int c_d_26[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 3);

  int c_p_27[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 3);
  int c_f_27[] = {  1}; //   1
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 1);
  int c_t_27[] = {  6,   7}; //   2
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 2);
  int c_d_27[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 3);

  int c_p_28[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 3);
  int c_f_28[] = {  0}; //   1
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 1);
  int c_t_28[] = {  4,   5}; //   2
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 2);
  int c_d_28[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 3);

  int c_p_29[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 3);
  int c_f_29[] = {  1}; //   1
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 1);
  int c_t_29[] = {  6,   7}; //   2
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 2);
  int c_d_29[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 3);

  int c_p_30[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 3);
  int c_f_30[] = {  0}; //   1
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 1);
  int c_t_30[] = {  4,   5}; //   2
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 2);
  int c_d_30[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 3);

  int c_p_31[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 3);
  int c_f_31[] = {  0}; //   1
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 1);
  int c_t_31[] = {  4,   5}; //   2
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 2);
  int c_d_31[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 3);

  int c_p_32[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 3);
  int c_f_32[] = {  0}; //   1
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 1);
  int c_t_32[] = {  4,   5}; //   2
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 2);
  int c_d_32[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 3);

  int c_p_33[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 3);
  int c_f_33[] = {  1}; //   1
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 1);
  int c_t_33[] = {  6,   7}; //   2
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 2);
  int c_d_33[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 3);

  int c_p_34[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 3);
  int c_f_34[] = {  1}; //   1
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 1);
  int c_t_34[] = {  6,   7}; //   2
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 2);
  int c_d_34[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 3);

  int c_p_35[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 3);
  int c_f_35[] = {  1}; //   1
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 1);
  int c_t_35[] = {  6,   7}; //   2
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 2);
  int c_d_35[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 3);

  int c_p_36[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 3);
  int c_f_36[] = {  1}; //   1
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 1);
  int c_t_36[] = {  6,   8}; //   2
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 2);
  int c_d_36[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 3);

  int c_p_37[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 3);
  int c_f_37[] = {  1}; //   1
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 1);
  int c_t_37[] = {  6,   8}; //   2
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 2);
  int c_d_37[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 3);

  int c_p_38[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 3);
  int c_f_38[] = {  0}; //   1
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 1);
  int c_t_38[] = {  4,   9}; //   2
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 2);
  int c_d_38[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 3);

  int c_p_39[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 3);
  int c_f_39[] = {  0}; //   1
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 1);
  int c_t_39[] = {  4,   9}; //   2
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 2);
  int c_d_39[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 3);

  int c_p_40[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 3);
  int c_f_40[] = {  1}; //   1
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 1);
  int c_t_40[] = {  6,   8}; //   2
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 2);
  int c_d_40[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 3);

  int c_p_41[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 3);
  int c_f_41[] = {  0}; //   1
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 1);
  int c_t_41[] = {  4,   9}; //   2
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 2);
  int c_d_41[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 3);

  int c_p_42[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 3);
  int c_f_42[] = {  1}; //   1
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 1);
  int c_t_42[] = {  6,   8}; //   2
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 2);
  int c_d_42[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 3);

  int c_p_43[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 3);
  int c_f_43[] = {  1}; //   1
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 1);
  int c_t_43[] = {  6,   8}; //   2
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 2);
  int c_d_43[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 3);

  int c_p_44[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  0}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = {  4,   9}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  0}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  4,   9}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  1}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = {  6,   8}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  0}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = {  4,   9}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 3);
  int c_f_48[] = {  1}; //   1
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 1);
  int c_t_48[] = {  6,   8}; //   2
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 2);
  int c_d_48[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 3);

  int c_p_49[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 3);
  int c_f_49[] = {  1}; //   1
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 1);
  int c_t_49[] = {  6,   8}; //   2
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 2);
  int c_d_49[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 3);

  int c_p_50[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  6,   8}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  0}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  4,   9}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  0}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  4,   9}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  4,   9}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,  12}; //   2
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 2);
  int c_f_54[] = {  2,   3}; //   2
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 2);
  int c_t_54[] = {  0,  10,  11}; //   3
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 3);
  int c_d_54[] = {  7,   2}; //   2
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 2);

  int c_p_55[] = {  0,  12}; //   2
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 2);
  int c_f_55[] = {  4,   5}; //   2
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 2);
  int c_t_55[] = {  2,  12,  13}; //   3
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 3);
  int c_d_55[] = {  7,   2}; //   2
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 2);

  int c_p_56[] = {  0,   1,   2,  16}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = { 14}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = {  0,   1,   3,  16}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = { 14}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = {  0,   4,   5,  16}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = { 14}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = { 11,   3,   4,   2}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = {  6,   7,   8,  16}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = { 14}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = { 11,   5,   6,   7}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  6,   7,   9,  16}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = { 14}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = { 11,   5,   6,   7}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = {  6,  10,  11,  16}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = { 14}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 11,   8,   9,   7}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  0,  12,  13,  16}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = { 14}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  0,  12,  14,  16}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = { 14}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  0,  12,  15,  16}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = { 14}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  0,  12}; //   2
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 2);
  int c_f_65[] = {  4,   5}; //   2
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 2);
  int c_t_65[] = {  2,  12,  15}; //   3
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 3);
  int c_d_65[] = {  7,   2}; //   2
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 2);

  int c_p_66[] = {  0,  12}; //   2
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 2);
  int c_f_66[] = {  2,   3}; //   2
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 2);
  int c_t_66[] = {  0,  10,  16}; //   3
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 3);
  int c_d_66[] = {  7,   2}; //   2
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 2);

  int c_p_67[] = {  0,  12}; //   2
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 2);
  int c_f_67[] = {  6,   7}; //   2
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 2);
  int c_t_67[] = { 17,  18,  19}; //   3
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 3);
  int c_d_67[] = {  7,   2}; //   2
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 2);

  int c_p_68[] = {  0,  12}; //   2
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 2);
  int c_f_68[] = {  6,   7}; //   2
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 2);
  int c_t_68[] = { 17,  18,  20}; //   3
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 3);
  int c_d_68[] = {  7,   2}; //   2
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 2);

  int c_p_69[] = { 17,  18,  19,  20}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = { 21}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = {  0,   1,   2,  11}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = { 17,  18,  19,  21}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = { 21}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = {  0,   1,   2,  11}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = { 17,  18,  22,  23}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = { 21}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = {  3,   4,   2,  11}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = { 17,  24,  25,  26}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = { 21}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = {  5,   6,   7,  11}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = { 17,  24,  25,  27}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = { 21}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = {  5,   6,   7,  11}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = { 17,  24,  28,  29}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = { 21}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = {  8,   9,   7,  11}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = { 17,  18,  30,  31}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = { 21}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = { 10,   7,   2,  11}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = { 17,  18,  30,  32}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = { 21}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = { 10,   7,   2,  11}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = { 17,  18,  30,  33}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = { 21}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = { 10,   7,   2,  11}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = {  0,  12}; //   2
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 2);
  int c_f_78[] = {  8,   0}; //   2
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 2);
  int c_t_78[] = {  4,   5,  22}; //   3
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 3);
  int c_d_78[] = {  7,   2}; //   2
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 2);

  int c_p_79[] = {  0,  12}; //   2
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 2);
  int c_f_79[] = {  8,   1}; //   2
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 2);
  int c_t_79[] = {  6,   7,  23}; //   3
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 3);
  int c_d_79[] = {  7,   2}; //   2
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 2);

  int c_p_80[] = {  0,  12}; //   2
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 2);
  int c_f_80[] = {  9,  10}; //   2
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 2);
  int c_t_80[] = {  4,  24,  25}; //   3
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 3);
  int c_d_80[] = {  7,   2}; //   2
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 2);

  int c_p_81[] = {  0,  12}; //   2
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 2);
  int c_f_81[] = { 11,  12}; //   2
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 2);
  int c_t_81[] = {  6,  26,  27}; //   3
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 3);
  int c_d_81[] = {  7,   2}; //   2
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 2);

  int c_p_82[] = {  0,  12}; //   2
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 2);
  int c_f_82[] = { 11,  12}; //   2
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 2);
  int c_t_82[] = {  6,  26,  28}; //   3
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 3);
  int c_d_82[] = {  7,   2}; //   2
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 2);

  int c_p_83[] = {  0,  12}; //   2
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 2);
  int c_f_83[] = {  9,  10}; //   2
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 2);
  int c_t_83[] = {  4,  24,  29}; //   3
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 3);
  int c_d_83[] = {  7,   2}; //   2
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 2);

  int c_p_84[] = { 17,  18,  30}; //   3
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 3);
  int c_f_84[] = {  7}; //   1
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 1);
  int c_t_84[] = { 17,  30}; //   2
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 2);
  int c_d_84[] = {  7,   2,  11}; //   3
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 3);

  int c_p_85[] = {  0,  34,  30}; //   3
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 3);
  int c_f_85[] = {  7}; //   1
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 1);
  int c_t_85[] = { 17,  18}; //   2
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 2);
  int c_d_85[] = {  7,  11,   2}; //   3
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 3);

  int c_p_86[] = {  0,  12,  35}; //   3
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 3);
  int c_f_86[] = { 13}; //   1
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 1);
  int c_t_86[] = { 14,  31}; //   2
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 2);
  int c_d_86[] = { 11,   7,   2}; //   3
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
