#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppwxw02/header/ppwxw02.phasespace.h"
void ppwxw02_ac_psp_born(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppwxw02_ac_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 2 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppwxw02_ac_psp_020_ddx_wpwm(no_ps, channel, psi);} 
    else if (psi_no_map[no_ps] == 3){ppwxw02_ac_psp_020_uux_wpwm(no_ps, channel, psi);} 
    else if (psi_no_map[no_ps] == 4){ppwxw02_ac_psp_020_bbx_wpwm(no_ps, channel, psi);} 
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 2 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppwxw02_ac_psp_220_gg_wpwm(no_ps, channel, psi);} 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
