#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppzz02/header/ppzz02.phasespace.h"
void ppzz02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppzz02_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppzz02_ac_psp_220_gg_zzddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  3){ppzz02_ac_psp_220_gg_zzuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  4){ppzz02_ac_psp_220_gd_zzgd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  5){ppzz02_ac_psp_220_gu_zzgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  6){ppzz02_ac_psp_220_gdx_zzgdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  7){ppzz02_ac_psp_220_gux_zzgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  8){ppzz02_ac_psp_220_dd_zzdd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  9){ppzz02_ac_psp_220_du_zzdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 10){ppzz02_ac_psp_220_ds_zzds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 11){ppzz02_ac_psp_220_dc_zzdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 13){ppzz02_ac_psp_220_ddx_zzgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 14){ppzz02_ac_psp_220_ddx_zzddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 15){ppzz02_ac_psp_220_ddx_zzuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 16){ppzz02_ac_psp_220_ddx_zzssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 17){ppzz02_ac_psp_220_ddx_zzccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 18){ppzz02_ac_psp_220_dux_zzdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 20){ppzz02_ac_psp_220_dsx_zzdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 22){ppzz02_ac_psp_220_dcx_zzdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 23){ppzz02_ac_psp_220_uu_zzuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 24){ppzz02_ac_psp_220_uc_zzuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 25){ppzz02_ac_psp_220_udx_zzudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 27){ppzz02_ac_psp_220_uux_zzgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 28){ppzz02_ac_psp_220_uux_zzddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 29){ppzz02_ac_psp_220_uux_zzuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 30){ppzz02_ac_psp_220_uux_zzssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 31){ppzz02_ac_psp_220_uux_zzccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 32){ppzz02_ac_psp_220_usx_zzusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 34){ppzz02_ac_psp_220_ucx_zzucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 35){ppzz02_ac_psp_220_dxdx_zzdxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 36){ppzz02_ac_psp_220_dxux_zzdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 37){ppzz02_ac_psp_220_dxsx_zzdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 38){ppzz02_ac_psp_220_dxcx_zzdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 40){ppzz02_ac_psp_220_uxux_zzuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 41){ppzz02_ac_psp_220_uxcx_zzuxcx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
